commit ibus for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package ibus for openSUSE:Factory
checked in at Thu Oct 13 12:51:23 CEST 2011.




--- openSUSE:Factory/ibus/ibus.changes  2011-09-23 02:03:06.0 +0200
+++ ibus/ibus.changes   2011-10-13 11:42:35.0 +0200
@@ -1,0 +2,11 @@
+Thu Oct 13 11:42:01 CEST 2011 - ti...@suse.de
+
+- Add obsoletes for libibus2-32bit in baselibs.conf
+
+---
+Wed Oct 12 12:50:19 UTC 2011 - ft...@geeko.jp
+
+- update to 1.4.0
+* Status icon for GNOME 3 (bug#723591)
+
+---

calling whatdependson for head-i586


Old:

  ibus-1.3.9.tar.gz
  ibus-disable-introspect.patch
  ibus-disable-portability-check.patch

New:

  ibus-1.4.0.tar.gz



Other differences:
--
++ ibus.spec ++
--- /var/tmp/diff_new_pack.aTKeaH/_old  2011-10-13 12:51:08.0 +0200
+++ /var/tmp/diff_new_pack.aTKeaH/_new  2011-10-13 12:51:08.0 +0200
@@ -18,9 +18,10 @@
 
 %define build_gtk3 (0%{suse_version} = 1140)
 %define build_without_dbus_autolaunch (0%{suse_version} = 1210)
+%define domain_name %{name}10
 
 Name:   ibus
-Version:1.3.9
+Version:1.4.0
 Release:5
 License:LGPL V2+
 Url:http://code.google.com/p/ibus/
@@ -30,8 +31,6 @@
 Source3:xim.ibus.suse.template
 Source4:xim.d-ibus-121
 Patch0: ibus-python-install-dir.patch
-#Patch1: ibus-disable-portability-check.patch
-#Patch2: ibus-disable-introspect.patch
 Group:  System/I18n/Chinese
 Summary:Intelligent Input Bus for Linux OS
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -39,7 +38,7 @@
 Provides:   locale(ja;ko;zh)
 
 BuildRequires:  gettext-devel gtk-doc libtool python
-BuildRequires:  dbus-1-devel dbus-1-glib-devel dbus-1-python-devel gtk2-devel
+BuildRequires:  dbus-1-python-devel gtk2-devel
 BuildRequires:  gconf2-devel python-gobject2-devel update-desktop-files
 BuildRequires:  fdupes gobject-introspection-devel intltool iso-codes-devel
 Requires:   python-gtk dbus-1-python notification-daemon iso-codes gconf2 
python-xdg python-notify gobject-introspection
@@ -53,12 +52,13 @@
 full featured and user friendly input method user interface. It also may help
 developers to develop input method easily.
 
-%package -n libibus2
+%package -n libibus-1_0-0
 License:LGPL V2+
 Summary:IBus libraries
 Group:  System/I18n/Chinese
+Obsoletes:  libibus2  %{version}
 
-%description -n libibus2
+%description -n libibus-1_0-0
 This package contains the libraries for IBus
 
 %package gtk
@@ -90,8 +90,8 @@
 %package devel
 License:LGPL V2+
 Summary:Development tools for ibus
-Group:  Development/Libraries/other
-Requires:   libibus2 = %{version}
+Group:  Development/Libraries/Other
+Requires:   libibus-1_0-0 = %{version}
 Requires:   glib2-devel
 Requires:   dbus-1-devel
 Requires:   gtk-doc
@@ -144,7 +144,7 @@
 popd
 
 rm -f 
$RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/%{gtk_binary_version}/immodules/im-ibus.*a
-rm -f $RPM_BUILD_ROOT/%{_libdir}/libibus.*a
+rm -f $RPM_BUILD_ROOT/%{_libdir}/libibus-*.*a
 
 rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ibus.desktop
 
@@ -154,9 +154,9 @@
 %suse_update_desktop_file  %name Utility DesktopUtility
 %suse_update_desktop_file  ibus-setup System SystemSetup
 
-%find_lang %{name}
+%find_lang %{domain_name}
 %find_gconf_schemas 
-cat %{name}.schemas_list %{name}.lang  %{name}.lst
+cat %{name}.schemas_list %{domain_name}.lang  %{name}.lst
 %fdupes -s $RPM_BUILD_ROOT
 
 %clean
@@ -174,9 +174,9 @@
 %postun gtk
 %gtk2_immodule_postun
 
-%post -n libibus2 -p /sbin/ldconfig
+%post -n libibus-1_0-0 -p /sbin/ldconfig
 
-%postun -n libibus2 -p /sbin/ldconfig
+%postun -n libibus-1_0-0 -p /sbin/ldconfig
 
 %if %{build_gtk3}
 
@@ -204,7 +204,7 @@
 %{_datadir}/pixmaps/*
 %{_prefix}/%{_lib}/ibus
 
-%files -n libibus2
+%files -n libibus-1_0-0
 %defattr(-,root,root,-)
 %{_libdir}/lib*.so.*
 %{_libdir}/girepository-1.0/IBus-1.0.typelib

++ baselibs.conf ++
--- /var/tmp/diff_new_pack.aTKeaH/_old  2011-10-13 12:51:08.0 +0200
+++ /var/tmp/diff_new_pack.aTKeaH/_new  2011-10-13 12:51:08.0 +0200
@@ -22,4 +22,6 @@
   postun prefix%{_bindir}/gtk-query-immodules-3.0 --update-cache
   postun %endif
   supplements packageand(ibus:gtk3-targettype)
-libibus2
+libibus-1_0-0
+  obsoletes libibus2-targettype  version
+

++ ibus-1.3.9.tar.gz - ibus-1.4.0.tar.gz ++
 201159 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit PackageKit-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package PackageKit-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:15:48 CEST 2011.




--- 
openSUSE:Factory/PackageKit-branding-openSUSE/PackageKit-branding-openSUSE.changes
  2011-09-23 01:51:09.0 +0200
+++ PackageKit-branding-openSUSE/PackageKit-branding-openSUSE.changes   
2011-10-13 15:02:14.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:02:16 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the PackageKit versioned Requires, to not
+  have to rebuild this package each time PackageKit rebuilds to
+  keep it installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ PackageKit-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.XxHxD0/_old  2011-10-13 16:15:44.0 +0200
+++ /var/tmp/diff_new_pack.XxHxD0/_new  2011-10-13 16:15:44.0 +0200
@@ -39,7 +39,7 @@
 #  reuse build root. You have to build in a clean build root every 
time!
 BuildRequires:  PackageKit-branding-upstream
 BuildRequires:  PackageKit
-%define packagekit_version %(rpm -q --qf '%%{version}-%%{release}' PackageKit)
+%define packagekit_version %(rpm -q --qf '%%{version}' PackageKit)
 Requires:   PackageKit = %{packagekit_version}
 Provides:   PackageKit-branding = %{packagekit_version}
 Conflicts:  otherproviders(PackageKit-branding)

++ PackageKit-branding.changes.in ++
--- /var/tmp/diff_new_pack.XxHxD0/_old  2011-10-13 16:15:44.0 +0200
+++ /var/tmp/diff_new_pack.XxHxD0/_new  2011-10-13 16:15:44.0 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Oct 13 13:02:16 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the PackageKit versioned Requires, to not
+  have to rebuild this package each time PackageKit rebuilds to
+  keep it installable.
+
+---
 Wed Jul  6 15:15:40 CEST 2011 - vu...@opensuse.org
 
 - Bump version to 12.1.

++ PackageKit-branding.spec.in ++
--- /var/tmp/diff_new_pack.XxHxD0/_old  2011-10-13 16:15:44.0 +0200
+++ /var/tmp/diff_new_pack.XxHxD0/_new  2011-10-13 16:15:44.0 +0200
@@ -37,7 +37,7 @@
 #  reuse build root. You have to build in a clean build root every 
time!
 BuildRequires:  PackageKit-branding-upstream
 BuildRequires:  PackageKit
-%define packagekit_version %(rpm -q --qf '%%{version}-%%{release}' PackageKit)
+%define packagekit_version %(rpm -q --qf '%%{version}' PackageKit)
 Requires:   PackageKit = %{packagekit_version}
 Provides:   PackageKit-branding = %{packagekit_version}
 Conflicts:  otherproviders(PackageKit-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit banshee-community-extensions for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package banshee-community-extensions for 
openSUSE:Factory
checked in at Thu Oct 13 16:16:05 CEST 2011.




--- 
openSUSE:Factory/banshee-community-extensions/banshee-community-extensions.changes
  2011-10-02 09:50:51.0 +0200
+++ banshee-community-extensions/banshee-community-extensions.changes   
2011-10-12 16:52:48.0 +0200
@@ -1,0 +2,29 @@
+Wed Oct 12 14:50:25 UTC 2011 - vu...@opensuse.org
+
+- Build lirc extension:
+  + Add lirc-devel BuildRequires.
+  + Create banshee-extension-lirc subpackage.
+- Rename banshee-extension-alarm to banshee-extension-alarmclock,
+  with appropriate Provides/Obsoletes.
+- Create a common subpackage that contains common files, and rename
+  lang subpackage to common-lang so that translations are
+  installable for all packages.
+- Remove Requires for banshee and Recommends for lang subpackage
+  from all extensions subpackages, and instead have a Requires on
+  the common subpackage.
+- Rework all summaries and descriptions again.
+
+---
+Fri Sep 23 18:04:23 UTC 2011 - nmarq...@opensuse.org
+
+- Rename banshee-extension-dsd to
+  banshee-extention-duplicate-song-detector and
+  banshee-extention-album-art to
+  banshee-extention-album-art-writer, with appropriate
+  Provides/Obsoletes.
+- Remove main subpackage.
+- Improve summaries and descriptions.
+- Remove all = 1130 syntax: banshee 2.2.0 doesn't work there
+  anyway.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ banshee-community-extensions.spec ++
--- /var/tmp/diff_new_pack.Sp2iHW/_old  2011-10-13 16:16:01.0 +0200
+++ /var/tmp/diff_new_pack.Sp2iHW/_new  2011-10-13 16:16:01.0 +0200
@@ -16,21 +16,26 @@
 #
 
 
+# We don't build clutter flow extensions for openSUSE
+%define disable_clutter_flow 1
 
 Name:   banshee-community-extensions
 Version:2.2.0
 Release:1
-License:MIT/X11 and GPL
+# FIXME: on upgrade to new version, change = Obsoletes to 
+# FIXME: ClutterFlow requires clutter-sharp, ZeitgeistDataprovider requires 
zeitgeist-sharp
+License:MIT; GPL-2.0+
 Group:  Productivity/Multimedia/Sound/Players
 Summary:Extensions for Banshee media player
 Url:http://banshee.fm/
 Source0:
http://download.banshee.fm/%{name}/%{version}/%{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-ExcludeArch:s390 s390x
-BuildRequires:  banshee-devel = 2.2.0
+BuildRequires:  banshee-devel
+BuildRequires:  gcc-c++
 BuildRequires:  gettext-runtime
 BuildRequires:  intltool
-%if 0%{?suse_version} = 1130
+BuildRequires:  lirc-devel
+BuildRequires:  pkgconfig(dbus-sharp-glib-1.0)
 BuildRequires:  pkgconfig(fftw3)
 BuildRequires:  pkgconfig(gconf-sharp-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
@@ -38,291 +43,265 @@
 BuildRequires:  pkgconfig(gtk-sharp-2.0)
 BuildRequires:  pkgconfig(mono)
 BuildRequires:  pkgconfig(mono-addins)
-BuildRequires:  pkgconfig(dbus-sharp-glib-1.0)
 BuildRequires:  pkgconfig(notify-sharp)
 BuildRequires:  pkgconfig(samplerate)
 BuildRequires:  pkgconfig(sqlite3)
 BuildRequires:  pkgconfig(taglib-sharp)
-%else
-BuildRequires:  fftw3-devel
-BuildRequires:  gconf-sharp2
-BuildRequires:  glib2-devel
-BuildRequires:  gstreamer-0_10-plugins-base-devel
-BuildRequires:  gtk-sharp2
-BuildRequires:  mono-devel
-BuildRequires:  mono-addins
-BuildRequires:  dbus-sharp-glib-devel
-BuildRequires:  notify-sharp
-BuildRequires:  libsamplerate-devel
-BuildRequires:  sqlite-devel
-BuildRequires:  taglib-sharp-devel
-%endif
-Requires:   banshee = 2.1.0
-Recommends: %{name}-lang = %{version}
-Recommends: banshee-extensions-alarm
-Recommends: banshee-extensions-ampache
-Recommends: banshee-extensions-awn
-Recommends: banshee-extensions-coverwallpaper
-Recommends: banshee-extensions-karaoke
-Recommends: banshee-extensions-lastfm-fingerprint
-Recommends: banshee-extensions-jamendo
-Recommends: banshee-extensions-lcd
-Recommends: banshee-extensions-liveradio
-Recommends: banshee-extensions-magnatune
-Recommends: banshee-extensions-mirage
-Recommends: banshee-extensions-radiostationfetcher
-Recommends: banshee-extensions-randomby-lastfm
-Recommends: banshee-extensions-streamrecorder
-Recommends: banshee-extensions-lyrics
-Recommends: banshee-extensions-telepathy
-# Duplicate song detector - Added 2.1.3
-Recommends: banshee-extensions-dsd
-# Album art writter - Added 2.1.3
-Recommends: banshee-extensions-album-art
 
 %description
-Contains various contributed extensions:
-* Alarm Clock
-* Ampache
-* Awn
-* Cover Wallpaper
-* Kareoke
-* Last.fm Fingerprint
-* Jamendo
-* LCD
-* Live Radio
-* Duplicate Song Detector
-* 

commit desktop-translations for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package desktop-translations for 
openSUSE:Factory
checked in at Thu Oct 13 16:16:21 CEST 2011.




--- openSUSE:Factory/desktop-translations/desktop-translations.changes  
2011-10-07 16:07:03.0 +0200
+++ desktop-translations/desktop-translations.changes   2011-10-13 
13:46:36.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 13 11:46:16 UTC 2011 - k...@suse.de
+
+- Update translations.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ desktop-translations.tar.bz2 ++
openSUSE:Factory/desktop-translations/desktop-translations.tar.bz2 
desktop-translations/desktop-translations.tar.bz2 differ: char 11, line 1

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fonts-config for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package fonts-config for openSUSE:Factory
checked in at Thu Oct 13 16:16:32 CEST 2011.




--- openSUSE:Factory/fonts-config/fonts-config.changes  2011-09-23 
01:58:06.0 +0200
+++ fonts-config/fonts-config.changes   2011-10-12 12:38:05.0 +0200
@@ -1,0 +2,7 @@
+Wed Oct 12 10:31:50 UTC 2011 - ft...@geeko.jp
+
+- changed Japanese fonts setting for Java
+  * IPA Gothic for monospaced
+  * Propotional IPA fonts for others 
+
+---

calling whatdependson for head-i586




Other differences:
--
++ fonts-config.spec ++
--- /var/tmp/diff_new_pack.14BFGz/_old  2011-10-13 16:16:28.0 +0200
+++ /var/tmp/diff_new_pack.14BFGz/_new  2011-10-13 16:16:28.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package fonts-config (Version 20080121)
+# spec file for package fonts-config
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,6 +15,8 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+
 Name:   fonts-config
 License:GPLv2+
 Group:  System/X11/Fonts

++ fontconfig.SuSE.properties.template ++
--- /var/tmp/diff_new_pack.14BFGz/_old  2011-10-13 16:16:28.0 +0200
+++ /var/tmp/diff_new_pack.14BFGz/_new  2011-10-13 16:16:28.0 +0200
@@ -69,26 +69,26 @@
 
sansserif.bolditalic.korean.motif=_SANS_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
sansserif.bolditalic.latin-1=-bh-lucidasans-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1
 
-monospaced.plain.japanese-x0208=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.plain.japanese-iso10646=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
+monospaced.plain.japanese-x0208=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
+monospaced.plain.japanese-iso10646=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.plain.korean=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.plain.korean.motif=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
monospaced.plain.latin-1=-bh-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1
 
-monospaced.bold.japanese-x0208=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.bold.japanese-iso10646=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
+monospaced.bold.japanese-x0208=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
+monospaced.bold.japanese-iso10646=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.bold.korean=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.bold.korean.motif=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
monospaced.bold.latin-1=-bh-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1
 
-monospaced.italic.japanese-x0208=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.italic.japanese-iso10646=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
+monospaced.italic.japanese-x0208=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
+monospaced.italic.japanese-iso10646=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.italic.korean=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.italic.korean.motif=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
monospaced.italic.latin-1=-bh-lucidatypewriter-medium-i-normal-sans-*-%d-*-*-m-*-iso8859-1
 
-monospaced.bolditalic.japanese-x0208=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
-monospaced.bolditalic.japanese-iso10646=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
+monospaced.bolditalic.japanese-x0208=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0
+monospaced.bolditalic.japanese-iso10646=_MONO_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.bolditalic.korean=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-iso10646-1
 
monospaced.bolditalic.korean.motif=_SERIF_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
monospaced.bolditalic.latin-1=-bh-lucidatypewriter-bold-i-normal-sans-*-%d-*-*-m-*-iso8859-1
@@ -117,26 +117,26 @@
 
dialog.bolditalic.korean.motif=_SANS_KOREAN_XLFD_medium-r-normal--*-%d-*-*-c-*-ksc5601.1987-0
 
dialog.bolditalic.latin-1=-bh-lucidasans-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1
 
-dialoginput.plain.japanese-x0208=_SERIF_JAPANESE_XLFD_medium-r-normal--*-%d-*-*-c-*-jisx0208.1983-0

commit gconf2-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gconf2-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:16:50 CEST 2011.




--- openSUSE:Factory/gconf2-branding-openSUSE/gconf2-branding-SLED.changes  
2011-10-05 17:37:06.0 +0200
+++ gconf2-branding-openSUSE/gconf2-branding-SLED.changes   2011-10-13 
14:54:34.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:54:05 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gconf2 versioned Requires, to not
+  have to rebuild this package each time gconf2 rebuilds to keep
+  it installable.
+
+---
gconf2-branding-SLES.changes: same change
gconf2-branding-openSUSE.changes: same change

calling whatdependson for head-i586




Other differences:
--
++ gconf2-branding-SLED.spec ++
--- /var/tmp/diff_new_pack.hnuUmZ/_old  2011-10-13 16:16:45.0 +0200
+++ /var/tmp/diff_new_pack.hnuUmZ/_new  2011-10-13 16:16:45.0 +0200
@@ -59,7 +59,7 @@
 BuildRequires:  gconf2
 # For directory ownership of %{_datadir}/backgrounds:
 # BuildRequires:  gnome-themes
-%define gconf2_version %(rpm -q --qf '%%{version}-%%{release}' gconf2)
+%define gconf2_version %(rpm -q --qf '%%{version}' gconf2)
 Requires:   gconf2 = %{gconf2_version}
 Provides:   gconf2-branding = %{gconf2_version}
 Conflicts:  otherproviders(gconf2-branding)

gconf2-branding-SLES.spec: same change
gconf2-branding-openSUSE.spec: same change
++ gconf2-branding.changes.in ++
--- /var/tmp/diff_new_pack.hnuUmZ/_old  2011-10-13 16:16:46.0 +0200
+++ /var/tmp/diff_new_pack.hnuUmZ/_new  2011-10-13 16:16:46.0 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Oct 13 12:54:05 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gconf2 versioned Requires, to not
+  have to rebuild this package each time gconf2 rebuilds to keep
+  it installable.
+
+---
 Tue Oct  4 15:44:02 UTC 2011 - vu...@opensuse.org
 
 - Remove openSUSE-dynamic-wallpaper subpackage: this has now moved

++ gconf2-branding.spec.in ++
--- /var/tmp/diff_new_pack.hnuUmZ/_old  2011-10-13 16:16:46.0 +0200
+++ /var/tmp/diff_new_pack.hnuUmZ/_new  2011-10-13 16:16:46.0 +0200
@@ -57,7 +57,7 @@
 BuildRequires:  gconf2
 # For directory ownership of %{_datadir}/backgrounds:
 # BuildRequires:  gnome-themes
-%define gconf2_version %(rpm -q --qf '%%{version}-%%{release}' gconf2)
+%define gconf2_version %(rpm -q --qf '%%{version}' gconf2)
 Requires:   gconf2 = %{gconf2_version}
 Provides:   gconf2-branding = %{gconf2_version}
 Conflicts:  otherproviders(gconf2-branding)



continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-menus-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-menus-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:17:23 CEST 2011.




--- 
openSUSE:Factory/gnome-menus-branding-openSUSE/gnome-menus-branding-SLED.changes
2011-09-23 02:00:49.0 +0200
+++ gnome-menus-branding-openSUSE/gnome-menus-branding-SLED.changes 
2011-10-13 14:58:12.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:57:49 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gnome-menus versioned Requires, to not
+  have to rebuild this package each time gnome-menus rebuilds to
+  keep it installable.
+
+---
gnome-menus-branding-openSUSE.changes: same change

calling whatdependson for head-i586




Other differences:
--
++ gnome-menus-branding-SLED.spec ++
--- /var/tmp/diff_new_pack.dadOqH/_old  2011-10-13 16:17:20.0 +0200
+++ /var/tmp/diff_new_pack.dadOqH/_new  2011-10-13 16:17:20.0 +0200
@@ -23,7 +23,7 @@
 
 Name:   gnome-menus-branding-SLED
 Version:12.1
-Release:2
+Release:1
 Group:  System/GUI/GNOME
 License:LGPLv2.1+
 Summary:The GNOME Desktop Menu -- SLED Menus Definitions
@@ -36,7 +36,7 @@
 #  reuse build root. You have to build in a clean build root every 
time!
 BuildRequires:  gnome-menus-branding-upstream
 BuildRequires:  gnome-menus
-%define gnome_menus_version %(rpm -q --qf '%%{version}-%%{release}' 
gnome-menus)
+%define gnome_menus_version %(rpm -q --qf '%%{version}' gnome-menus)
 Requires:   gnome-menus = %{gnome_menus_version}
 Provides:   gnome-menus-branding = %{gnome_menus_version}
 Conflicts:  otherproviders(gnome-menus-branding)

++ gnome-menus-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.dadOqH/_old  2011-10-13 16:17:20.0 +0200
+++ /var/tmp/diff_new_pack.dadOqH/_new  2011-10-13 16:17:20.0 +0200
@@ -23,7 +23,7 @@
 
 Name:   gnome-menus-branding-openSUSE
 Version:12.1
-Release:3
+Release:1
 Group:  System/GUI/GNOME
 License:LGPLv2.1+
 Summary:The GNOME Desktop Menu -- openSUSE Menus Definitions
@@ -36,7 +36,7 @@
 #  reuse build root. You have to build in a clean build root every 
time!
 BuildRequires:  gnome-menus-branding-upstream
 BuildRequires:  gnome-menus
-%define gnome_menus_version %(rpm -q --qf '%%{version}-%%{release}' 
gnome-menus)
+%define gnome_menus_version %(rpm -q --qf '%%{version}' gnome-menus)
 Requires:   gnome-menus = %{gnome_menus_version}
 Provides:   gnome-menus-branding = %{gnome_menus_version}
 Conflicts:  otherproviders(gnome-menus-branding)

++ gnome-menus-branding.changes.in ++
--- /var/tmp/diff_new_pack.dadOqH/_old  2011-10-13 16:17:20.0 +0200
+++ /var/tmp/diff_new_pack.dadOqH/_new  2011-10-13 16:17:20.0 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Oct 13 12:57:49 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gnome-menus versioned Requires, to not
+  have to rebuild this package each time gnome-menus rebuilds to
+  keep it installable.
+
+---
 Fri Jul 22 13:18:09 CEST 2011 - vu...@opensuse.org
 
 - Drop gnome-menus-branding-settings.menu source: we do not install

++ gnome-menus-branding.spec.in ++
--- /var/tmp/diff_new_pack.dadOqH/_old  2011-10-13 16:17:20.0 +0200
+++ /var/tmp/diff_new_pack.dadOqH/_new  2011-10-13 16:17:20.0 +0200
@@ -34,7 +34,7 @@
 #  reuse build root. You have to build in a clean build root every 
time!
 BuildRequires:  gnome-menus-branding-upstream
 BuildRequires:  gnome-menus
-%define gnome_menus_version %(rpm -q --qf '%%{version}-%%{release}' 
gnome-menus)
+%define gnome_menus_version %(rpm -q --qf '%%{version}' gnome-menus)
 Requires:   gnome-menus = %{gnome_menus_version}
 Provides:   gnome-menus-branding = %{gnome_menus_version}
 Conflicts:  otherproviders(gnome-menus-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtk3-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gtk3-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:17:55 CEST 2011.




--- openSUSE:Factory/gtk3-branding-openSUSE/gtk3-branding-SLED.changes  
2011-10-02 10:11:22.0 +0200
+++ gtk3-branding-openSUSE/gtk3-branding-SLED.changes   2011-10-13 
15:00:20.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:00:20 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gtk3 versioned Requires, to not have
+  to rebuild this package each time gtk3 rebuilds to keep it
+  installable.
+
+---
gtk3-branding-openSUSE.changes: same change

calling whatdependson for head-i586




Other differences:
--
++ gtk3-branding-SLED.spec ++
--- /var/tmp/diff_new_pack.hErYaR/_old  2011-10-13 16:17:51.0 +0200
+++ /var/tmp/diff_new_pack.hErYaR/_new  2011-10-13 16:17:51.0 +0200
@@ -33,7 +33,7 @@
 Source1:gtk3-branding-COPYING
 BuildRequires:  gtk3
 %define gtk3_real_package %(rpm -q --qf '%%{name}' --whatprovides gtk3)
-%define gtk3_version %(rpm -q --qf '%%{version}-%%{release}' 
%{gtk3_real_package})
+%define gtk3_version %(rpm -q --qf '%%{version}' %{gtk3_real_package})
 Requires:   %{gtk3_real_package} = %{gtk3_version}
 Requires:   gnome-icon-theme
 Requires:   gtk3-metatheme-adwaita

gtk3-branding-openSUSE.spec: same change
++ gtk3-branding.changes.in ++
--- /var/tmp/diff_new_pack.hErYaR/_old  2011-10-13 16:17:52.0 +0200
+++ /var/tmp/diff_new_pack.hErYaR/_new  2011-10-13 16:17:52.0 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Oct 13 13:00:20 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gtk3 versioned Requires, to not have
+  to rebuild this package each time gtk3 rebuilds to keep it
+  installable.
+
+---
 Thu Sep 29 07:23:12 UTC 2011 - vu...@opensuse.org
 
 - Also set gtk-cursor-theme-name to Adwaita in

++ gtk3-branding.spec.in ++
--- /var/tmp/diff_new_pack.hErYaR/_old  2011-10-13 16:17:52.0 +0200
+++ /var/tmp/diff_new_pack.hErYaR/_new  2011-10-13 16:17:52.0 +0200
@@ -31,7 +31,7 @@
 Source1:gtk3-branding-COPYING
 BuildRequires:  gtk3
 %define gtk3_real_package %(rpm -q --qf '%%{name}' --whatprovides gtk3)
-%define gtk3_version %(rpm -q --qf '%%{version}-%%{release}' 
%{gtk3_real_package})
+%define gtk3_version %(rpm -q --qf '%%{version}' %{gtk3_real_package})
 Requires:   %{gtk3_real_package} = %{gtk3_version}
 Requires:   gnome-icon-theme
 Requires:   gtk3-metatheme-adwaita

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtk2-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gtk2-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:17:45 CEST 2011.




--- openSUSE:Factory/gtk2-branding-openSUSE/gtk2-branding-SLED.changes  
2011-09-23 02:02:13.0 +0200
+++ gtk2-branding-openSUSE/gtk2-branding-SLED.changes   2011-10-13 
14:59:43.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:59:36 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gtk2 versioned Requires, to not have
+  to rebuild this package each time gtk2 rebuilds to keep it
+  installable.
+
+---
gtk2-branding-openSUSE.changes: same change

calling whatdependson for head-i586




Other differences:
--
++ gtk2-branding-SLED.spec ++
--- /var/tmp/diff_new_pack.W95tdf/_old  2011-10-13 16:17:41.0 +0200
+++ /var/tmp/diff_new_pack.W95tdf/_new  2011-10-13 16:17:41.0 +0200
@@ -33,7 +33,7 @@
 Source1:gtk2-branding-COPYING
 BuildRequires:  gtk2
 %define gtk2_real_package %(rpm -q --qf '%%{name}' --whatprovides gtk2)
-%define gtk2_version %(rpm -q --qf '%%{version}-%%{release}' 
%{gtk2_real_package})
+%define gtk2_version %(rpm -q --qf '%%{version}' %{gtk2_real_package})
 Requires:   %{gtk2_real_package} = %{gtk2_version}
 Requires:   gtk2-metatheme-adwaita
 Requires:   gnome-icon-theme

gtk2-branding-openSUSE.spec: same change
++ gtk2-branding.spec.in ++
--- /var/tmp/diff_new_pack.W95tdf/_old  2011-10-13 16:17:41.0 +0200
+++ /var/tmp/diff_new_pack.W95tdf/_new  2011-10-13 16:17:41.0 +0200
@@ -31,7 +31,7 @@
 Source1:gtk2-branding-COPYING
 BuildRequires:  gtk2
 %define gtk2_real_package %(rpm -q --qf '%%{name}' --whatprovides gtk2)
-%define gtk2_version %(rpm -q --qf '%%{version}-%%{release}' 
%{gtk2_real_package})
+%define gtk2_version %(rpm -q --qf '%%{version}' %{gtk2_real_package})
 Requires:   %{gtk2_real_package} = %{gtk2_version}
 Requires:   gtk2-metatheme-adwaita
 Requires:   gnome-icon-theme

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kdebase3 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package kdebase3 for openSUSE:Factory
checked in at Thu Oct 13 16:18:31 CEST 2011.




--- openSUSE:Factory/kdebase3/kdebase3.changes  2011-09-23 02:05:58.0 
+0200
+++ kdebase3/kdebase3.changes   2011-09-30 04:59:12.0 +0200
@@ -1,0 +2,6 @@
+Fri Sep 30 02:56:11 UTC 2011 - an...@opensuse.org
+
+- remove obsolete version checks
+- add patch for nsplugin, backported from KDE4
+
+---

calling whatdependson for head-i586


Old:

  khelpcenter-gnome-support-legacy.patch
  startkde.suse.sh

New:

  kdebase-trinity-r1255714-nsplugin-fix-port-from-kde4.diff



Other differences:
--
++ kdebase3.spec ++
--- /var/tmp/diff_new_pack.eY9qLI/_old  2011-10-13 16:18:24.0 +0200
+++ /var/tmp/diff_new_pack.eY9qLI/_new  2011-10-13 16:18:24.0 +0200
@@ -15,9 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-%if %suse_version  1210 
+%if %{suse_version}  1210 
 %define with_hal 1
 %else
 %define with_hal 0
@@ -62,7 +60,7 @@
 Provides:   kdebase3-beagle = 3.5.10
 Obsoletes:  kdebase3-beagle = 3.5.10
 %endif
-License:GPLv2+
+License:GPL-2.0+
 Group:  System/GUI/KDE
 Summary:The KDE Core Components
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -73,7 +71,6 @@
 Requires:   kdebase3-runtime == %{version}
 Source0:kdebase-%{kde_version}.tar.bz2
 Source1:baselibs.conf
-Source3:startkde.suse.sh
 Source4:kdebase3.fillup
 Source6:ksysguardd.init
 # we append this file for older dist verions
@@ -148,7 +145,6 @@
 Patch92:kcminit-ignore-arts.diff
 Patch94:mach_blass.diff
 Patch96:khelpcenter-gnome-support.patch
-Patch996:   khelpcenter-gnome-support-legacy.patch
 Patch98:workaround-pdf-on64bit-nsplugin-bug.diff
 Patch99:xcursor.diff
 Patch100:   ksysguard-slp-ratelimit.diff
@@ -239,6 +235,7 @@
 Patch245:   kdebase-trinity-r1176186-no-busy-cursor.diff
 Patch246:   kdebase-trinity-1239915-fix-currency-symbols.dif
 Patch247:   kdebase-trinity-launch-ksysguard-optionr1107589.diff
+Patch248:   kdebase-trinity-r1255714-nsplugin-fix-port-from-kde4.diff
 
 %description
 This package contains kdebase, one of the basic packages of the K
@@ -256,21 +253,15 @@
 The KDE Team k...@kde.org
 
 %package -n misc-console-font
-License:GPLv2+
+License:GPL-2.0+
 Group:  System/GUI/KDE
 Summary:A font for terminal usage
 
 %description -n misc-console-font
 This package contains the Misc Console font as shipped with KDE.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package runtime
-License:GPLv2+
+License:GPL-2.0+
 Summary:Runtime Dependencies of KDE3 Applications
 Group:  System/GUI/KDE
 Provides:   kio_fish
@@ -281,14 +272,8 @@
 This package contains runtime dependencies of KDE3 applications like
 KIO-slaves.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package workspace
-License:GPLv2+
+License:GPL-2.0+
 Summary:Workspace Components of KDE3 Desktop
 Group:  System/GUI/KDE
 Requires:   kdebase3 == %{version}
@@ -345,7 +330,7 @@
 The KDE Team k...@kde.org
 
 %package kdm
-License:GPLv2+
+License:GPL-2.0+
 # usesubdirs kdm
 Summary:The KDE login and display manager
 Provides:   kdebase3:/opt/kde3/bin/kdm
@@ -366,7 +351,7 @@
 The KDE Team k...@kde.org
 
 %package samba
-License:GPLv2+
+License:GPL-2.0+
 # usesubdirs kioslave/smb kcontrol/samba
 Summary:KDE Base package: Windows Connection Module
 Group:  System/GUI/KDE
@@ -382,7 +367,7 @@
 The KDE Team k...@kde.org
 
 %package extra
-License:GPLv2+
+License:GPL-2.0+
 # usesubdirs kpersonalizer kcontrol/thememgr
 Summary:KDE Base package: Extra Applications
 Group:  System/GUI/KDE
@@ -402,7 +387,7 @@
 The KDE Team k...@kde.org
 
 %package nsplugin
-License:GPLv2+
+License:GPL-2.0+
 %ifarch x86_64 ppc64 s390x ia64
 Requires:   nspluginwrapper
 %endif
@@ -423,7 +408,7 @@
 
 
 %package ksysguardd
-License:GPLv2+
+License:GPL-2.0+
 PreReq: %insserv_prereq %fillup_prereq aaa_base
 Summary:KDE base package: ksysguard daemon
 Group:  System/GUI/KDE
@@ -443,7 +428,7 @@
 
 
 %package session
-License:GPLv2+
+License:GPL-2.0+
 Summary:The KDE Session
 Group:  System/GUI/KDE
 Provides:   kdebase3:/usr/bin/kde
@@ -462,7 +447,7 @@
 %if %suse_version  1140
 
 %package beagle
-License:GPLv2+
+License:GPL-2.0+
 Summary:Beagle dependent plugins for KDE desktop
 Group:  System/GUI/KDE
 Requires:   

commit kdenetwork3 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package kdenetwork3 for openSUSE:Factory
checked in at Thu Oct 13 16:19:18 CEST 2011.




--- openSUSE:Factory/kdenetwork3/kdenetwork3.changes2011-09-23 
02:06:21.0 +0200
+++ kdenetwork3/kdenetwork3.changes 2011-09-24 21:43:24.0 +0200
@@ -1,0 +2,5 @@
+Sat Sep 24 19:43:14 UTC 2011 - co...@suse.com
+
+- clean spec file
+
+---

calling whatdependson for head-i586




Other differences:
--
++ kdenetwork3.spec ++
--- /var/tmp/diff_new_pack.vsRGvq/_old  2011-10-13 16:19:05.0 +0200
+++ /var/tmp/diff_new_pack.vsRGvq/_new  2011-10-13 16:19:05.0 +0200
@@ -15,37 +15,39 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   kdenetwork3
-BuildRequires:  kdelibs3-devel meanwhile-devel openslp-devel qca-devel
-BuildRequires:  libexpat-devel speex-devel sqlite-devel
+BuildRequires:  kdelibs3-devel
+BuildRequires:  libexpat-devel
+BuildRequires:  meanwhile-devel
+BuildRequires:  openslp-devel
+BuildRequires:  qca-devel
+BuildRequires:  speex-devel
+BuildRequires:  sqlite-devel
 #BuildRequires: libortp-devel
-%if %suse_version  1210
+%if 0%{?suse_version}  1210
 BuildRequires:  unsermake
 %endif
-%if %suse_version  1140
+%if 0%{?suse_version}  1140
 BuildRequires:  libv4l-devel
 %endif
-%if %suse_version  1110
+%if 0%{?suse_version}  1110
 BuildRequires:  libiw-devel
 %else
 BuildRequires:  wireless-tools
 %endif
-%if %suse_version  1030
+%if 0%{?suse_version}  1030
 BuildRequires:  mDNSResponder-devel
 %endif
-%if %suse_version  1020
+%if 0%{?suse_version}  1020
 BuildRequires:  fdupes
 %endif
-License:GPL-2.0; MIT; GFDL-1.2
-Group:  Productivity/Networking/System
-Summary:KDE Network Libraries
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Version:3.5.10
 Release:13
-Provides:   kdenetwork3-lan:/opt/kde3/bin/kpf
+License:GPL-2.0 ; MIT ; GFDL-1.2
+Summary:KDE Network Libraries
+Group:  Productivity/Networking/System
 Source0:kdenetwork-%{version}.tar.bz2
 Source1:init.lisa
 Source2:SuSEconfig.kdenetwork-lan
@@ -80,6 +82,7 @@
 Patch106:   bnc653852-kopete-icq-server-change.diff
 Patch107:   kopete_plugin_nowlistening_plain.diff
 Patch108:   kopete_jabber_pongserver.diff
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 Url:http://www.kde.org
 Requires:   kdelibs3 = %( echo `rpm -q --queryformat '%{VERSION}' 
kdelibs3`)
@@ -90,17 +93,8 @@
 kdenetwork3-chat kdenetwork3-dialup kdenetwork3-lan kdenetwork3-mail
 kdenetwork3-news kdenetwork3-query
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package InstantMessenger
 License:GPL-2.0
-Provides:   kdenetwork3-chat:/opt/kde3/bin/kopete kopete 
kdenetwork3-nld-InstantMessenger
-# Soft-Requires for qca-sasl for Jabber
-Obsoletes:  kopete  0.12 kdenetwork3-nld-InstantMessenger kdenetwork3-chat
 Summary:Chat applications for KDE
 Group:  Productivity/Networking/Instant Messenger
 
@@ -111,33 +105,17 @@
 (including Google Talk), MSN, Novell GroupWise Messenger, Yahoo,
 WinPopup, and IRC.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package IRC
 License:GPL-2.0
-Provides:   kdenetwork3:/opt/kde3/bin/ksirc
-Provides:   kdenetwork3-chat:/opt/kde3/bin/ksirc
-Obsoletes:  kdenetwork3-chat
-Requires:   perl-IO-Socket-SSL
 Summary:IRC application for KDE
 Group:  Productivity/Networking/IRC
+Requires:   perl-IO-Socket-SSL
 
 %description IRC
 IRC chat application ksirc.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package query
 License:Artistic-1.0
-Provides:   kdenetwork3:/opt/kde3/bin/kdict
 Summary:Clients for Internet Databases
 Group:  Productivity/Databases/Clients
 
@@ -145,35 +123,22 @@
 KDict is a client for the Dict database. The Dict databases are
 dictionaries which can be queried for free over the Internet.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package wireless
 License:GPL-2.0
 Summary:Wireless Card Manager
 Group:  Productivity/Networking/System
-Requires:   wireless-tools kdebase3
-Provides:   kwifimanager
-Obsoletes:  kwifimanager
+Requires:   kdebase3
+Requires:   wireless-tools
 
 %description wireless
 The package contains KWiFiManager, a tool to configure wireless cards.
 
-
-
-Authors:
-
-The KDE Team k...@kde.org
-
 %package vnc
 License:GPL-2.0
 Summary:Exporting of VNC and Connecting of VNC/RDP Sessions
 Group:  Productivity/Networking/Other
 Requires:   vnc
-%if %suse_version  1000
+%if 0%{?suse_version}  1000
 Recommends: rdesktop
 %endif
 
@@ -187,34 +152,19 

commit libsocialweb-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package libsocialweb-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 16:19:47 CEST 2011.




--- 
openSUSE:Factory/libsocialweb-branding-openSUSE/libsocialweb-branding-openSUSE.changes
  2011-09-23 02:10:49.0 +0200
+++ libsocialweb-branding-openSUSE/libsocialweb-branding-openSUSE.changes   
2011-10-13 15:01:33.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:01:36 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the libsocialweb versioned Requires, to
+  not have to rebuild this package each time libsocialweb rebuilds
+  to keep it installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ libsocialweb-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.Fxkweb/_old  2011-10-13 16:19:39.0 +0200
+++ /var/tmp/diff_new_pack.Fxkweb/_new  2011-10-13 16:19:39.0 +0200
@@ -34,7 +34,7 @@
 Source6:twitter
 Source7:smugmug
 BuildRequires:  libsocialweb
-%define libsocialweb_version %(rpm -q --qf '%%{version}-%%{release}' 
libsocialweb)
+%define libsocialweb_version %(rpm -q --qf '%%{version}' libsocialweb)
 Requires:   libsocialweb = %{libsocialweb_version}
 Provides:   libsocialweb-branding = %{libsocialweb_version}
 Conflicts:  otherproviders(libsocialweb-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libsolv for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package libsolv for openSUSE:Factory
checked in at Thu Oct 13 16:20:01 CEST 2011.





calling whatdependson for head-i586




Other differences:
--
++ libsolv.spec ++
--- /var/tmp/diff_new_pack.2tuqsw/_old  2011-10-13 16:19:57.0 +0200
+++ /var/tmp/diff_new_pack.2tuqsw/_new  2011-10-13 16:19:57.0 +0200
@@ -1,3 +1,22 @@
+#
+# spec file for package libsolv
+#
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+#
+# All modifications and additions to the file contributed by third parties
+# remain the property of their copyright owners, unless otherwise agreed
+# upon. The license for this file, and modifications and additions to the
+# file, is the same license as for the pristine package itself (unless the
+# license for the pristine package is not an Open Source License, in which
+# case the license is the MIT License). An Open Source License is a
+# license that conforms to the Open Source Definition (Version 1.9)
+# published by the Open Source Initiative.
+
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
+#
+
+
+
 Name:   libsolv
 Version:0.0.0
 Release:1
@@ -36,7 +55,7 @@
 %else
 BuildRequires:  expat-devel
 %endif
-BuildRequires:  cmake rpm-devel gcc-c++
+BuildRequires:  cmake gcc-c++ rpm-devel
 BuildRequires:  zlib-devel
 
 %if %{with perl_binding}
@@ -63,7 +82,6 @@
 
 Summary:A new approach to package dependency solving
 
-
 %description
 A new approach to package dependency solving
 
@@ -76,6 +94,7 @@
 Duncan Mac-Vicar P. dmacvi...@suse.de
 
 %if !%{with disable_shared}
+
 %package -n libsolv0
 Summary:A new approach to package dependency solving
 Group:  Development/Libraries/C and C++
@@ -92,9 +111,12 @@
 Duncan Mac-Vicar P. dmacvi...@suse.de
 
 %endif
+
 %package devel
 Summary:A new approach to package dependency solving
 Group:  Development/Libraries/C and C++
+Obsoletes:  libsatsolver-devel  0.18
+Provides:   libsatsolver-devel = 0.18
 Requires:   libsolv-tools = %version
 %if !%{with disable_shared}
 Requires:   libsolv0 = %version
@@ -115,8 +137,8 @@
 %package tools
 Summary:A new approach to package dependency solving
 Group:  Development/Libraries/C and C++
-Obsoletes:  libsatsolver = 0.0.15
-Provides:   libsatsolver = %{version}-%{release}
+Obsoletes:  satsolver-tools  0.18
+Provides:   satsolver-tools = 0.18
 Requires:   gzip bzip2 coreutils
 
 %description tools
@@ -204,6 +226,7 @@
 rm -rf $RPM_BUILD_ROOT
 
 %if !%{with disable_shared}
+
 %post -n libsolv0 -p /sbin/ldconfig
 
 %postun -n libsolv0 -p /sbin/ldconfig
@@ -240,18 +263,21 @@
 %{_bindir}/solv
 
 %if %{with perl_binding}
+
 %files -n perl-solv
 %defattr(-,root,root)
 %{perl_vendorarch}/*
 %endif
 
 %if %{with ruby_binding}
+
 %files -n ruby-solv
 %defattr(-,root,root)
 %{ruby_vendorarch}/*
 %endif
 
 %if %{with python_binding}
+
 %files -n python-solv
 %defattr(-,root,root)
 %{python_sitearch}/*

++ libsolv-0.0.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libsolv-0.0.0/package/libsolv.spec.in 
new/libsolv-0.0.0/package/libsolv.spec.in
--- old/libsolv-0.0.0/package/libsolv.spec.in   2011-10-10 14:56:48.0 
+0200
+++ new/libsolv-0.0.0/package/libsolv.spec.in   2011-10-13 10:43:37.0 
+0200
@@ -95,6 +95,8 @@
 %package devel
 Summary:A new approach to package dependency solving
 Group:  Development/Libraries/C and C++
+Obsoletes:  libsatsolver-devel  0.18
+Provides:   libsatsolver-devel = 0.18
 Requires:   libsolv-tools = %version
 %if !%{with disable_shared}
 Requires:   libsolv@LIBSOLV_SOVERSION@ = %version
@@ -115,8 +117,8 @@
 %package tools
 Summary:A new approach to package dependency solving
 Group:  Development/Libraries/C and C++
-Obsoletes:  libsatsolver = 0.0.15
-Provides:   libsatsolver = %{version}-%{release}
+Obsoletes:  satsolver-tools  0.18
+Provides:   satsolver-tools = 0.18
 Requires:   gzip bzip2 coreutils
 
 %description tools

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit package-translations for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package package-translations for 
openSUSE:Factory
checked in at Thu Oct 13 16:20:24 CEST 2011.




--- openSUSE:Factory/package-translations/package-translations.changes  
2011-10-11 17:04:36.0 +0200
+++ package-translations/package-translations.changes   2011-10-13 
13:46:30.0 +0200
@@ -2 +2 @@
-Tue Oct 11 13:46:24 CEST 2011 - co...@suse.com
+Thu Oct 13 13:46:28 CEST 2011 - co...@suse.com
@@ -4 +4 @@
-- automated update on 2011-10-11
+- automated update on 2011-10-13

calling whatdependson for head-i586




Other differences:
--
++ package-translations.tar.bz2 ++
Files old/mo/package-translations-ru.mo and new/mo/package-translations-ru.mo 
differ

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rsync for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package rsync for openSUSE:Factory
checked in at Thu Oct 13 16:20:34 CEST 2011.




--- openSUSE:Factory/rsync/rsync.changes2011-09-23 12:44:45.0 
+0200
+++ rsync/rsync.changes 2011-10-12 05:46:13.0 +0200
@@ -1,0 +2,17 @@
+Wed Oct 12 03:40:40 UTC 2011 - crrodrig...@opensuse.org
+
+- Update to version 3.0.9
+ * Apply drop-cache patch from rsync-patches tarball, adds option 
+   --drop-cache so rsync is drop the memory cache of files when 
+   finished (aka. stop trashing the system)
+ * Fix a crash bug in checksum scanning when --inplace is used.
+ *  Fix a memory leak in the xattr code.
+ * See NEWS for more detail
+
+---
+Thu May 12 13:08:59 UTC 2011 - ch...@computersalat.de
+
+- fix build for SLE (spec-cleaner changes)
+  o makeinstall, _initddir
+
+---

calling whatdependson for head-i586


Old:

  rsync-3.0.5-doc-fix.patch
  rsync-3.0.8.tar.bz2
  rsync-patches-3.0.8.tar.bz2

New:

  rsync-3.0.9.tar.bz2
  rsync-patches-3.0.9.tar.bz2



Other differences:
--
++ rsync.spec ++
--- /var/tmp/diff_new_pack.QEpJu0/_old  2011-10-13 16:20:28.0 +0200
+++ /var/tmp/diff_new_pack.QEpJu0/_new  2011-10-13 16:20:28.0 +0200
@@ -17,9 +17,12 @@
 
 
 %define with_system_zlib 0
+%if 0%{?suse_version}  1120
+%define _initddir %{_sysconfdir}/init.d
+%endif
 
 Name:   rsync
-Version:3.0.8
+Version:3.0.9
 Release:8
 License:GPLv3+
 Summary:Versatile tool for fast incremental file transfer
@@ -34,8 +37,6 @@
 Source6:rsyncd.secrets
 Source7:rsync-server.firewall
 Patch3: system-zlib.diff
-#PATCH-FIX-UPSTREAM rsync-3.0.5-doc-fix.patch bnc487591 petr.u...@suse.cz -- 
based on upstream changes to rsync.yo
-Patch4: rsync-3.0.5-doc-fix.patch
 BuildRequires:  libacl-devel
 BuildRequires:  libpng
 BuildRequires:  openslp-devel
@@ -52,7 +53,9 @@
 BuildRequires:  te_ams
 BuildRequires:  te_latex
 %endif
+%if 0%{?suse_version}  1010
 Recommends: logrotate
+%endif
 
 %description
 Rsync is a fast and extraordinarily versatile file  copying  tool. It can copy
@@ -73,7 +76,7 @@
 patch -p1  patches/acls.diff
 patch -p1  patches/xattrs.diff
 patch -p1  patches/slp.diff
-%patch4 -p1
+patch -p1  patches/drop-cache.diff
 
 %build
 autoheader
@@ -89,7 +92,11 @@
 dvips tech_report -o tech_report.ps
 
 %install
+%if 0%{?suse_version}  1120
+%makeinstall
+%else
 %make_install
+%endif
 rm -f %{buildroot}%{_sbindir}/rsyncd
 install -d %{buildroot}%{_sysconfdir}/logrotate.d
 install -d %{buildroot}%{_sysconfdir}/init.d

++ rsync-3.0.8.tar.bz2 - rsync-3.0.9.tar.bz2 ++
 3207 lines of diff (skipped)

++ rsync-patches-3.0.8.tar.bz2 - rsync-patches-3.0.9.tar.bz2 ++
 3135 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit sax2 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package sax2 for openSUSE:Factory
checked in at Thu Oct 13 16:20:44 CEST 2011.




--- openSUSE:Factory/sax2/sax2.changes  2011-09-23 12:45:19.0 +0200
+++ sax2/sax2.changes   2011-10-13 11:13:21.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 13 09:12:23 UTC 2011 - co...@suse.com
+
+- clean up spec file for real - to fix build in just building
+  what we need 
+
+---

calling whatdependson for head-i586


Old:

  sax2-gcc43.diff



Other differences:
--
++ sax2.spec ++
--- /var/tmp/diff_new_pack.UxrZ7B/_old  2011-10-13 16:20:40.0 +0200
+++ /var/tmp/diff_new_pack.UxrZ7B/_new  2011-10-13 16:20:40.0 +0200
@@ -15,87 +15,65 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
-%ifarch s390 s390x
-%define sax2all 0
-%else
-%define sax2all 0
-%endif
-
-%if %{suse_version}  1120
-%define use_gcc43 0
-%else
-%define use_gcc43 0
-%endif
 
 Name:   sax2
-Url:http://sax.berlios.de
-%define build_java 0
-%if %{suse_version}  1010
-BuildRequires:  antlr bison doxygen flex gettext-devel ghostscript-fonts-std
-BuildRequires:  graphviz python-devel
-BuildRequires:  libqt4 libqt4-devel libqt4-qt3support libqt4-x11
-BuildRequires:  hwinfo-devel readline-devel swig update-desktop-files
-BuildRequires:  xorg-x11-server-sdk
-%if %{suse_version}  1020
-BuildRequires:  fdupes
-%endif
-%if %use_gcc43
-BuildRequires:  -gcc gcc43 gcc43-c++
-%endif
-%if %{build_java}
-BuildRequires:  java-1_4_2-gcj-compat-devel
-%endif
-%endif
-%if %{suse_version} = 1010
-BuildRequires:  doxygen ghostscript-fonts-std graphviz python-devel
-BuildRequires:  qt qt-devel qt-qt3support qt-x11
-BuildRequires:  gcc-c++ readline-devel swig sysfsutils update-desktop-files
-BuildRequires:  freetype2-devel libpng-devel
-%if %{build_java}
-BuildRequires:  java2-devel-packages
-%endif
-%endif
-Requires:   perl = %{perl_version}
-Requires:   readline ncurses dbus-1 sax2-libsax
-Requires:   sax2-ident sax2-tools
-Requires:   xorg-x11-server
-Requires:   xdg-utils
-PreReq: /bin/rm /bin/mkdir /usr/bin/chroot %fillup_prereq 
%insserv_prereq
-Summary:SuSE advanced X Window System-configuration
 Version:8.1
 Release:603
-Group:  System/X11/Utilities
 License:GPLv2+
+Summary:SuSE advanced X Window System-configuration
+Url:http://sax.berlios.de
+Group:  System/X11/Utilities
 Source: sax2.tar.bz2
 Source1:sax2.desktop
 Source2:sax2-rpmlintrc
-%if %use_gcc43
-Patch0: sax2-gcc43.diff
-%endif
 Patch1: sax2-tools-only.diff
 Patch2: nohal.diff
+BuildRequires:  antlr
+BuildRequires:  bison
+BuildRequires:  doxygen
+BuildRequires:  fdupes
+BuildRequires:  flex
+BuildRequires:  gettext-devel
+BuildRequires:  ghostscript-fonts-std
+BuildRequires:  graphviz
+BuildRequires:  hwinfo-devel
+BuildRequires:  libqt4
+BuildRequires:  libqt4-devel
+BuildRequires:  libqt4-qt3support
+BuildRequires:  libqt4-x11
+BuildRequires:  python-devel
+BuildRequires:  readline-devel
+BuildRequires:  swig
+BuildRequires:  update-desktop-files
+BuildRequires:  xorg-x11-server-sdk
+PreReq: %fillup_prereq
+PreReq: %insserv_prereq
+PreReq: /bin/mkdir
+PreReq: /bin/rm
+PreReq: /usr/bin/chroot
+Requires:   dbus-1
+Requires:   ncurses
+Requires:   perl = %{perl_version}
+Requires:   readline
+Requires:   sax2-ident
+Requires:   sax2-libsax
+Requires:   sax2-tools
+Requires:   xdg-utils
+Requires:   xorg-x11-server
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 This package contains the SuSE Advanced X-Configuration
 
-
-
-Authors:
-
-Marcus Schaefer m...@suse.de
-
 %package -n sax2-tools
 License:GPLv2+
 Summary:X Window System tools for SaX2
 Group:  System/X11/Utilities
 Requires:   coreutils
+Supplements:packageand(yast2-installation:xorg-x11)
 Provides:   saxtools
 Obsoletes:  saxtools
-Supplements:packageand(yast2-installation:xorg-x11)
-%if ! %sax2all
 Provides:   sax2
 Obsoletes:  sax2
 Provides:   sax2-gui
@@ -106,166 +84,17 @@
 Obsoletes:  sax2-libsax-perl
 Provides:   sax2-ident
 Obsoletes:  sax2-ident
-%endif
 
 %description -n sax2-tools
 Some small X Window System tools to handle input devices, for example,
 mouse and keyboard.
 
-
-
-Authors:
-
-Marcus Schaefer m...@suse.de
-
-%if %sax2all
-
-%package -n sax2-ident
-License:LGPLv2.1+
-Summary:SaX2 identity and profile information
-Group:  System/X11/Utilities
-Provides:   sax2:/usr/share/sax/sysp/maps/Identity.map
-Provides:   sax2-tools:/usr/share/sax/sysp/maps/Identity.map

commit synapse for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package synapse for openSUSE:Factory
checked in at Thu Oct 13 16:20:59 CEST 2011.




--- openSUSE:Factory/synapse/synapse.changes2011-09-23 12:47:14.0 
+0200
+++ synapse/synapse.changes 2011-09-29 09:50:30.0 +0200
@@ -1,0 +2,21 @@
+Wed Sep 28 18:36:06 UTC 2011 - vu...@opensuse.org
+
+- Note that we can't update to the 0.2.8.1 tarball since it is
+  broken (lp#862104).
+- Cherry-pick changes from version 0.2.8.1 in
+  synapse-0.2.8.1.patch:
+  + Initialize libnotify.
+  + Fix potentitial crash.
+- Change vala BuildRequires to vala-0_12 on 12.1 and later: synapse
+  only builds with vala 0.12 for now.
+
+---
+Mon Sep 19 09:11:52 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.2.8:
+  + Various bug fixes.
+  + Updated translations.
+- Drop synapse.1 source: the man page is now shipped in the
+  tarball.
+
+---

calling whatdependson for head-i586


Old:

  synapse-0.2.6.tar.gz
  synapse.1

New:

  synapse-0.2.8.1.patch
  synapse-0.2.8.tar.gz



Other differences:
--
++ synapse.spec ++
--- /var/tmp/diff_new_pack.sTz9hB/_old  2011-10-13 16:20:50.0 +0200
+++ /var/tmp/diff_new_pack.sTz9hB/_new  2011-10-13 16:20:50.0 +0200
@@ -18,18 +18,22 @@
 
 
 Name:   synapse
-Version:0.2.6
+Version:0.2.8
 Release:1
-License:GPL-3.0
+License:GPL-3.0+
 Summary:A semantic launcher for GNOME
 Url:http://launchpad.net/synapse-project
 Group:  System/GUI/GNOME
 Source0:
http://launchpad.net/synapse-project/0.2/%{version}/+download/%{name}-%{version}.tar.gz
-# Manual page, see lp#804276
-Source1:%{name}.1
+# PATCH-FIX-UPSTREAM synapse-0.2.8.1.patch lp#862104 vu...@opensuse.org -- 
Cherry-pick fixes from 0.2.8.1; upstream tarball is broken
+Patch0: synapse-0.2.8.1.patch
 BuildRequires:  intltool
 BuildRequires:  update-desktop-files
-BuildRequires:  vala
+%if 0%{?suse_version}  1140
+BuildRequires:  vala-0_12 = 0.12.0
+%else
+BuildRequires:  vala = 0.12.0
+%endif
 BuildRequires:  pkgconfig(dbus-glib-1)
 BuildRequires:  pkgconfig(gee-1.0)
 BuildRequires:  pkgconfig(glib-2.0)
@@ -51,8 +55,11 @@
 %lang_package
 %prep
 %setup -q
+%patch0 -p0
 
 %build
+# needed for patch0
+autoreconf -fi
 %configure --disable-static
 make %{?_smp_mflags}
 
@@ -60,7 +67,6 @@
 %make_install
 %find_lang %{name}
 %suse_update_desktop_file %{name} X-SuSE-DesktopUtility
-install -Dm 0644 %{S:1} %{buildroot}%{_mandir}/man1/%{name}.1
 
 %clean
 %{?buildroot:%__rm -rf %{buildroot}}
@@ -79,7 +85,7 @@
 %{_bindir}/%{name}
 %{_datadir}/applications/%{name}.desktop
 %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
-%{_mandir}/man1/%{name}.1.gz
+%{_mandir}/man1/%{name}.1%{?ext_man}
 
 %files lang -f %{name}.lang
 

++ synapse-0.2.8.1.patch ++
=== modified file 'src/ui/Makefile.am'
--- src/ui/Makefile.am  2011-05-27 18:37:42 +
+++ src/ui/Makefile.am  2011-09-20 08:52:28 +
@@ -15,6 +15,7 @@
--pkg gee-1.0 \
--pkg json-glib-1.0 \
--pkg unique-1.0 \
+   --pkg libnotify \
--vapidir $(top_builddir)/src/core \
--pkg synapse-core \
--vapidir $(top_builddir)/src/plugins \

=== modified file 'src/ui/synapse-main.vala'
--- src/ui/synapse-main.vala2011-09-16 13:45:39 +
+++ src/ui/synapse-main.vala2011-09-20 08:52:28 +
@@ -328,6 +328,7 @@
 /* Custom style loading must be done before Gtk.init */
 load_custom_style ();
 Gtk.init (ref argv);
+Notify.init (synapse);
 
 var app = new Unique.App (org.gnome.Synapse, null);
 if (app.is_running)
=== modified file 'src/plugins/zeitgeist-plugin.vala'
--- src/plugins/zeitgeist-plugin.vala   2011-09-16 13:45:39 +
+++ src/plugins/zeitgeist-plugin.vala   2011-09-22 22:03:04 +
@@ -399,6 +399,8 @@
 var subject = event.get_subject (0);
 unowned string uri = places_search ?
   subject.get_origin () : subject.get_uri ();
+if (uri == null || uri == ) continue;
+
 if (!(uri in uris))
 {
   bool is_application = uri.has_prefix (application://);

++ synapse-0.2.6.tar.gz - synapse-0.2.8.tar.gz ++
 45226 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-control-center for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package yast2-control-center for 
openSUSE:Factory
checked in at Thu Oct 13 16:21:24 CEST 2011.




--- openSUSE:Factory/yast2-control-center/yast2-control-center.changes  
2011-09-23 12:53:06.0 +0200
+++ yast2-control-center/yast2-control-center.changes   2011-10-13 
13:48:15.0 +0200
@@ -1,0 +2,18 @@
+Thu Oct 13 13:47:26 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#723396: added comment desktop file
+- Version: 2.21.7
+
+---
+Fri Aug 19 14:49:03 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#553189: yast2 control center (qt) does not print commands anymore
+- Version: 2.21.6
+
+---
+Fri Aug 19 12:01:25 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#549863: useless context menu in category-dock-widget
+- Version: 2.21.5
+
+---

calling whatdependson for head-i586


Old:

  yast2-control-center-2.21.4.tar.bz2

New:

  yast2-control-center-2.21.7.tar.bz2



Other differences:
--
++ yast2-control-center.spec ++
--- /var/tmp/diff_new_pack.uIRiP6/_old  2011-10-13 16:21:21.0 +0200
+++ /var/tmp/diff_new_pack.uIRiP6/_new  2011-10-13 16:21:21.0 +0200
@@ -18,11 +18,11 @@
 
 
 Name:   yast2-control-center
-Version:2.21.4
-Release:1
+Version:2.21.7
+Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-control-center-2.21.4.tar.bz2
+Source0:yast2-control-center-2.21.7.tar.bz2
 Group:  System/YaST
 License:GPLv2+
 BuildRequires:  libdrm-devel libjpeg-devel libqt4-devel pkgconfig 
update-desktop-files yast2-devtools
@@ -37,7 +37,6 @@
 This package contains the menu selection component for YaST2.
 
 %package qt
-
 Summary:YaST2 - Control Center (Qt Version)
 Requires:   yast2-control-center
 Provides:   yast2-control-center-binary

++ yast2-control-center-2.21.4.tar.bz2 - 
yast2-control-center-2.21.7.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-control-center-2.21.4/VERSION.cmake 
new/yast2-control-center-2.21.7/VERSION.cmake
--- old/yast2-control-center-2.21.4/VERSION.cmake   2011-08-05 
14:50:14.0 +0200
+++ new/yast2-control-center-2.21.7/VERSION.cmake   2011-10-13 
13:48:00.0 +0200
@@ -1,3 +1,3 @@
 SET(VERSION_MAJOR 2)
 SET(VERSION_MINOR 21)
-SET(VERSION_PATCH 4)
+SET(VERSION_PATCH 7)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-control-center-2.21.4/package/yast2-control-center.changes 
new/yast2-control-center-2.21.7/package/yast2-control-center.changes
--- old/yast2-control-center-2.21.4/package/yast2-control-center.changes
2011-08-05 14:50:14.0 +0200
+++ new/yast2-control-center-2.21.7/package/yast2-control-center.changes
2011-10-13 13:48:00.0 +0200
@@ -1,4 +1,22 @@
 ---
+Thu Oct 13 13:47:26 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#723396: added comment desktop file
+- Version: 2.21.7
+
+---
+Fri Aug 19 14:49:03 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#553189: yast2 control center (qt) does not print commands anymore
+- Version: 2.21.6
+
+---
+Fri Aug 19 12:01:25 CEST 2011 - tgoettlic...@suse.de
+
+- Fixed bnc#549863: useless context menu in category-dock-widget
+- Version: 2.21.5
+
+---
 Fri Aug  5 14:48:57 CEST 2011 - tgoettlic...@suse.de
 
 - Added application icon (bnc #621010)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-control-center-2.21.4/src/YaST.desktop 
new/yast2-control-center-2.21.7/src/YaST.desktop
--- old/yast2-control-center-2.21.4/src/YaST.desktop2011-08-05 
14:50:14.0 +0200
+++ new/yast2-control-center-2.21.7/src/YaST.desktop2011-10-13 
13:48:00.0 +0200
@@ -6,3 +6,4 @@
 GenericName=Control Center
 Exec=/usr/bin/xdg-su -c /sbin/yast2
 Encoding=UTF-8
+Comment=Manage system-wide settings
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-control-center-2.21.4/src/main_window.cpp 
new/yast2-control-center-2.21.7/src/main_window.cpp
--- old/yast2-control-center-2.21.4/src/main_window.cpp 2011-08-05 
14:50:14.0 +0200
+++ new/yast2-control-center-2.21.7/src/main_window.cpp 2011-10-13 
13:48:00.0 +0200
@@ -16,6 +16,7 @@
 #include rpc/types.h
 #include stdlib.h 
 #include time.h
+#include iostream
 
 #include 

commit yast2-firewall for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package yast2-firewall for openSUSE:Factory
checked in at Thu Oct 13 16:21:35 CEST 2011.




--- openSUSE:Factory/yast2-firewall/yast2-firewall.changes  2011-09-23 
12:53:09.0 +0200
+++ yast2-firewall/yast2-firewall.changes   2011-10-13 10:52:36.0 
+0200
@@ -1,0 +2,6 @@
+Thu Oct 13 10:34:54 CEST 2011 - loci...@suse.cz
+
+- Fixed a typo in text marked for translation (bnc#722459).
+- 2.21.1
+
+---

calling whatdependson for head-i586


Old:

  yast2-firewall-2.21.0.tar.bz2

New:

  yast2-firewall-2.21.1.tar.bz2



Other differences:
--
++ yast2-firewall.spec ++
--- /var/tmp/diff_new_pack.kTSC5c/_old  2011-10-13 16:21:31.0 +0200
+++ /var/tmp/diff_new_pack.kTSC5c/_new  2011-10-13 16:21:31.0 +0200
@@ -19,16 +19,16 @@
 
 
 Name:   yast2-firewall
-Version:2.21.0
-Release:1
+Version:2.21.1
+Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-firewall-2.21.0.tar.bz2
+Source0:yast2-firewall-2.21.1.tar.bz2
 
 Prefix: /usr
 
 Group:  System/YaST
-License:GPL v2 or later
+License:GPL-2.0+
 BuildRequires:  perl-XML-Writer update-desktop-files yast2-devtools 
yast2-testsuite
 BuildRequires:  yast2 = 2.16.47
 
@@ -51,7 +51,7 @@
 A YaST2 module to be used for configuring a firewall.
 
 %prep
-%setup -n yast2-firewall-2.21.0
+%setup -n yast2-firewall-2.21.1
 
 %build
 %{prefix}/bin/y2tool y2autoconf
@@ -87,4 +87,5 @@
 %{prefix}/share/applications/YaST2/firewall.desktop
 /usr/share/YaST2/schema/autoyast/rnc/firewall.rnc
 %doc %{prefix}/share/doc/packages/yast2-firewall
+
 %changelog

++ yast2-firewall-2.21.0.tar.bz2 - yast2-firewall-2.21.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-firewall-2.21.0/VERSION 
new/yast2-firewall-2.21.1/VERSION
--- old/yast2-firewall-2.21.0/VERSION   2011-08-29 13:06:38.0 +0200
+++ new/yast2-firewall-2.21.1/VERSION   2011-10-13 10:36:59.0 +0200
@@ -1 +1 @@
-2.21.0
+2.21.1
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-firewall-2.21.0/configure 
new/yast2-firewall-2.21.1/configure
--- old/yast2-firewall-2.21.0/configure 2011-08-29 13:07:17.0 +0200
+++ new/yast2-firewall-2.21.1/configure 2011-10-13 10:50:16.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for yast2-firewall 2.21.0.
+# Generated by GNU Autoconf 2.68 for yast2-firewall 2.21.1.
 #
 # Report bugs to http://bugs.opensuse.org/.
 #
@@ -559,8 +559,8 @@
 # Identity of this package.
 PACKAGE_NAME='yast2-firewall'
 PACKAGE_TARNAME='yast2-firewall'
-PACKAGE_VERSION='2.21.0'
-PACKAGE_STRING='yast2-firewall 2.21.0'
+PACKAGE_VERSION='2.21.1'
+PACKAGE_STRING='yast2-firewall 2.21.1'
 PACKAGE_BUGREPORT='http://bugs.opensuse.org/'
 PACKAGE_URL=''
 
@@ -1229,7 +1229,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures yast2-firewall 2.21.0 to adapt to many kinds of 
systems.
+\`configure' configures yast2-firewall 2.21.1 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1300,7 +1300,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of yast2-firewall 2.21.0:;;
+ short | recursive ) echo Configuration of yast2-firewall 2.21.1:;;
esac
   cat \_ACEOF
 
@@ -1380,7 +1380,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-yast2-firewall configure 2.21.0
+yast2-firewall configure 2.21.1
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1397,7 +1397,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by yast2-firewall $as_me 2.21.0, which was
+It was created by yast2-firewall $as_me 2.21.1, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -2327,7 +2327,7 @@
 
 # Define the identity of the package.
  PACKAGE='yast2-firewall'
- VERSION='2.21.0'
+ VERSION='2.21.1'
 
 
 cat confdefs.h _ACEOF
@@ -2449,7 +2449,7 @@
 
 
 
-VERSION=2.21.0
+VERSION=2.21.1
 RPMNAME=yast2-firewall
 MAINTAINER=Lukas Ocilka loci...@suse.cz
 
@@ -3379,7 +3379,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by yast2-firewall $as_me 2.21.0, which was
+This file was extended by yast2-firewall $as_me 2.21.1, which was
 generated by GNU 

commit gdm-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gdm-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 17:23:42 CEST 2011.




--- openSUSE:Factory/gdm-branding-openSUSE/gdm-branding-openSUSE.changes
2011-09-23 01:59:31.0 +0200
+++ gdm-branding-openSUSE/gdm-branding-openSUSE.changes 2011-10-13 
14:55:41.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:55:33 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gdm versioned Requires, to not have to
+  rebuild this package each time gdm rebuilds to keep it
+  installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gdm-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.I6ueYu/_old  2011-10-13 17:23:39.0 +0200
+++ /var/tmp/diff_new_pack.I6ueYu/_new  2011-10-13 17:23:39.0 +0200
@@ -31,7 +31,7 @@
 BuildRequires:  gdm-branding-upstream
 # For directory ownership:
 BuildRequires:  gdm
-%define gdm_version %(rpm -q --qf '%%{version}-%%{release}' gdm)
+%define gdm_version %(rpm -q --qf '%%{version}' gdm)
 Requires:   gdm = %{gdm_version}
 Provides:   gdm-branding = %{gdm_version}
 Conflicts:  otherproviders(gdm-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kdebase4-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package kdebase4-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 17:24:02 CEST 2011.




--- openSUSE:Factory/kdebase4-openSUSE/kdebase4-openSUSE.changes
2011-10-13 00:06:24.0 +0200
+++ kdebase4-openSUSE/kdebase4-openSUSE.changes 2011-10-13 13:28:00.0 
+0200
@@ -1,0 +2,9 @@
+Thu Oct 13 11:26:20 UTC 2011 - co...@suse.com
+
+- patch plasma config to:
+  * readd folderview widget for topleft screen (KDE 4.7 removed it)
+  * make panel larger for more resolutions
+  * add global shortcut for launcher widget
+- increase number of virtual desktops to 2 (pager appears)
+
+---

calling whatdependson for head-i586


New:

  plasma-change-defaults.diff



Other differences:
--
++ kdebase4-openSUSE.spec ++
--- /var/tmp/diff_new_pack.knsh99/_old  2011-10-13 17:23:57.0 +0200
+++ /var/tmp/diff_new_pack.knsh99/_new  2011-10-13 17:23:57.0 +0200
@@ -39,6 +39,7 @@
 Source0:kdebase4-openSUSE-%{_tarball_version}.tar.bz2
 #svn export svn://anonsvn.kde.org/home/kde/trunk/playground/base/kio_sysinfo
 Source1:sysinfo.tar.bz2
+Source2:plasma-change-defaults.diff
 Patch1: link-to-qtxml.patch
 BuildRequires:  fdupes
 BuildRequires:  hwinfo-devel
@@ -147,6 +148,8 @@
   %suse_update_desktop_file -u SUSEgreeter System Documentation
   %fdupes -s %{buildroot}%{_kde4_configdir}/SuSE/default/
   %kde_post_install
+  cd %{buildroot}
+  patch -p0  %{SOURCE2}
 
 %post -n kdebase4-workspace-branding-openSUSE
 %{fillup_only -n windowmanager -s kde4}

++ kdebase4-openSUSE-12.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/kdebase4-openSUSE/config-files/etc/kde4/share/config/kwinrc 
new/kdebase4-openSUSE/config-files/etc/kde4/share/config/kwinrc
--- old/kdebase4-openSUSE/config-files/etc/kde4/share/config/kwinrc 
1970-01-01 01:00:00.0 +0100
+++ new/kdebase4-openSUSE/config-files/etc/kde4/share/config/kwinrc 
2011-10-13 13:28:50.0 +0200
@@ -0,0 +1,2 @@
+[Desktops]
+Number=2

++ plasma-change-defaults.diff ++
--- 
./usr/share/kde4/apps/plasma/layout-templates/org.kde.plasma-desktop.defaultPanel/contents/layout.js
2011-05-20 22:32:08.0 +0200
+++ 
./usr/share/kde4/apps/plasma/layout-templates/org.kde.plasma-desktop.defaultPanel/contents/layout.js
2011-10-13 13:12:19.877173319 +0200
@@ -4,8 +4,9 @@
 panel.location = 'bottom'
 }
 
-panel.height = screenGeometry(panel.screen).height  1024 ? 35 : 27
-panel.addWidget(launcher)
+panel.height = screenGeometry(panel.screen).height  899 ? 35 : 27
+var launcher = panel.addWidget(launcher)
+launcher.globalShortcut = Alt+F1;
 panel.addWidget(org.kde.showActivityManager)
 panel.addWidget(pager)
 tasks = panel.addWidget(tasks)
--- ./usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js   
2011-05-20 22:32:08.0 +0200
+++ ./usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js   
2011-10-13 13:03:13.251007088 +0200
@@ -1,3 +1,30 @@
+function widgetExists(name)
+{
+var widgets = knownWidgetTypes;
+for (i in widgets) {
+if (widgets[i] == name) {
+return true;
+}
+}
+
+return false;
+}
+
+var topLeftScreen = 0
+var rect = screenGeometry(0)
+
+// find our top left screen to put the folderview on it
+for (var i = 1; i  screenCount; ++i) {
+var g = screenGeometry(i)
+
+if (g.x = rect.x  g.top = rect.top) {
+rect = g
+topLeftScreen = i
+}
+}
+
+var hasFolderview = widgetExists(folderview);
+ 
 loadTemplate(org.kde.plasma-desktop.defaultPanel)
 
 for (var i = 0; i  screenCount; ++i) {
@@ -7,6 +34,11 @@
 desktop.wallpaperPlugin = 'image'
 desktop.wallpaperMode = 'SingleImage'
 
+if (hasFolderview  i == topLeftScreen) {
+   var folderview = desktop.addWidget(folderview)
+   folderview.writeConfig(url, desktop:/)
+}
+
 //Create more panels for other screens
 if (i  0){
 var panel = new Panel
continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit hicolor-icon-theme-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package hicolor-icon-theme-branding-openSUSE 
for openSUSE:Factory
checked in at Thu Oct 13 17:23:49 CEST 2011.




--- 
openSUSE:Factory/hicolor-icon-theme-branding-openSUSE/hicolor-icon-theme-branding-openSUSE.changes
  2011-09-23 02:02:46.0 +0200
+++ 
hicolor-icon-theme-branding-openSUSE/hicolor-icon-theme-branding-openSUSE.changes
   2011-10-13 15:00:55.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:00:57 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the hicolor-icon-theme versioned Requires,
+  to not have to rebuild this package each time hicolor-icon-theme
+  rebuilds to keep it installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ hicolor-icon-theme-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.r1JZey/_old  2011-10-13 17:23:46.0 +0200
+++ /var/tmp/diff_new_pack.r1JZey/_new  2011-10-13 17:23:46.0 +0200
@@ -31,7 +31,7 @@
 Source0:suse-icon.tar.bz2
 Source1:COPYING
 BuildRequires:  hicolor-icon-theme
-%define hicolor_icon_theme_version %(rpm -q --qf '%%{version}-%%{release}' 
hicolor-icon-theme)
+%define hicolor_icon_theme_version %(rpm -q --qf '%%{version}' 
hicolor-icon-theme)
 Requires:   hicolor-icon-theme = %{hicolor_icon_theme_version}
 Provides:   hicolor-icon-theme-branding = %{hicolor_icon_theme_version}
 Conflicts:  otherproviders(hicolor-icon-theme-branding)

++ hicolor-icon-theme-branding.changes.in ++
--- /var/tmp/diff_new_pack.r1JZey/_old  2011-10-13 17:23:46.0 +0200
+++ /var/tmp/diff_new_pack.r1JZey/_new  2011-10-13 17:23:46.0 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Oct 13 13:00:57 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the hicolor-icon-theme versioned Requires,
+  to not have to rebuild this package each time hicolor-icon-theme
+  rebuilds to keep it installable.
+
+---
 Wed Jul  6 15:53:20 CEST 2011 - vu...@opensuse.org
 
 - Bump version to 12.1.

++ hicolor-icon-theme-branding.spec.in ++
--- /var/tmp/diff_new_pack.r1JZey/_old  2011-10-13 17:23:46.0 +0200
+++ /var/tmp/diff_new_pack.r1JZey/_new  2011-10-13 17:23:46.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package hicolor-icon-theme-branding-%{branding_name}
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,7 +29,7 @@
 Source0:suse-icon.tar.bz2
 Source1:COPYING
 BuildRequires:  hicolor-icon-theme
-%define hicolor_icon_theme_version %(rpm -q --qf '%%{version}-%%{release}' 
hicolor-icon-theme)
+%define hicolor_icon_theme_version %(rpm -q --qf '%%{version}' 
hicolor-icon-theme)
 Requires:   hicolor-icon-theme = %{hicolor_icon_theme_version}
 Provides:   hicolor-icon-theme-branding = %{hicolor_icon_theme_version}
 Conflicts:  otherproviders(hicolor-icon-theme-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit numactl for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package numactl for openSUSE:Factory
checked in at Thu Oct 13 17:24:19 CEST 2011.




--- openSUSE:Factory/numactl/numactl.changes2011-09-23 02:14:53.0 
+0200
+++ numactl/numactl.changes 2011-10-13 04:19:54.0 +0200
@@ -1,0 +2,11 @@
+Wed Oct 12 22:06:22 UTC 2011 - tabra...@novell.com
+
+- Update from 2.0.6 to 2.0.7
+  * Add numa_realloc() (and realloc_test)
+  * Re-fix numa_get_run_node_mask() and fix numa_get_run_node_mask
+  * Fix the numa_get_run_node_mask() man page (cpus vs nodes)
+  * Fix the cpu and node parsing to be cpuset aware
+  * Fix test/checkaffininty to be cpuset aware
+  * Fix two typos in numactl.8
+
+---

calling whatdependson for head-i586


Old:

  numactl-2.0.6.tar.bz2

New:

  numactl-2.0.7.tar.gz



Other differences:
--
++ numactl.spec ++
--- /var/tmp/diff_new_pack.cmJHaY/_old  2011-10-13 17:24:13.0 +0200
+++ /var/tmp/diff_new_pack.cmJHaY/_new  2011-10-13 17:24:13.0 +0200
@@ -22,16 +22,16 @@
 Name:   numactl
 License:GPLv2+
 Summary:NUMA Policy Control
-Version:2.0.6
+Version:2.0.7
 Release:8
-%define origversion 2.0.6
+%define origversion 2.0.7
 AutoReqProv:on
 # bug437293
 %ifarch ppc64
 Obsoletes:  numactl-64bit
 %endif
 #
-Source: numactl-%{origversion}.tar.bz2
+Source: numactl-%{origversion}.tar.gz
 Source2:baselibs.conf
 Patch0: numactl_install_all_manpages
 Group:  System/Management

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pidgin-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package pidgin-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 17:24:28 CEST 2011.




--- openSUSE:Factory/pidgin-branding-openSUSE/pidgin-branding-openSUSE.changes  
2011-09-23 12:41:03.0 +0200
+++ pidgin-branding-openSUSE/pidgin-branding-openSUSE.changes   2011-10-13 
15:02:38.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:02:36 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the pidgin versioned Requires, to not have
+  to rebuild this package each time pidgin rebuilds to keep it
+  installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ pidgin-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.kazyDx/_old  2011-10-13 17:24:24.0 +0200
+++ /var/tmp/diff_new_pack.kazyDx/_new  2011-10-13 17:24:24.0 +0200
@@ -28,7 +28,7 @@
 Source: %{name}-COPYING
 Source1:%{name}-prefs.xml
 BuildRequires:  libpurple
-%define libpurple_version %(rpm -q --qf '%%{version}-%%{release}' libpurple)
+%define libpurple_version %(rpm -q --qf '%%{version}' libpurple)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 
@@ -45,9 +45,6 @@
 This package provides the openSUSE default configuration for Pidgin.
 
 %package -n libpurple-branding-openSUSE
-
-Version:12.1
-Release:1
 Summary:GLib-based Instant Messenger Library -- openSUSE Default 
Configuration
 Group:  System/Libraries
 Requires:   libpurple = %{libpurple_version}

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit sudo for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package sudo for openSUSE:Factory
checked in at Thu Oct 13 17:24:57 CEST 2011.




--- openSUSE:Factory/sudo/sudo.changes  2011-09-23 12:47:05.0 +0200
+++ sudo/sudo.changes   2011-10-13 03:06:10.0 +0200
@@ -1,0 +2,45 @@
+Thu Oct 13 00:59:49 UTC 2011 - prus...@opensuse.org
+
+- updated to sudo-1.8.2
+  * Sudo, visudo, sudoreplay and the sudoers plug-in now have natural
+language support (NLS). This can be disabled by passing configure
+the --disable-nls option.  Sudo will use gettext(), if available,
+to display translated messages.  All translations are coordinated
+via The Translation Project, http://translationproject.org/.
+  * Plug-ins are now loaded with the RTLD_GLOBAL flag instead of
+RTLD_LOCAL.  This fixes missing symbol problems in PAM modules
+on certain platforms, such as FreeBSD and SuSE Linux Enterprise.
+  * I/O logging is now supported for commands run in background mode
+(using sudo's -b flag).
+  * Group ownership of the sudoers file is now only enforced when
+the file mode on sudoers allows group readability or writability.
+  * Visudo now checks the contents of an alias and warns about cycles
+when the alias is expanded.
+  * If the user specifes a group via sudo's -g option that matches
+the target user's group in the password database, it is now
+allowed even if no groups are present in the Runas_Spec.
+  * The sudo Makefiles now have more complete dependencies which are
+automatically generated instead of being maintained manually.
+  * The use_pty sudoers option is now correctly passed back to the
+sudo front end.  This was missing in previous versions of sudo
+1.8 which prevented use_pty from being honored.
+  * sudo -i command now works correctly with the bash version
+2.0 and higher.  Previously, the .bash_profile would not be
+sourced prior to running the command unless bash was built with
+NON_INTERACTIVE_LOGIN_SHELLS defined.
+  * When matching groups in the sudoers file, sudo will now match
+based on the name of the group instead of the group ID. This can
+substantially reduce the number of group lookups for sudoers
+files that contain a large number of groups.
+  * Multi-factor authentication is now supported on AIX.
+  * Added support for non-RFC 4517 compliant LDAP servers that require
+that seconds be present in a timestamp, such as Tivoli Directory Server.
+  * If the group vector is to be preserved, the PATH search for the
+command is now done with the user's original group vector.
+  * For LDAP-based sudoers, the runas_default sudoOption now works
+properly in a sudoRole that contains a sudoCommand.
+  * Spaces in command line arguments for sudo -s and sudo -i are
+now escaped with a backslash when checking the security policy.
+- added missing include (grp-include.patch)
+
+---

calling whatdependson for head-i586


Old:

  sudo-1.8.1p2.tar.bz2

New:

  sudo-1.8.2.tar.gz
  sudo-grp-include.patch



Other differences:
--
++ sudo.spec ++
--- /var/tmp/diff_new_pack.hnf3VY/_old  2011-10-13 17:24:50.0 +0200
+++ /var/tmp/diff_new_pack.hnf3VY/_new  2011-10-13 17:24:50.0 +0200
@@ -18,17 +18,18 @@
 
 
 Name:   sudo
-Version:1.8.1p2
+Version:1.8.2
 Release:1
 License:BSD3c(or similar)
 Summary:Execute some commands as root
 Url:http://www.sudo.ws/
 Group:  System/Base
-Source0:http://sudo.ws/sudo/dist/%{name}-%{version}.tar.bz2
+Source0:http://sudo.ws/sudo/dist/%{name}-%{version}.tar.gz
 Source1:sudo.pamd
 Source2:README.SUSE
-Patch1: sudoers2ldif-env.patch
-Patch3: sudo-sudoers.patch
+Patch0: sudoers2ldif-env.patch
+Patch1: sudo-sudoers.patch
+Patch2: sudo-grp-include.patch
 BuildRequires:  audit-devel
 BuildRequires:  libselinux-devel
 BuildRequires:  openldap2-devel
@@ -56,8 +57,9 @@
 
 %prep
 %setup -q
+%patch0 -p1
 %patch1 -p1
-%patch3 -p1
+%patch2 -p1
 
 %build
 %ifarch s390 s390x %sparc
@@ -103,6 +105,9 @@
 rm -f %{buildroot}%{_docdir}/%{name}/sample.syslog.conf
 rm -f %{buildroot}%{_docdir}/%{name}/schema.OpenLDAP
 rm -f %{buildroot}%{_libexecdir}/%{name}/sudoers.la
+%find_lang %{name}
+%find_lang sudoers
+cat sudoers.lang  %{name}.lang
 
 %post
 chmod 0440 %{_sysconfdir}/sudoers
@@ -118,7 +123,7 @@
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -f %{name}.lang
 %defattr(-,root,root)
 %doc %{_docdir}/%{name}
 %doc %{_mandir}/man?/*

++ sudo-grp-include.patch ++
Index: sudo-1.8.2/common/setgroups.c
===
--- sudo-1.8.2.orig/common/setgroups.c
+++ sudo-1.8.2/common/setgroups.c
@@ -33,6 +33,7 @@
 #endif /* 

commit wireshark for openSUSE:11.3

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package wireshark for openSUSE:11.3
checked in at Thu Oct 13 17:34:42 CEST 2011.




--- old-versions/11.3/UPDATES/all/wireshark/wireshark.changes   2011-05-03 
11:44:22.0 +0200
+++ 11.3/wireshark/wireshark.changes2011-10-10 11:12:42.0 +0200
@@ -1,0 +2,26 @@
+Mon Sep 26 14:07:31 CST 2011 - cy...@novell.com
+
+- security fixes (#bnc 718032)
+  * CVE-2011-3266: Wireshark IKE dissector vulnerability
+  * CVE-2011-3360: Wireshark Lua script execution vulnerability
+  * CVE-2011-3483: Wireshark buffer exception handling vulnerability 
+
+---
+Wed Aug 10 06:25:28 UTC 2011 - cy...@novell.com
+
+- security fixes (#bnc 706728)
+  * CVE-2011-2597: Lucent/Ascend file parser susceptible to infinite loop
+  * CVE-2011-2698: ANSI MAP dissector susceptible to infinite loop
+
+---
+Mon Jul 18 07:43:08 UTC 2011 - cy...@novell.com
+
+- security fixes [#bnc 697516] 
+  * CVE-2011-1957: Large/infinite loop in the DICOM dissector
+  * CVE-2011-1959: A corrupted snoop file could crash Wireshark
+  * CVE-2011-2174: Malformed compressed capture data could crash Wireshark
+  * CVE-2011-2175: A corrupted Visual Networks file could crash Wireshark
+  * CVE-2011-1958: dereferene a NULL pointer if we had a corrupted Diameter
+  dictionary
+
+---

calling whatdependson for 11.3-i586


New:

  wireshark-1.2.17-CVE-2011-1957.patch
  wireshark-1.2.17-CVE-2011-1958.patch
  wireshark-1.2.17-CVE-2011-1959.patch
  wireshark-1.2.17-CVE-2011-2174.patch
  wireshark-1.2.17-CVE-2011-2175.patch
  wireshark-1.4.8-CVE-2011-2597.patch
  wireshark-1.4.8-CVE-2011-2698.patch
  wireshark-1.6.2-CVE-2011-3266.patch
  wireshark-1.6.2-CVE-2011-3360.patch
  wireshark-1.6.2-CVE-2011-3483.patch



Other differences:
--
++ wireshark.spec ++
--- /var/tmp/diff_new_pack.3OC1aZ/_old  2011-10-13 17:34:12.0 +0200
+++ /var/tmp/diff_new_pack.3OC1aZ/_new  2011-10-13 17:34:12.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   wireshark
 Version:1.4.4
-Release:0.RELEASE4
+Release:0.RELEASE6
 License:GPLv2+
 Summary:A Network Traffic Analyser
 Url:http://www.wireshark.org/
@@ -39,6 +39,17 @@
 Patch6: %{name}-%{version}-CVE-2011-1592.patch
 Patch7: %{name}-%{version}-CVE-2011-1590.patch
 Patch8: %{name}-%{version}-CVE-2011-1591.patch
+Patch9: %{name}-1.2.17-CVE-2011-1957.patch
+Patch10:%{name}-1.2.17-CVE-2011-1959.patch
+Patch11:%{name}-1.2.17-CVE-2011-2174.patch
+Patch12:%{name}-1.2.17-CVE-2011-2175.patch
+Patch13:%{name}-1.2.17-CVE-2011-1958.patch
+Patch14:%{name}-1.4.8-CVE-2011-2597.patch
+Patch15:%{name}-1.4.8-CVE-2011-2698.patch
+Patch16:%{name}-1.6.2-CVE-2011-3266.patch
+Patch17:%{name}-1.6.2-CVE-2011-3360.patch
+Patch18:%{name}-1.6.2-CVE-2011-3483.patch
+
 BuildRequires:  bison
 BuildRequires:  cairo-devel
 BuildRequires:  flex
@@ -104,6 +115,16 @@
 %patch6 -p1 
 %patch7
 %patch8 -p1
+%patch9 -p1
+%patch10 -p1
+%patch11 -p1
+%patch12 -p1
+%patch13 -p1
+%patch14 -p1
+%patch15 -p1
+%patch16 -p1
+%patch17 -p1
+%patch18 -p1
 
 sed -i 's/^Icon=wireshark.png$/Icon=wireshark/' wireshark.desktop
 # run as root on 11.3 and older - bnc#349782

++ wireshark-1.2.17-CVE-2011-1957.patch ++
--- trunk/epan/dissectors/packet-dcm.c  2011/04/30 08:36:00 36957
+++ trunk/epan/dissectors/packet-dcm.c  2011/04/30 17:43:05 36958
@@ -6519,6 +6519,7 @@
 
  /* Process all PDUs in the buffer */
 while (pdu_start  tlen) {
+   guint32 old_pdu_start;
 
if ((pdu_len+6)  (tlen-offset)) {
 
@@ -6539,7 +6540,13 @@
offset=dissect_dcm_pdu(tvb, pinfo, tree, pdu_start);
 
/* Next PDU */
+   old_pdu_start = pdu_start;
pdu_start =  pdu_start + pdu_len + 6;
+   if (pdu_start = old_pdu_start) {
+   expert_add_info_format(pinfo, NULL, PI_MALFORMED, PI_ERROR,
+   Invalid PDU length (%u), pdu_len);
+   THROW(ReportedBoundsError);
+   }
 
if (pdu_start  tlen - 6) {
/* we got at least 6 bytes of the next PDU still in the buffer */
++ wireshark-1.2.17-CVE-2011-1958.patch ++
--- trunk/epan/diam_dict.l  2011/05/06 15:05:51 37010
+++ trunk/epan/diam_dict.l  2011/05/06 19:39:47 37011
@@ -269,9 +269,6 @@
yyterminate();
}
 
-   include_stack[include_stack_ptr++] = YY_CURRENT_BUFFER;
-
-
for (e = ents.next; e; e = e-next) {
if (strcmp(e-name,yytext) == 0) {
yyin = ddict_open(sys_dir,e-file);
@@ -282,6 +279,7 @@
yyterminate();
 

commit quagga for openSUSE:11.3

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package quagga for openSUSE:11.3
checked in at Thu Oct 13 17:34:48 CEST 2011.




--- old-versions/11.3/UPDATES/all/quagga/quagga.changes 2011-06-02 
13:30:16.0 +0200
+++ 11.3/quagga/quagga.changes  2011-09-19 04:11:37.0 +0200
@@ -1,0 +2,28 @@
+Mon Sep 19 02:05:55 UTC 2011 - boy...@suse.com
+
+- DoS while decoding EXTENDED_COMMUNITIES in Quagga's BGP
+  [bnc#718062]
+
+---
+Mon Sep 19 02:05:25 UTC 2011 - boy...@suse.com
+
+- OSPFD DoS while decoding Link State Update [bnc#718061]
+
+---
+Mon Sep 19 02:04:52 UTC 2011 - boy...@suse.com
+
+- OSPFD DoS while decoding Hello packet [bnc#718059]
+
+---
+Mon Sep 19 02:04:08 UTC 2011 - boy...@suse.com
+
+- OSPF6D DoS while decoding Database Description packet
+  [bnc#718058]
+
+---
+Mon Sep 19 02:00:52 UTC 2011 - boy...@suse.com
+
+- OSPF6D buffer overflow while decoding Link State Update with
+  Inter Area Prefix Lsa [bnc#718056]
+
+---

calling whatdependson for 11.3-i586


New:

  bug-718056_quagga-0.99.18-514840.patch
  bug-718058_quagga-master-514839.patch
  bug-718059_quagga-master-514838.1.patch
  bug-718059_quagga-master-514838.2.patch
  bug-718061_quagga-master-514837.patch
  bug-718062_quagga-master-513254.patch



Other differences:
--
++ quagga.spec ++
--- /var/tmp/diff_new_pack.fWgqMz/_old  2011-10-13 17:34:17.0 +0200
+++ /var/tmp/diff_new_pack.fWgqMz/_new  2011-10-13 17:34:17.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   quagga
 Version:0.99.17
-Release:1.RELEASE7
+Release:1.RELEASE11
 License:LGPLv2.1+
 Summary:Free Routing Software (for BGP, OSPF and RIP, for example)
 Url:http://www.quagga.net
@@ -29,6 +29,12 @@
 Source2:%{name}.pam
 Patch0: %{name}-0.99.17-CVE-2010-1674.patch
 Patch1: %{name}-0.99.17-CVE-2010-1675.patch
+Patch2: bug-718056_quagga-0.99.18-514840.patch
+Patch3: bug-718058_quagga-master-514839.patch
+Patch4: bug-718059_quagga-master-514838.1.patch
+Patch5: bug-718059_quagga-master-514838.2.patch
+Patch6: bug-718061_quagga-master-514837.patch
+Patch7: bug-718062_quagga-master-513254.patch
 BuildRequires:  net-snmp-devel
 BuildRequires:  pam-devel
 BuildRequires:  readline-devel
@@ -68,6 +74,12 @@
 %setup -q -a 1
 %patch0 -p 1
 %patch1 -p 1
+%patch2 -p 1
+%patch3 -p 1
+%patch4 -p 1
+%patch5 -p 1
+%patch6 -p 1
+%patch7 -p 1
 
 %build
 if ! ls /proc/net/{dev,route,snmp} /dev/null; then

++ bug-718056_quagga-0.99.18-514840.patch ++
 793 lines (skipped)

++ bug-718058_quagga-master-514839.patch ++
commit 814a21b1a5af7b942e67ddf49e4b3eb3fd9353a6
Author: Denis Ovsienko infrastat...@yandex.ru
Date:   Thu Sep 1 18:48:42 2011 +0400

ospf6d: CERT-FI #514839 (DD LSA assertion)

This vulnerability was reported by CROSS project.

When Database Description LSA header list contains trailing zero octets,
ospf6d tries to process this data as an LSA header. This triggers an
assertion in the code and ospf6d shuts down.

* ospf6_lsa.c
  * ospf6_lsa_is_changed(): handle header-only argument(s)
appropriately, do not treat LSA length underrun as a fatal error.

diff --git a/ospf6d/ospf6_lsa.c b/ospf6d/ospf6_lsa.c
index c1db374..a9545c3 100644
--- a/ospf6d/ospf6_lsa.c
+++ b/ospf6d/ospf6_lsa.c
@@ -163,9 +163,19 @@ ospf6_lsa_is_changed (struct ospf6_lsa *lsa1,
 return 1;
   if (ntohs (lsa1-header-length) != ntohs (lsa2-header-length))
 return 1;
+  /* Going beyond LSA headers to compare the payload only makes sense, when 
both LSAs aren't header-only. */
+  if (CHECK_FLAG (lsa1-flag, OSPF6_LSA_HEADERONLY) != CHECK_FLAG (lsa2-flag, 
OSPF6_LSA_HEADERONLY))
+  {
+zlog_warn (%s: only one of two (%s, %s) LSAs compared is header-only, 
__func__, lsa1-name, lsa2-name);
+return 1;
+  }
+  if (CHECK_FLAG (lsa1-flag, OSPF6_LSA_HEADERONLY))
+return 0;
 
   length = OSPF6_LSA_SIZE (lsa1-header) - sizeof (struct ospf6_lsa_header);
-  assert (length  0);
+  /* Once upper layer verifies LSAs received, length underrun should become a 
warning. */
+  if (length = 0)
+return 0;
 
   return memcmp (OSPF6_LSA_HEADER_END (lsa1-header),
  OSPF6_LSA_HEADER_END (lsa2-header), length);
++ bug-718059_quagga-master-514838.1.patch ++
commit 6952d9a10f29b29ae79a7329a882da5938dda553
Author: Denis Ovsienko infrastat...@yandex.ru
Date:   Thu Sep 1 18:46:51 2011 +0400

ospfd: CERT-FI #514838.1 (OSPF header underrun)

This vulnerability was 

commit wireshark for openSUSE:11.4

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package wireshark for openSUSE:11.4
checked in at Thu Oct 13 17:35:02 CEST 2011.




--- old-versions/11.4/UPDATES/all/wireshark/wireshark.changes   2011-05-03 
11:43:38.0 +0200
+++ 11.4/wireshark/wireshark.changes2011-10-10 11:17:00.0 +0200
@@ -1,0 +2,26 @@
+Mon Sep 26 14:07:31 CST 2011 - cy...@novell.com
+
+- security fixes (#bnc 718032)
+  * CVE-2011-3266: Wireshark IKE dissector vulnerability
+  * CVE-2011-3360: Wireshark Lua script execution vulnerability
+  * CVE-2011-3483: Wireshark buffer exception handling vulnerability 
+
+---
+Wed Aug 10 06:25:28 UTC 2011 - cy...@novell.com
+
+- security fixes (#bnc 706728)
+  * CVE-2011-2597: Lucent/Ascend file parser susceptible to infinite loop
+  * CVE-2011-2698: ANSI MAP dissector susceptible to infinite loop
+
+---
+Mon Jul 18 07:43:08 UTC 2011 - cy...@novell.com
+
+- security fixes [#bnc 697516] 
+  * CVE-2011-1957: Large/infinite loop in the DICOM dissector
+  * CVE-2011-1959: A corrupted snoop file could crash Wireshark
+  * CVE-2011-2174: Malformed compressed capture data could crash Wireshark
+  * CVE-2011-2175: A corrupted Visual Networks file could crash Wireshark
+  * CVE-2011-1958: dereferene a NULL pointer if we had a corrupted Diameter
+  dictionary
+
+---

calling whatdependson for 11.4-i586


New:

  wireshark-1.2.17-CVE-2011-1957.patch
  wireshark-1.2.17-CVE-2011-1958.patch
  wireshark-1.2.17-CVE-2011-1959.patch
  wireshark-1.2.17-CVE-2011-2174.patch
  wireshark-1.2.17-CVE-2011-2175.patch
  wireshark-1.4.8-CVE-2011-2597.patch
  wireshark-1.4.8-CVE-2011-2698.patch
  wireshark-1.6.2-CVE-2011-3266.patch
  wireshark-1.6.2-CVE-2011-3360.patch
  wireshark-1.6.2-CVE-2011-3483.patch



Other differences:
--
++ wireshark.spec ++
--- /var/tmp/diff_new_pack.zL0BOa/_old  2011-10-13 17:34:47.0 +0200
+++ /var/tmp/diff_new_pack.zL0BOa/_new  2011-10-13 17:34:47.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   wireshark
 Version:1.4.4
-Release:0.RELEASE5
+Release:0.RELEASE7
 License:GPLv2+
 Summary:A Network Traffic Analyser
 Url:http://www.wireshark.org/
@@ -41,6 +41,16 @@
 Patch6: %{name}-%{version}-CVE-2011-1592.patch
 Patch7: %{name}-%{version}-CVE-2011-1590.patch
 Patch8: %{name}-%{version}-CVE-2011-1591.patch
+Patch9: %{name}-1.2.17-CVE-2011-1957.patch
+Patch10:%{name}-1.2.17-CVE-2011-1959.patch
+Patch11:%{name}-1.2.17-CVE-2011-2174.patch
+Patch12:%{name}-1.2.17-CVE-2011-2175.patch
+Patch13:%{name}-1.2.17-CVE-2011-1958.patch
+Patch14:%{name}-1.4.8-CVE-2011-2597.patch
+Patch15:%{name}-1.4.8-CVE-2011-2698.patch
+Patch16:%{name}-1.6.2-CVE-2011-3266.patch
+Patch17:%{name}-1.6.2-CVE-2011-3360.patch
+Patch18:%{name}-1.6.2-CVE-2011-3483.patch
 BuildRequires:  bison
 BuildRequires:  cairo-devel
 BuildRequires:  flex
@@ -106,6 +116,16 @@
 %patch6 -p1 
 %patch7
 %patch8 -p1
+%patch9 -p1
+%patch10 -p1
+%patch11 -p1
+%patch12 -p1
+%patch13 -p1
+%patch14 -p1
+%patch15 -p1
+%patch16 -p1
+%patch17 -p1
+%patch18 -p1
 
 sed -i 's/^Icon=wireshark.png$/Icon=wireshark/' wireshark.desktop
 # run as root on 11.3 and older - bnc#349782
@@ -115,7 +135,7 @@
 %endif
 
 %build
-%configure --without-zlib
+%configure
 make %{?_smp_mflags}
 
 %install

++ wireshark-1.2.17-CVE-2011-1957.patch ++
--- trunk/epan/dissectors/packet-dcm.c  2011/04/30 08:36:00 36957
+++ trunk/epan/dissectors/packet-dcm.c  2011/04/30 17:43:05 36958
@@ -6519,6 +6519,7 @@
 
  /* Process all PDUs in the buffer */
 while (pdu_start  tlen) {
+   guint32 old_pdu_start;
 
if ((pdu_len+6)  (tlen-offset)) {
 
@@ -6539,7 +6540,13 @@
offset=dissect_dcm_pdu(tvb, pinfo, tree, pdu_start);
 
/* Next PDU */
+   old_pdu_start = pdu_start;
pdu_start =  pdu_start + pdu_len + 6;
+   if (pdu_start = old_pdu_start) {
+   expert_add_info_format(pinfo, NULL, PI_MALFORMED, PI_ERROR,
+   Invalid PDU length (%u), pdu_len);
+   THROW(ReportedBoundsError);
+   }
 
if (pdu_start  tlen - 6) {
/* we got at least 6 bytes of the next PDU still in the buffer */
++ wireshark-1.2.17-CVE-2011-1958.patch ++
--- trunk/epan/diam_dict.l  2011/05/06 15:05:51 37010
+++ trunk/epan/diam_dict.l  2011/05/06 19:39:47 37011
@@ -269,9 +269,6 @@
yyterminate();
}
 
-   include_stack[include_stack_ptr++] = YY_CURRENT_BUFFER;
-
-
for (e = ents.next; e; e = e-next) {
if (strcmp(e-name,yytext) == 0) {
yyin = 

commit quagga for openSUSE:11.4

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package quagga for openSUSE:11.4
checked in at Thu Oct 13 17:35:05 CEST 2011.




--- old-versions/11.4/UPDATES/all/quagga/quagga.changes 2011-06-02 
13:30:16.0 +0200
+++ 11.4/quagga/quagga.changes  2011-09-19 04:11:37.0 +0200
@@ -1,0 +2,28 @@
+Mon Sep 19 02:05:55 UTC 2011 - boy...@suse.com
+
+- DoS while decoding EXTENDED_COMMUNITIES in Quagga's BGP
+  [bnc#718062]
+
+---
+Mon Sep 19 02:05:25 UTC 2011 - boy...@suse.com
+
+- OSPFD DoS while decoding Link State Update [bnc#718061]
+
+---
+Mon Sep 19 02:04:52 UTC 2011 - boy...@suse.com
+
+- OSPFD DoS while decoding Hello packet [bnc#718059]
+
+---
+Mon Sep 19 02:04:08 UTC 2011 - boy...@suse.com
+
+- OSPF6D DoS while decoding Database Description packet
+  [bnc#718058]
+
+---
+Mon Sep 19 02:00:52 UTC 2011 - boy...@suse.com
+
+- OSPF6D buffer overflow while decoding Link State Update with
+  Inter Area Prefix Lsa [bnc#718056]
+
+---

calling whatdependson for 11.4-i586


New:

  bug-718056_quagga-0.99.18-514840.patch
  bug-718058_quagga-master-514839.patch
  bug-718059_quagga-master-514838.1.patch
  bug-718059_quagga-master-514838.2.patch
  bug-718061_quagga-master-514837.patch
  bug-718062_quagga-master-513254.patch



Other differences:
--
++ quagga.spec ++
--- /var/tmp/diff_new_pack.o0InyW/_old  2011-10-13 17:34:54.0 +0200
+++ /var/tmp/diff_new_pack.o0InyW/_new  2011-10-13 17:34:54.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   quagga
 Version:0.99.17
-Release:4.RELEASE7
+Release:4.RELEASE11
 License:LGPLv2.1+
 Summary:Free Routing Software (for BGP, OSPF and RIP, for example)
 Url:http://www.quagga.net
@@ -29,6 +29,12 @@
 Source2:%{name}.pam
 Patch0: %{name}-0.99.17-CVE-2010-1674.patch
 Patch1: %{name}-0.99.17-CVE-2010-1675.patch
+Patch2: bug-718056_quagga-0.99.18-514840.patch
+Patch3: bug-718058_quagga-master-514839.patch
+Patch4: bug-718059_quagga-master-514838.1.patch
+Patch5: bug-718059_quagga-master-514838.2.patch
+Patch6: bug-718061_quagga-master-514837.patch
+Patch7: bug-718062_quagga-master-513254.patch
 BuildRequires:  net-snmp-devel
 BuildRequires:  pam-devel
 BuildRequires:  readline-devel
@@ -68,6 +74,12 @@
 %setup -q -a 1
 %patch0 -p 1
 %patch1 -p 1
+%patch2 -p 1
+%patch3 -p 1
+%patch4 -p 1
+%patch5 -p 1
+%patch6 -p 1
+%patch7 -p 1
 
 %build
 if ! ls /proc/net/{dev,route,snmp} /dev/null; then

++ bug-718056_quagga-0.99.18-514840.patch ++
 793 lines (skipped)

++ bug-718058_quagga-master-514839.patch ++
commit 814a21b1a5af7b942e67ddf49e4b3eb3fd9353a6
Author: Denis Ovsienko infrastat...@yandex.ru
Date:   Thu Sep 1 18:48:42 2011 +0400

ospf6d: CERT-FI #514839 (DD LSA assertion)

This vulnerability was reported by CROSS project.

When Database Description LSA header list contains trailing zero octets,
ospf6d tries to process this data as an LSA header. This triggers an
assertion in the code and ospf6d shuts down.

* ospf6_lsa.c
  * ospf6_lsa_is_changed(): handle header-only argument(s)
appropriately, do not treat LSA length underrun as a fatal error.

diff --git a/ospf6d/ospf6_lsa.c b/ospf6d/ospf6_lsa.c
index c1db374..a9545c3 100644
--- a/ospf6d/ospf6_lsa.c
+++ b/ospf6d/ospf6_lsa.c
@@ -163,9 +163,19 @@ ospf6_lsa_is_changed (struct ospf6_lsa *lsa1,
 return 1;
   if (ntohs (lsa1-header-length) != ntohs (lsa2-header-length))
 return 1;
+  /* Going beyond LSA headers to compare the payload only makes sense, when 
both LSAs aren't header-only. */
+  if (CHECK_FLAG (lsa1-flag, OSPF6_LSA_HEADERONLY) != CHECK_FLAG (lsa2-flag, 
OSPF6_LSA_HEADERONLY))
+  {
+zlog_warn (%s: only one of two (%s, %s) LSAs compared is header-only, 
__func__, lsa1-name, lsa2-name);
+return 1;
+  }
+  if (CHECK_FLAG (lsa1-flag, OSPF6_LSA_HEADERONLY))
+return 0;
 
   length = OSPF6_LSA_SIZE (lsa1-header) - sizeof (struct ospf6_lsa_header);
-  assert (length  0);
+  /* Once upper layer verifies LSAs received, length underrun should become a 
warning. */
+  if (length = 0)
+return 0;
 
   return memcmp (OSPF6_LSA_HEADER_END (lsa1-header),
  OSPF6_LSA_HEADER_END (lsa2-header), length);
++ bug-718059_quagga-master-514838.1.patch ++
commit 6952d9a10f29b29ae79a7329a882da5938dda553
Author: Denis Ovsienko infrastat...@yandex.ru
Date:   Thu Sep 1 18:46:51 2011 +0400

ospfd: CERT-FI #514838.1 (OSPF header underrun)

This vulnerability was 

commit NetworkManager-kde4 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package NetworkManager-kde4 for 
openSUSE:Factory
checked in at Thu Oct 13 19:40:44 CEST 2011.




--- openSUSE:Factory/NetworkManager-kde4/NetworkManager-kde4.changes
2011-10-06 14:57:31.0 +0200
+++ 
/mounts/work_src_done/STABLE/NetworkManager-kde4/NetworkManager-kde4.changes
2011-10-13 15:49:01.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 13 13:48:38 UTC 2011 - co...@suse.com
+
+- just set some environment variable in case there is no NM configured
+  in sysconfig
+
+---

calling whatdependson for head-i586




Other differences:
--
++ knetworkmanager.default.sh ++
--- /var/tmp/diff_new_pack.vP95wu/_old  2011-10-13 19:40:38.0 +0200
+++ /var/tmp/diff_new_pack.vP95wu/_new  2011-10-13 19:40:38.0 +0200
@@ -1,25 +1,10 @@
-kdehome=$HOME/.kde4
-test -n $KDEHOME  kdehome=`echo $KDEHOME|sed s,^~/,$HOME/,`
+knetworkmanager_autostart=$(. /etc/sysconfig/network/config  echo 
$NETWORKMANAGER)
 
-configfile=$kdehome/share/config/networkmanagementrc
-knetworkmanager_autostart=
-if test ! -f $configfile; then
-knetworkmanager_autostart=$(. /etc/sysconfig/network/config  echo 
$NETWORKMANAGER)
-elif test $configfile -ot  /etc/sysconfig/network/config; then
-knetworkmanager_autostart=$(. /etc/sysconfig/network/config  echo 
$NETWORKMANAGER)
-fi
-
-# kconfig will merge it in case we overwrite another setting
 if test -n $knetworkmanager_autostart; then
-mkdir -p $kdehome/share/config
-echo [General]  $configfile
 case $knetworkmanager_autostart in
  no)
-   knetworkmanager_autostart=false
+export KDE_NETWORKMANAGER_DISABLED=1
;;
- yes)
-   knetworkmanager_autostart=true
-;;
 esac
-echo Autostart=$knetworkmanager_autostart  $configfile
 fi
+

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit anjuta-extras for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package anjuta-extras for openSUSE:Factory
checked in at Thu Oct 13 19:41:03 CEST 2011.




--- openSUSE:Factory/anjuta-extras/anjuta-extras.changes2011-10-02 
09:47:36.0 +0200
+++ /mounts/work_src_done/STABLE/anjuta-extras/anjuta-extras.changes
2011-10-12 17:39:04.0 +0200
@@ -1,0 +2,7 @@
+Wed Oct 12 15:38:32 UTC 2011 - vu...@opensuse.org
+
+- Add anjuta BuildRequires to fix a build failure caused by
+  directory not being owned. It's okay since we have a Requires on
+  anjuta.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ anjuta-extras.spec ++
--- /var/tmp/diff_new_pack.UjSZN7/_old  2011-10-13 19:40:59.0 +0200
+++ /var/tmp/diff_new_pack.UjSZN7/_new  2011-10-13 19:40:59.0 +0200
@@ -26,6 +26,8 @@
 Group:  Development/Tools/IDE
 Url:http://download.gnome.org/sources/anjuta-extras
 Source: 
http://download.gnome.org/sources/anjuta-extras/3.2/%{name}-%{version}.tar.bz2
+# For directory ownership; okay since we have a Requires on anjuta
+BuildRequires:  anjuta
 BuildRequires:  anjuta-devel
 BuildRequires:  gcc-c++
 BuildRequires:  intltool

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit epiphany-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package epiphany-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 19:41:19 CEST 2011.




--- openSUSE:Factory/epiphany-branding-openSUSE/epiphany-branding-SLED.changes  
2011-10-04 16:56:07.0 +0200
+++ 
/mounts/work_src_done/STABLE/epiphany-branding-openSUSE/epiphany-branding-SLED.changes
  2011-10-13 14:52:40.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:50:53 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the epiphany versioned Requires, to not
+  have to rebuild this package each time epiphany rebuilds to keep
+  it installable.
+
+---
epiphany-branding-openSUSE.changes: same change

calling whatdependson for head-i586




Other differences:
--
++ epiphany-branding-SLED.spec ++
--- /var/tmp/diff_new_pack.6tercD/_old  2011-10-13 19:41:15.0 +0200
+++ /var/tmp/diff_new_pack.6tercD/_new  2011-10-13 19:41:15.0 +0200
@@ -46,7 +46,7 @@
 %endif
 BuildRequires:  suse-release
 %define distro_version %(lsb_release -r -s)
-%define epiphany_version %(rpm -q --qf '%%{version}-%%{release}' epiphany)
+%define epiphany_version %(rpm -q --qf '%%{version}' epiphany)
 Requires:   epiphany = %{epiphany_version}
 Provides:   epiphany-branding = %{epiphany_version}
 Conflicts:  otherproviders(epiphany-branding)

epiphany-branding-openSUSE.spec: same change
++ epiphany-branding.changes.in ++
--- /var/tmp/diff_new_pack.6tercD/_old  2011-10-13 19:41:16.0 +0200
+++ /var/tmp/diff_new_pack.6tercD/_new  2011-10-13 19:41:16.0 +0200
@@ -1,4 +1,17 @@
 ---
+Thu Oct 13 12:50:53 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the epiphany versioned Requires, to not
+  have to rebuild this package each time epiphany rebuilds to keep
+  it installable.
+
+---
+Sun Sep 18 17:17:12 UTC 2011 - jeng...@medozas.de
+
+- Remove redundant/obsolete tags/sections from specfile
+  (cf. packaging guidelines)
+
+---
 Wed Jul  6 16:27:30 CEST 2011 - vu...@opensuse.org
 
 - Bump version to 12.1.

++ epiphany-branding.spec.in ++
--- /var/tmp/diff_new_pack.6tercD/_old  2011-10-13 19:41:16.0 +0200
+++ /var/tmp/diff_new_pack.6tercD/_new  2011-10-13 19:41:16.0 +0200
@@ -44,7 +44,7 @@
 %endif
 BuildRequires:  suse-release
 %define distro_version %(lsb_release -r -s)
-%define epiphany_version %(rpm -q --qf '%%{version}-%%{release}' epiphany)
+%define epiphany_version %(rpm -q --qf '%%{version}' epiphany)
 Requires:   epiphany = %{epiphany_version}
 Provides:   epiphany-branding = %{epiphany_version}
 Conflicts:  otherproviders(epiphany-branding)
@@ -78,9 +78,6 @@
 # user agent
 install -D -m0644 branding.conf %{buildroot}%{_datadir}/epiphany/branding.conf
 
-%clean
-rm -rf %{buildroot}
-
 %files
 %defattr(-,root,root)
 %doc COPYING

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-panel-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-panel-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 19:41:28 CEST 2011.




--- 
openSUSE:Factory/gnome-panel-branding-openSUSE/gnome-panel-branding-openSUSE.changes
2011-09-23 02:00:56.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-panel-branding-openSUSE/gnome-panel-branding-openSUSE.changes
2011-10-13 14:58:57.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 12:58:52 UTC 2011 - vu...@opensuse.org
+
+- Remove %{release} from the gnome-panel versioned Requires, to not
+  have to rebuild this package each time gnome-panel rebuilds to
+  keep it installable.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gnome-panel-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.RNTvoc/_old  2011-10-13 19:41:24.0 +0200
+++ /var/tmp/diff_new_pack.RNTvoc/_new  2011-10-13 19:41:24.0 +0200
@@ -31,7 +31,7 @@
 BuildRequires:  gnome-panel-branding-upstream
 # For directory ownership:
 BuildRequires:  gnome-panel
-%define gnome_panel_version %(rpm -q --qf '%%{version}-%%{release}' 
gnome-panel)
+%define gnome_panel_version %(rpm -q --qf '%%{version}' gnome-panel)
 Requires:   gnome-panel = %{gnome_panel_version}
 Provides:   gnome-panel-branding = %{gnome_panel_version}
 Conflicts:  otherproviders(gnome-panel-branding)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ibus-hangul for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package ibus-hangul for openSUSE:Factory
checked in at Thu Oct 13 19:41:41 CEST 2011.




--- openSUSE:Factory/ibus-hangul/ibus-hangul.changes2011-09-23 
02:03:06.0 +0200
+++ /mounts/work_src_done/STABLE/ibus-hangul/ibus-hangul.changes
2011-10-12 14:29:22.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 11:49:43 CEST 2011 - ti...@suse.de
+
+- Fix build with ibus-1.4, the patch taken from Fedora (bnc#723591)
+- Fix the installation path of setup program
+
+---

calling whatdependson for head-i586


New:

  ibus-hangul-ibus-1.4.patch
  ibus-hangul-setup-dir-fix.diff



Other differences:
--
++ ibus-hangul.spec ++
--- /var/tmp/diff_new_pack.IbzgYf/_old  2011-10-13 19:41:38.0 +0200
+++ /var/tmp/diff_new_pack.IbzgYf/_new  2011-10-13 19:41:38.0 +0200
@@ -28,6 +28,8 @@
 Provides:   locale(ibus:ko)
 Url:http://code.google.com/p/ibus/
 Source: %{name}-%{version}.tar.gz
+Patch:  ibus-hangul-ibus-1.4.patch
+Patch1: ibus-hangul-setup-dir-fix.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -37,6 +39,12 @@
 
 %prep
 %setup -q
+%patch -p1
+%patch1 -p1
+# autoreconf -fi
+aclocal -Im4
+automake --foreign --copy --add-missing
+autoconf
 
 %build
 %configure --disable-static --libexecdir=%{_prefix}/%{_lib}/ibus
@@ -56,6 +64,7 @@
 %doc AUTHORS COPYING README
 %dir %{_libdir}/ibus
 %{_libdir}/ibus/ibus-*
+%{_prefix}/%{_lib}/ibus
 %{_datadir}/ibus-*
 %dir %{_datadir}/ibus
 %dir %{_datadir}/ibus/component

++ ibus-hangul-ibus-1.4.patch ++
Patch to follow ibus 1.4 config API change.
Index: ibus-hangul-1.3.1/src/engine.c
===
--- ibus-hangul-1.3.1.orig/src/engine.c
+++ ibus-hangul-1.3.1/src/engine.c
@@ -111,7 +111,11 @@ static void ibus_hangul_engine_update_lo
 static void ibus_config_value_changed   (IBusConfig *config,
  const gchar*section,
  const gchar*name,
+#if IBUS_CHECK_VERSION(1,3,99)
+ GVariant   *value,
+#else
  GValue *value,
+#endif  /* !IBUS_CHECK_VERSION(1,3,99) */
  gpointer
user_data);
 
 static voidlookup_table_set_visible (IBusLookupTable*table,
@@ -136,6 +140,11 @@ static gboolean hanja_key_list_match
 static gboolean hanja_key_list_has_modifier (HanjaKeyList   *list,
  guint   keyval);
 
+static gboolean config_get_string   (IBusConfig *config,
+ const gchar*section,
+ const gchar*name,
+ gchar **result);
+
 static IBusEngineClass *parent_class = NULL;
 static HanjaTable *hanja_table = NULL;
 static HanjaTable *symbol_table = NULL;
@@ -176,7 +185,7 @@ void
 ibus_hangul_init (IBusBus *bus)
 {
 gboolean res;
-GValue value = { 0, };
+gchar *str;
 
 hanja_table = hanja_table_load (NULL);
 
@@ -187,22 +196,20 @@ ibus_hangul_init (IBusBus *bus)
 g_object_ref_sink (config);
 
 hangul_keyboard = g_string_new_len (2, 8);
-res = ibus_config_get_value (config, engine/Hangul,
- HangulKeyboard, value);
+str = NULL;
+res = config_get_string (config, engine/Hangul, HangulKeyboard, str);
 if (res) {
-const gchar* str = g_value_get_string (value);
 g_string_assign (hangul_keyboard, str);
-g_value_unset(value);
+g_free (str);
 }
 
 hanja_key_list_init(hanja_keys);
 
-res = ibus_config_get_value (config, engine/Hangul,
- HanjaKeys, value);
+str = NULL;
+res = config_get_string (config, engine/Hangul, HanjaKeys, str);
 if (res) {
-const gchar* str = g_value_get_string (value);
 hanja_key_list_set_from_string(hanja_keys, str);
-g_value_unset(value);
+g_free (str);
 } else {
hanja_key_list_append(hanja_keys, IBUS_Hangul_Hanja, 0);
hanja_key_list_append(hanja_keys, IBUS_F9, 0);
@@ -963,27 +970,71 @@ ibus_hangul_engine_property_activate (IB
 }
 }
 
+static gboolean
+config_get_string (IBusConfig  *config,
+   const gchar *section,
+   const gchar *name,
+   gchar  **result)
+{
+#if IBUS_CHECK_VERSION(1,3,99)
+GVariant *value = NULL;
+
+g_return_val_if_fail (result != NULL, 

commit ibus-pinyin for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package ibus-pinyin for openSUSE:Factory
checked in at Thu Oct 13 19:41:51 CEST 2011.




--- openSUSE:Factory/ibus-pinyin/ibus-pinyin.changes2011-09-23 
02:03:07.0 +0200
+++ /mounts/work_src_done/STABLE/ibus-pinyin/ibus-pinyin.changes
2011-10-12 14:29:45.0 +0200
@@ -1,0 +2,5 @@
+Wed Oct 12 12:38:49 CEST 2011 - ti...@suse.de
+
+- Fix build with ibus-1.4 (bnc#723591)
+
+---

calling whatdependson for head-i586


New:

  ibus-pinyin-ibus-1.4-build.diff



Other differences:
--
++ ibus-pinyin.spec ++
--- /var/tmp/diff_new_pack.rTiFQa/_old  2011-10-13 19:41:47.0 +0200
+++ /var/tmp/diff_new_pack.rTiFQa/_new  2011-10-13 19:41:47.0 +0200
@@ -27,6 +27,7 @@
 Url:http://code.google.com/p/ibus/
 Source0:http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
 Source1:
http://scim-python.googlecode.com/files/pinyin-database-1.2.99.tar.bz2
+Patch:  ibus-pinyin-ibus-1.4-build.diff
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -44,6 +45,7 @@
 
 %prep
 %setup -q
+%patch -p1
 cp %{SOURCE1} data/db/open-phrase
 
 %build

++ ibus-pinyin-ibus-1.4-build.diff ++
---
 src/PYConfig.cc |   77 +---
 src/PYConfig.h  |   16 ---
 2 files changed, 85 insertions(+), 8 deletions(-)

--- a/src/PYConfig.cc
+++ b/src/PYConfig.cc
@@ -153,6 +153,18 @@
 Config::read (const gchar * name,
   bool  defval)
 {
+#if IBUS_CHECK_VERSION(1,3,99)
+GVariant *value = NULL;
+value = ibus_config_get_value (getIBusConfig (), m_section.c_str (), 
name);
+if (value) {
+if (g_variant_classify (value) == G_VARIANT_CLASS_BOOLEAN)
+return g_variant_get_boolean (value);
+}
+
+// write default value to config
+value = g_variant_new (b, defval);
+ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#else
 GValue value = {0};
 if (ibus_config_get_value (getIBusConfig (), m_section.c_str (), name, 
value)) {
 if (G_VALUE_TYPE (value) == G_TYPE_BOOLEAN)
@@ -163,6 +175,7 @@
 g_value_init (value, G_TYPE_BOOLEAN);
 g_value_set_boolean (value, defval);
 ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#endif
 
 return defval;
 }
@@ -171,6 +184,18 @@
 Config::read (const gchar * name,
   gint  defval)
 {
+#if IBUS_CHECK_VERSION(1,3,99)
+GVariant *value = NULL;
+value = ibus_config_get_value (getIBusConfig (), m_section.c_str (), 
name);
+if (value) {
+   if (g_variant_classify (value) == G_VARIANT_CLASS_INT32)
+   return g_variant_get_int32 (value);
+}
+
+// write default value to config
+value = g_variant_new (i, defval);
+ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#else
 GValue value = {0};
 if (ibus_config_get_value (getIBusConfig (), m_section.c_str (), name, 
value)) {
 if (G_VALUE_TYPE (value) == G_TYPE_INT)
@@ -181,6 +206,7 @@
 g_value_init (value, G_TYPE_INT);
 g_value_set_int (value, defval);
 ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#endif
 
 return defval;
 }
@@ -189,6 +215,18 @@
 Config::read (const gchar * name,
   const gchar * defval)
 {
+#if IBUS_CHECK_VERSION(1,3,99)
+GVariant *value = NULL;
+value = ibus_config_get_value (getIBusConfig (), m_section.c_str (), 
name);
+if (value) {
+   if (g_variant_classify (value) == G_VARIANT_CLASS_STRING)
+return g_variant_get_string (value, NULL);
+}
+
+// write default value to config
+value = g_variant_new (s, defval);
+ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#else
 GValue value = {0};
 if (ibus_config_get_value (getIBusConfig (), m_section.c_str (), name, 
value)) {
 if (G_VALUE_TYPE (value) == G_TYPE_STRING)
@@ -199,10 +237,20 @@
 g_value_init (value, G_TYPE_STRING);
 g_value_set_static_string (value, defval);
 ibus_config_set_value (getIBusConfig (), m_section.c_str (), name, 
value);
+#endif
 
 return defval;
 }
 
+#if IBUS_CHECK_VERSION(1,3,99)
+static inline bool
+normalizeGValue (GVariant *value, bool defval)
+{
+if (value == NULL || g_variant_classify (value) != G_VARIANT_CLASS_BOOLEAN)
+return defval;
+return g_variant_get_boolean (value);
+}
+#else
 static inline bool
 normalizeGValue (const GValue *value, bool defval)
 {
@@ -210,7 +258,17 @@
 return defval;
 return g_value_get_boolean (value);
 }
+#endif
 
+#if IBUS_CHECK_VERSION(1,3,99)
+static inline gint
+normalizeGValue (GVariant *value, gint defval)
+{
+if (value == NULL || g_variant_classify (value) != 

commit ibus-unikey for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package ibus-unikey for openSUSE:Factory
checked in at Thu Oct 13 19:41:58 CEST 2011.




--- openSUSE:Factory/ibus-unikey/ibus-unikey.changes2011-09-23 
02:03:10.0 +0200
+++ /mounts/work_src_done/STABLE/ibus-unikey/ibus-unikey.changes
2011-10-12 14:30:07.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 12:41:57 CEST 2011 - ti...@suse.de
+
+- Updated to 0.6.0
+  this fixes the build with ibus-1.4 (bnc#723591)
+
+---

calling whatdependson for head-i586


Old:

  ibus-unikey-0.5.1.tar.bz2

New:

  ibus-unikey-0.6.0.tar.gz



Other differences:
--
++ ibus-unikey.spec ++
--- /var/tmp/diff_new_pack.D3Xfcb/_old  2011-10-13 19:41:55.0 +0200
+++ /var/tmp/diff_new_pack.D3Xfcb/_new  2011-10-13 19:41:55.0 +0200
@@ -18,20 +18,21 @@
 
 
 Name:   ibus-unikey
-Version:0.5.1
+Version:0.6.0
 Release:1
 Summary:Vietnamese engine for IBus input platform
 Group:  System/Localization
 Provides:   locale(ibus:vi)
 License:GPLv3
 Url:http://code.google.com/p/ibus-unikey/
-Source0:http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
+Source0:http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 BuildRequires:  ibus-devel
 BuildRequires:  gtk2-devel
 BuildRequires:  gconf2-devel
 BuildRequires:  gcc-c++
+BuildRequires:  intltool
 BuildRequires:  ibus
 Requires:   ibus
 

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit icu for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package icu for openSUSE:Factory
checked in at Thu Oct 13 19:42:08 CEST 2011.




--- openSUSE:Factory/icu/icu.changes2011-09-23 02:03:19.0 +0200
+++ /mounts/work_src_done/STABLE/icu/icu.changes2011-10-12 
19:16:22.0 +0200
@@ -1,0 +2,13 @@
+Wed Oct 12 17:04:29 UTC 2011 - vu...@opensuse.org
+
+- Drop pkgdata.diff: everything leads me to think this is not
+  needed anymore. Debian doesn't ship this patch with its 4.4
+  version of ICU. This patch was just a workaround in the first
+  place anyway.
+
+---
+Tue Oct 11 22:26:44 CEST 2011 - dmuel...@suse.de
+
+- Disable make check when run under qemu.
+
+---

calling whatdependson for head-i586


Old:

  pkgdata.diff



Other differences:
--
++ icu.spec ++
--- /var/tmp/diff_new_pack.2eLG4r/_old  2011-10-13 19:42:05.0 +0200
+++ /var/tmp/diff_new_pack.2eLG4r/_new  2011-10-13 19:42:05.0 +0200
@@ -27,8 +27,6 @@
 Source0:icu4c-4_6_1-src.tar.bz2
 Source1:icu4c-4_6_1-docs.tar.bz2
 Source3:SuSEconfig.icu
-# PATCH-FIX-UPSTREAM pkgdata.diff -- 
http://bugs.icu-project.org/trac/ticket/6969#comment:19
-Patch0: pkgdata.diff
 # PATCH-FIX-UPSTREAM icu44-rpmlint.diff -- 
http://bugs.icu-project.org/trac/ticket/7808
 Patch1: icu44-rpmlint.diff
 # PATCH-FIX-OPENSUSE icu-remove-datetime.patch vu...@novell.com -- Do not put 
date/time in icu-config (needed for build-compare)
@@ -127,7 +125,6 @@
 
 %prep
 %setup -q -n icu -a1
-%patch0 -p0
 %patch1 -p1
 %patch99 -p1
 
@@ -166,7 +163,12 @@
 
 %check
 cd source
+%if !0%{?qemu_user_space_build:1}
+# Checks disabled in qemu because of races happening when we emulate
+# multi-threaded programs, and some check tests atomic instructions in
+# multi-threaded icu invocations
 make check
+%endif
 
 %clean
 rm -rf %{buildroot}

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit installation-images for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory
checked in at Thu Oct 13 19:42:19 CEST 2011.




--- openSUSE:Factory/installation-images/installation-images.changes
2011-09-27 16:13:44.0 +0200
+++ 
/mounts/work_src_done/STABLE/installation-images/installation-images.changes
2011-10-13 17:13:07.0 +0200
@@ -1,0 +2,17 @@
+Thu Oct 13 17:12:19 CEST 2011 - snw...@suse.de
+
+- switch to yast theme openSUSE-Oxygen
+
+---
+Thu Oct 13 10:08:18 CEST 2011 - oher...@suse.de
+
+- add sysvinit
+
+---
+Wed Oct 12 21:52:43 CEST 2011 - oher...@suse.de
+
+- add hdparm
+- rename keyutils-libs usage to libkeyutils*
+- add libgcc_s* and libstdc++ to base
+
+---

calling whatdependson for head-i586


Old:

  installation-images-13.14.tar.bz2
  new.diff

New:

  installation-images-13.15.tar.bz2



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.lEoCto/_old  2011-10-13 19:42:15.0 +0200
+++ /var/tmp/diff_new_pack.lEoCto/_new  2011-10-13 19:42:15.0 +0200
@@ -31,6 +31,8 @@
 BuildRequires:  bzip2 cracklib cracklib-dict-full curl gpart iproute2 
libexpat1 libfuse2 libreiserfs libreiserfs-devel module-init-tools nfs-client 
ntfs-3g parted procinfo procps psmisc reiserfs satsolver-tools squashfs strace 
vim xntp xz yast2-devtools
 BuildRequires:  alsa alsa-utils bind-libs bind-utils chkrootkit espeak lsscsi 
openldap2-client portaudio portmap python rpcbind sdparm smp_utils uuid-runtime 
xorg-x11-xauth yast2-multipath
 BuildRequires:  btrfsprogs cairo graphviz graphviz-gnome kernel-default 
kernel-firmware libiw30 pango sax2-tools unscd valgrind wireless-tools 
wpa_supplicant yast2-qt-graph
+BuildRequires:  hdparm
+BuildRequires:  sysvinit
 %if %has_vnc
 BuildRequires:  xorg-x11-Xvnc
 %endif
@@ -80,6 +82,7 @@
 %endif
 %ifarch %ix86 x86_64
 BuildRequires:  bootsplash gfxboot-branding-openSUSE
+BuildRequires:  yast2-qt-branding-openSUSE
 BuildRequires:  bootsplash-branding-openSUSE
 %if %has_sles
 BuildRequires:  gfxboot-branding-SLED gfxboot-branding-SLES
@@ -95,7 +98,7 @@
 %if %has_sles
 BuildRequires:  yast2-theme-SLE
 %endif
-BuildRequires:  desktop-data-openSUSE dmz-icon-theme-cursors 
yast2-theme-openSUSE
+BuildRequires:  desktop-data-openSUSE dmz-icon-theme-cursors 
yast2-theme-openSUSE yast2-theme-openSUSE-Oxygen
 %ifnarch s390
 # BuildRequires:  blocxx-debuginfo boost-debuginfo bzip2-debuginfo 
curl-debuginfo dbus-1-debuginfo dbus-1-glib-debuginfo e2fsprogs-debuginfo 
expat-debuginfo fontconfig-debuginfo gcc44-debuginfo glib2-debuginfo 
glibc-debuginfo hwinfo-debuginfo icu-debuginfo jpeg-debuginfo libidn-debuginfo 
libpng12-0-debuginfo libqt4-debuginfo libxcrypt-debuginfo libxml2-debuginfo 
libzypp-debuginfo openssl-debuginfo pcre-debuginfo perl-debuginfo 
perl-gettext-debuginfo qt3-debuginfo rpm-debuginfo sysfsutils-debuginfo 
wireless-tools-debuginfo xorg-x11-libICE-debuginfo xorg-x11-libSM-debuginfo 
xorg-x11-libX11-debuginfo xorg-x11-libXau-debuginfo xorg-x11-libXdmcp-debuginfo 
xorg-x11-libXext-debuginfo xorg-x11-libXfixes-debuginfo 
xorg-x11-libXmu-debuginfo xorg-x11-libXrender-debuginfo 
xorg-x11-libfontenc-debuginfo xorg-x11-libs-debuginfo xorg-x11-libxcb-debuginfo 
xorg-x11-server-debuginfo yast2-core-debuginfo 
yast2-hardware-detection-debuginfo yast2-perl-bindings-debuginfo 
yast2-pkg-bindings-debuginfo yast2-qt-debuginfo yast2-xml-debuginfo 
zlib-debuginfo
 %endif
@@ -106,10 +109,9 @@
 Obsoletes:  y2image
 AutoReqProv:off
 Summary:Installation Image Files
-Version:13.14
+Version:13.15
 Release:4
-Source: installation-images-13.14.tar.bz2
-Patch0: new.diff
+Source: installation-images-13.15.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define _binary_payload w.ufdio
 
@@ -179,7 +181,6 @@
 
 %prep
 %setup
-%patch0 -p1
 rm -f /usr/lib/build/checks/04-check-filelist
 
 %build

++ installation-images-13.14.tar.bz2 - installation-images-13.15.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-13.14/VERSION 
new/installation-images-13.15/VERSION
--- old/installation-images-13.14/VERSION   2011-09-20 11:35:22.0 
+0200
+++ new/installation-images-13.15/VERSION   2011-10-13 17:12:13.0 
+0200
@@ -1 +1 @@
-13.14
+13.15
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-13.14/changelog 
new/installation-images-13.15/changelog
--- old/installation-images-13.14/changelog 2011-09-20 11:35:26.0 
+0200
+++ new/installation-images-13.15/changelog   

commit kdebase4-workspace for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package kdebase4-workspace for 
openSUSE:Factory
checked in at Thu Oct 13 19:42:56 CEST 2011.




--- openSUSE:Factory/kdebase4-workspace/kdebase4-workspace.changes  
2011-10-13 12:30:55.0 +0200
+++ /mounts/work_src_done/STABLE/kdebase4-workspace/kdebase4-workspace.changes  
2011-10-13 15:41:52.0 +0200
@@ -1,0 +2,7 @@
+Thu Oct 13 13:40:54 UTC 2011 - co...@suse.com
+
+- respect $KDE_NETWORKMANAGER_DISABLED before deciding if users
+  want an always red symbol in their plasma config
+  (plasma-disable-networkmanager.diff)
+
+---
--- openSUSE:Factory/kdebase4-workspace/python-kdebase4.changes 2011-10-07 
16:07:42.0 +0200
+++ /mounts/work_src_done/STABLE/kdebase4-workspace/python-kdebase4.changes 
2011-10-13 15:41:52.0 +0200
@@ -1,0 +2,19 @@
+Thu Oct 13 13:40:54 UTC 2011 - co...@suse.com
+
+- respect $KDE_NETWORKMANAGER_DISABLED before deciding if users
+  want an always red symbol in their plasma config
+  (plasma-disable-networkmanager.diff)
+
+---
+Thu Oct 13 04:13:19 UTC 2011 - co...@suse.com
+
+- fix branding requires for kwin and kdm
+
+---
+Wed Oct 12 15:25:49 UTC 2011 - co...@suse.com
+
+- take out the corona patch, it should be in branding-openSUSE
+- put plasma files in branding-upstream and require specific version
+  of it from branding packages
+
+---

calling whatdependson for head-i586


New:

  plasma-disable-networkmanager.diff



Other differences:
--
++ kdebase4-workspace.spec ++
--- /var/tmp/diff_new_pack.fl5FaB/_old  2011-10-13 19:42:51.0 +0200
+++ /var/tmp/diff_new_pack.fl5FaB/_new  2011-10-13 19:42:51.0 +0200
@@ -101,6 +101,7 @@
 Patch124:   kdm-fix-labelcolors.diff
 Patch125:   pam-translate.diff
 Patch201:   plasma-notifications-kill-timer.diff
+Patch202:   plasma-disable-networkmanager.diff
 Patch211:   disable-python-support.diff
 Requires:   kde4-kgreeter-plugins = %version
 Requires:   kdebase4-workspace-liboxygenstyle = %version
@@ -174,6 +175,7 @@
 ###KDE47: rediff
 #%patch125
 %patch201 -p1
+%patch202 -p1
 %patch211
 cp %{SOURCE3} kwin/effects/cube/data/cubecap.png
 


++ plasma-disable-networkmanager.diff ++
commit dda8f95f9d810cf3f14f7be410bb612b1c6c0744
Author: Stephan Kulow co...@suse.de
Date:   Thu Oct 13 15:36:58 2011 +0200

openSUSE has NetworkManager installed on all installations, but doesn't
necessarly run it. While checking for some dbus interface might be
the better solution, it's also the more fragile one because NM might
still startup or be down just the second we check the default applets.

So simply make it possible to disable it on KDE start depending on sysconfig
and if the system changes, the user is expected to reconfigure plasma too

diff --git a/plasma/generic/applets/systemtray/ui/applet.cpp 
b/plasma/generic/applets/systemtray/ui/applet.cpp
index bf983e1..f9cf13f 100644
--- a/plasma/generic/applets/systemtray/ui/applet.cpp
+++ b/plasma/generic/applets/systemtray/ui/applet.cpp
@@ -729,7 +729,7 @@ void Applet::checkDefaultApplets()
 
 
 QStringList applets = s_manager-applets(this);
-if (!applets.contains(org.kde.networkmanagement)) {
+if (!applets.contains(org.kde.networkmanagement)  
!getenv(KDE_NETWORKMANAGER_DISABLED)) {
 s_manager-addApplet(org.kde.networkmanagement, this);
 }
 

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libepc for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package libepc for openSUSE:Factory
checked in at Thu Oct 13 19:43:10 CEST 2011.




--- openSUSE:Factory/libepc/libepc.changes  2011-10-03 20:02:13.0 
+0200
+++ /mounts/work_src_done/STABLE/libepc/libepc.changes  2011-10-13 
17:52:39.0 +0200
@@ -1,0 +2,8 @@
+Thu Oct 13 15:52:12 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.4.2:
+  + Build:
+- examples: Fix linker problems.
+- Avoid use of deprecated G_CONST_RETURN (bgo#660558).
+
+---

calling whatdependson for head-i586


Old:

  libepc-0.4.1.tar.bz2

New:

  libepc-0.4.2.tar.bz2



Other differences:
--
++ libepc.spec ++
--- /var/tmp/diff_new_pack.R5wX0N/_old  2011-10-13 19:43:07.0 +0200
+++ /var/tmp/diff_new_pack.R5wX0N/_new  2011-10-13 19:43:07.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   libepc
 Summary:Easy Publish and Consume Library
-Version:0.4.1
+Version:0.4.2
 Release:1
 License:LGPLv2.1+
 Group:  Development/Libraries/GNOME

++ libepc-0.4.1.tar.bz2 - libepc-0.4.2.tar.bz2 ++
 5898 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libzypp for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package libzypp for openSUSE:Factory
checked in at Thu Oct 13 19:43:27 CEST 2011.




--- openSUSE:Factory/libzypp/libzypp.changes2011-09-23 02:11:19.0 
+0200
+++ /mounts/work_src_done/STABLE/libzypp/libzypp.changes2011-10-13 
12:37:47.0 +0200
@@ -1,0 +2,34 @@
+Thu Oct 13 11:50:26 CEST 2011 - m...@suse.de
+
+- Must not differ between type nfs and nfs4 when checking the mount 
+  table (bnc#710269)
+- version 10.1.1 (1)
+
+---
+Thu Oct 13 01:13:37 CEST 2011 - m...@suse.de
+
+- Update zypp-po.tar.bz2
+
+---
+Tue Oct 11 15:20:43 CEST 2011 - m...@suse.de
+
+- Switch to using libsolv instead of satsolver
+- version 10.1.0 (1)
+
+---
+Sun Oct  9 01:13:16 CEST 2011 - m...@suse.de
+
+- Update zypp-po.tar.bz2
+
+---
+Thu Oct  6 01:14:00 CEST 2011 - m...@suse.de
+
+- Update zypp-po.tar.bz2
+
+---
+Tue Sep 20 09:57:04 CEST 2011 - m...@suse.de
+
+- Bump major version for Factory; 9.x is continued on SLE-11-SP2-Branch
+- version 10.0.0 (0)
+
+---

calling whatdependson for head-i586


Old:

  libzypp-9.11.0.tar.bz2

New:

  libzypp-10.1.1.tar.bz2



Other differences:
--
++ libzypp.spec ++
--- /var/tmp/diff_new_pack.Ub2vVG/_old  2011-10-13 19:43:22.0 +0200
+++ /var/tmp/diff_new_pack.Ub2vVG/_new  2011-10-13 19:43:22.0 +0200
@@ -1,30 +1,22 @@
 #
 # spec file for package libzypp
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# This file and all modifications and additions to the pristine
+# package are under the same license as the package itself.
 #
-# All modifications and additions to the file contributed by third parties
-# remain the property of their copyright owners, unless otherwise agreed
-# upon. The license for this file, and modifications and additions to the
-# file, is the same license as for the pristine package itself (unless the
-# license for the pristine package is not an Open Source License, in which
-# case the license is the MIT License). An Open Source License is a
-# license that conforms to the Open Source Definition (Version 1.9)
-# published by the Open Source Initiative.
-
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 # norootforbuild
 
-
 Name:   libzypp
 License:GPLv2
 Group:  System/Packages
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Package, Patch, Pattern, and Product Management
-Version:9.11.0
-Release:1
+Version:10.1.1
+Release:0
 Source: %{name}-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc
 Provides:   yast2-packagemanager
@@ -52,17 +44,17 @@
 BuildRequires:  boost-devel
 BuildRequires:  dejagnu
 BuildRequires:  doxygen
-BuildRequires:  gcc-c++
+BuildRequires:  gcc-c++ = 4.5
 BuildRequires:  gettext-devel
 BuildRequires:  graphviz
 BuildRequires:  libxml2-devel
 BuildRequires:  libproxy-devel
 
-BuildRequires:  libsatsolver-devel = 0.14.17
+BuildRequires:  libsolv-devel
 %if 0%{?suse_version} = 1100
-%requires_eqsatsolver-tools
+%requires_eqlibsolv-tools
 %else
-Requires:   satsolver-tools
+Requires:   libsolv-tools
 %endif
 
 # required for testsuite, webrick
@@ -103,7 +95,6 @@
 Requires:   gnupg2
 %endif
 
-%define min_aria_version 1.1.2
 # ---
 %if 0%{?suse_version} = 1110
 # (almost) common codebase, but on SLES11-SP1 (according to Rudi
@@ -148,7 +139,6 @@
 Ladislav Slezak lsle...@suse.cz
 
 %package devel
-
 Requires:   libzypp = %{version}
 Requires:   libxml2-devel
 Requires:   openssl-devel
@@ -178,9 +168,9 @@
 Requires:   libcurl-devel = %{min_curl_version}
 %endif
 %if 0%{?suse_version} = 1100
-%requires_gelibsatsolver-devel
+%requires_gelibsolv-devel
 %else
-Requires:   libsatsolver-devel
+Requires:   libsolv-devel
 %endif
 Summary:Package, Patch, Pattern, and Product Management - developers 
files
 Group:  System/Packages
@@ -262,6 +252,7 @@
 cd ..
 %{find_lang} zypp
 
+
 %post
 /sbin/ldconfig
 if [ -f /var/cache/zypp/zypp.db ]; then rm /var/cache/zypp/zypp.db; fi
@@ -326,6 +317,7 @@
   done
 fi
 
+
 %postun -p /sbin/ldconfig
 
 %clean

++ libzypp-9.11.0.tar.bz2 - libzypp-10.1.1.tar.bz2 ++
 1739 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: 

commit radvd for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package radvd for openSUSE:Factory
checked in at Thu Oct 13 19:43:34 CEST 2011.




--- openSUSE:Factory/radvd/radvd.changes2011-09-23 12:44:03.0 
+0200
+++ /mounts/work_src_done/STABLE/radvd/radvd.changes2011-09-29 
04:16:52.0 +0200
@@ -1,0 +2,8 @@
+Thu Sep 29 02:15:09 UTC 2011 - crrodrig...@opensuse.org
+
+- Update to version 1.8.1 for details see NEWS
+- Fix package building in factory, creating /var/run/radvd before
+  being marked as %ghost
+- Run spec cleaner
+
+---

calling whatdependson for head-i586


Old:

  0002-continue-even-if-forwarding-is-off.diff
  radvd-1.7.tar.gz

New:

  radvd-1.8.1.tar.gz



Other differences:
--
++ radvd.spec ++
--- /var/tmp/diff_new_pack.mAm0ZB/_old  2011-10-13 19:43:30.0 +0200
+++ /var/tmp/diff_new_pack.mAm0ZB/_new  2011-10-13 19:43:30.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package radvd (Version 1.3)
+# spec file for package radvd
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,51 +15,49 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   radvd
-BuildRequires:  bison flex
+Version:1.8.1
+Release:1
 License:BSD 3-clause (or similar)
-Group:  Productivity/Networking/Routing
-PreReq: %insserv_prereq %fillup_prereq
-AutoReqProv:on
 Summary:Router ADVertisement Daemon for IPv6
-Version:1.7
-Release:1
+Url:http://v6web.litech.org/radvd
+Group:  Productivity/Networking/Routing
 Source0:http://www.litech.org/radvd/dist/%{name}-%{version}.tar.gz
 Source1:radvd.init
 Source2:sysconfig.radvd
 Patch0: 0001-run-as-user-radvd-by-default.diff
-Patch1: 0002-continue-even-if-forwarding-is-off.diff
-Url:http://v6web.litech.org/radvd
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  bison
+BuildRequires:  flex
+PreReq: %fillup_prereq
+PreReq: %insserv_prereq
 PreReq: /usr/sbin/useradd
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 RADVD is the Router ADVertisement Daemon. It is used for automated
 configuration of IPv6 networks. Most people will not need this.
 
-
-
 %prep
 %setup -q
 %patch0 -p1
-%patch1 -p1
 
 %build
 autoreconf -fi
-CFLAGS=$RPM_OPT_FLAGS -fno-strict-aliasing ./configure --prefix=%{_prefix} 
--mandir=%{_mandir} --sysconfdir=%{_sysconfdir} 
--with-configfile=%{_sysconfdir}/radvd.conf 
--with-pidfile=/var/run/radvd/radvd.pid
-make
+CFLAGS=%{optflags} -fno-strict-aliasing 
+%configure --disable-silent-rules --with-configfile=%{_sysconfdir}/radvd.conf 
--with-pidfile=/var/run/radvd/radvd.pid
+make %{?_smp_mflags}
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
-mkdir -p $RPM_BUILD_ROOT/etc/init.d
-install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/radvd
-ln -sf /etc/init.d/radvd $RPM_BUILD_ROOT/usr/sbin/rcradvd
-mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
-install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
-install -m 644 /dev/null $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
+%makeinstall
+mkdir -p %{buildroot}%{_sysconfdir}/init.d
+mkdir -p %{buildroot}%{_localstatedir}/run/radvd
+install -m 0755 %{SOURCE1} %{buildroot}%{_initddir}/radvd
+ln -sf /etc/init.d/radvd %{buildroot}%{_sbindir}/rcradvd
+mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
+install -m 644 %{SOURCE2} %{buildroot}%{_localstatedir}/adm/fillup-templates/
+install -m 644 /dev/null %{buildroot}%{_sysconfdir}/radvd.conf
 
 %pre
 getent passwd radvd /dev/null || \
@@ -68,7 +66,7 @@
 
 %post
 # zap old (= 11.4) default
-sed -ie '/^RADVD_OPTIONS/s/-u daemon//' /etc/sysconfig/radvd
+test -f /etc/sysconfig/radvd  sed -ie '/^RADVD_OPTIONS/s/-u daemon//' 
/etc/sysconfig/radvd
 %{fillup_and_insserv radvd}
 #
 if [ ! -e /etc/radvd.conf ]; then
@@ -106,21 +104,21 @@
 %stop_on_removal radvd
 
 %clean
-rm -rf $RPM_BUILD_ROOT
+rm -rf %{buildroot}
 
 %files
 %defattr(-,root,root)
-%ghost %dir %attr(0755,radvd,root) /var/run/radvd/
+%ghost %dir %attr(0755,radvd,root) %{_localstatedir}/run/radvd/
 %ghost %config(noreplace) %{_sysconfdir}/radvd.conf
-/var/adm/fillup-templates/sysconfig.radvd
-/usr/sbin/radvd
-/usr/sbin/radvdump
+%{_localstatedir}/adm/fillup-templates/sysconfig.radvd
+%{_sbindir}/radvd
+%{_sbindir}/radvdump
 %doc %{_mandir}/man8/radvd.8.gz
 %doc %{_mandir}/man8/radvdump.8.gz
 %doc %{_mandir}/man5/radvd.conf.5.gz
 %doc CHANGES COPYRIGHT TODO INTRO.html
 %doc radvd.conf.example

commit rpmrebuild for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package rpmrebuild for openSUSE:Factory
checked in at Thu Oct 13 19:43:44 CEST 2011.




--- openSUSE:Factory/rpmrebuild/rpmrebuild.changes  2011-09-23 
12:44:42.0 +0200
+++ /mounts/work_src_done/STABLE/rpmrebuild/rpmrebuild.changes  2011-10-13 
14:45:30.0 +0200
@@ -1,0 +2,9 @@
+Thu Oct 13 12:42:06 UTC 2011 - br...@ioda-net.ch
+
+- Update to version 2.6
+- spec cleaner
+- Remove redundant tags/sections from specfile
+  (cf. packaging guidelines)
+- Use %_smp_mflags for parallel build- 
+
+---

calling whatdependson for head-i586


Old:

  rpmrebuild-2.4.tar.bz2

New:

  rpmrebuild-2.6.tar.bz2



Other differences:
--
++ rpmrebuild.spec ++
--- /var/tmp/diff_new_pack.5S0dEH/_old  2011-10-13 19:43:40.0 +0200
+++ /var/tmp/diff_new_pack.5S0dEH/_new  2011-10-13 19:43:40.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package rpmrebuild (Version 2.4)
+# spec file for package rpmrebuild
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,21 +15,22 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   rpmrebuild
-License:GPLv2+
-Group:  System/Packages
-AutoReqProv:on
-Version:2.4
+Version:2.6
 Release:1
+License:GPLv2+
 Summary:A tool to build a rpm file from the rpm database
 Url:http://rpmrebuild.sourceforge.net
-Source: %name-%version.tar.bz2
+Group:  System/Packages
+Source: %{name}-%{version}.tar.bz2
+Requires:   bash
+Requires:   coreutils
+Requires:   cpio
+Requires:   sed
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-Requires:   bash cpio coreutils sed
 
 %description
 rpmrebuild allows to build an rpm file from an installed rpm, or from
@@ -37,32 +38,22 @@
 can be extended by a plugin system. A typical use is to easy repackage
 a software after some configuration's change.
 
-
-
-Authors:
-
-Eric Gerbier gerb...@users.sourceforge.net
-Valery Reznic valery_rez...@users.sourceforge.net
-
 %prep
 %setup -q -c
 
 %build
-make
+%__make %{?_smp_mflags};
 
 %install
-make DESTDIR=$RPM_BUILD_ROOT install
-mv $RPM_BUILD_ROOT%_mandir/fr_FR.UTF-8/ $RPM_BUILD_ROOT%_mandir/fr
-rm -rf $RPM_BUILD_ROOT%_mandir/fr_FR/
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+%makeinstall DESTDIR=%{buildroot} 
+mv %{buildroot}%{_mandir}/fr_FR.UTF-8/ %{buildroot}%{_mandir}/fr
+rm -rf %{buildroot}%{_mandir}/fr_FR/
 
 %files
 %defattr(-,root,root)
-%_bindir/rpmrebuild
-%_prefix/lib/rpmrebuild
-%_mandir/fr/man1/*
-%_mandir/man1/*
+%{_bindir}/rpmrebuild
+%{_prefix}/lib/rpmrebuild
+%{_mandir}/fr/man1/*
+%{_mandir}/man1/*
 
 %changelog

++ rpmrebuild-2.4.tar.bz2 - rpmrebuild-2.6.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Changelog new/Changelog
--- old/Changelog   2009-12-11 09:53:36.0 +0100
+++ new/Changelog   2011-07-12 10:06:45.0 +0200
@@ -1,3 +1,14 @@
+* Tue Jul 12 2011 gerb...@users.sourceforge.net 2.6
+- fix bug when working on source packages
+
+* Fri Apr 15 2011 gerb...@users.sourceforge.net 2.5
+- add -5/-l options in man pages
+- Added support for obsolete version and flags (bugfix by Valery Reznic)
+- shell compatibility (mkdir) for AIX : use -p option instead --parents
+- new Mkdir_p function to check for mkdir result
+- apply patch from ndyankov : support for broken symlinks
+- specfile will allow build package for rpm version 4 or 3
+
 * Fri Dec 11 2009 gerb...@users.sourceforge.net 2.4
 - add -l / --list-plugin option
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Makefile new/Makefile
--- old/Makefile2008-12-19 09:05:02.0 +0100
+++ new/Makefile2011-07-12 10:06:45.0 +0200
@@ -1,4 +1,4 @@
-# $Id: Makefile 609 2008-12-14 16:30:40Z valery_reznic $
+# $Id: Makefile 688 2011-07-11 12:36:37Z gerbier $
 #
 TOP_DIR := .
 include $(TOP_DIR)/Makefile.include
@@ -29,6 +29,7 @@
rpmrebuild_ghost.sh \
 
 INCLUDE_SCRIPTS :=   \
+   rpmrebuild_lib.src   \
processing_func.src   \
rpmrebuild_rpmqf.src  \
rpmrebuild_parser.src \
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Makefile.include new/Makefile.include
--- old/Makefile.include2007-11-08 19:12:41.0 +0100
+++ new/Makefile.include2010-09-23 09:19:19.0 +0200
@@ -3,7 +3,7 @@
 INSTALL_MAN := install 

commit tracker for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package tracker for openSUSE:Factory
checked in at Thu Oct 13 19:43:56 CEST 2011.




--- openSUSE:Factory/tracker/tracker.changes2011-10-13 12:34:09.0 
+0200
+++ /mounts/work_src_done/STABLE/tracker/tracker.changes2011-10-13 
17:58:11.0 +0200
@@ -1,0 +2,13 @@
+Thu Oct 13 15:54:01 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.12.5:
+  + SPARQL:
+- Support DELETE WHERE {...}
+- Support SELECT (Expression AS Var) syntax
+  + tracker-extract-gstreamer: flag renamed from TAGS to
+LIGHTWEIGHT in GStreamer
+  + Build fix.
+  + Bugs fixed: bgo#655177, bgo#272997, nokia#285979, nokia#286103.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  tracker-0.12.4.tar.bz2

New:

  tracker-0.12.5.tar.bz2



Other differences:
--
++ tracker.spec ++
--- /var/tmp/diff_new_pack.YCzNDf/_old  2011-10-13 19:43:53.0 +0200
+++ /var/tmp/diff_new_pack.YCzNDf/_new  2011-10-13 19:43:53.0 +0200
@@ -23,7 +23,7 @@
 %define thunderbird_appid  \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
 
 Name:   tracker
-Version:0.12.4
+Version:0.12.5
 Release:1
 # FIXME: missing pkgconfig(libcue) BuildRequires: we don't have this 
packaged...
 License:GPLv2+

++ tracker-0.12.4.tar.bz2 - tracker-0.12.5.tar.bz2 ++
openSUSE:Factory/tracker/tracker-0.12.4.tar.bz2 
/mounts/work_src_done/STABLE/tracker/tracker-0.12.5.tar.bz2 differ: char 11, 
line 1

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit uim for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package uim for openSUSE:Factory
checked in at Thu Oct 13 19:44:11 CEST 2011.




--- openSUSE:Factory/uim/uim.changes2011-09-23 12:49:20.0 +0200
+++ /mounts/work_src_done/STABLE/uim/uim.changes2011-10-13 
16:21:52.0 +0200
@@ -1,0 +2,13 @@
+Thu Oct 13 15:43:14 CEST 2011 - ti...@suse.de
+
+- Add missing obsoletes/provides for uim-qt3 in baselibs.conf
+- Fix crash and a registration issue in Firefox (bnc#723899)
+
+---
+Wed Oct 12 12:28:44 UTC 2011 - an...@opensuse.org
+
+- enable kde3 applet
+- rename uim-qt to uim-qt3
+- remove obsolete version check
+
+---

calling whatdependson for head-i586


New:

  uim-fix-crash-in-firefox.diff



Other differences:
--
++ uim.spec ++
--- /var/tmp/diff_new_pack.8lJDXh/_old  2011-10-13 19:44:06.0 +0200
+++ /var/tmp/diff_new_pack.8lJDXh/_new  2011-10-13 19:44:06.0 +0200
@@ -43,11 +43,10 @@
 %endif
 BuildRequires:  gnome-panel-devel
 BuildRequires:  qt3-devel
+BuildRequires:  kdebase3-devel
 BuildRequires:  update-desktop-files
 BuildRequires:  xemacs
-%if 0%{?suse_version}  1020
 BuildRequires:  fdupes
-%endif
 Version:1.7.1
 Release:20
 # xorg-x11-libXdmcp-devel libgnomeprintui-devel
@@ -62,6 +61,7 @@
 Source4:baselibs.conf
 Patch10:uim-sigscheme-build-fixes.diff
 Patch11:fix-libs.patch
+Patch12:uim-fix-crash-in-firefox.diff
 PreReq: %{_bindir}/touch
 Provides:   locale(xorg-x11:ja)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -118,14 +118,16 @@
 %description applet-gnome
 GNOME applet for uim
 
-%package qt
+%package qt3
 License:GPLv2+
 Summary:Qt3 input module plugin for uim
 Group:  System/I18n/Japanese
 Requires:   %{name} = %{version}
 Provides:   locale(qt3:ja)
+Provides:   uim-qt = %{version}
+Obsoletes:  uim-qt
 
-%description qt
+%description qt3
 Qt3 input module plugin for uim
 
 %package qt4
@@ -139,10 +141,22 @@
 %description qt4
 Qt4 input module plugin for uim
 
+%package   kde3
+Summary:KDE3 Applet for Uim
+Group:  User Interface/Desktops
+Requires:   uim = %{version}-%{release}
+Requires:   uim-qt3
+
+%description   kde3
+Uim is a multilingual input method library. Uim aims to
+provide secure and useful input methods for all
+languages.
+
 %prep
 %setup0 -q
 %patch10 -p1
 %patch11 -p1
+%patch12 -p1
 cp emacs/README README.emacs
 iconv -f euc-jp -t utf-8  emacs/README.ja  README.ja.emacs
 
@@ -158,7 +172,9 @@
--with-qt\
--with-qt-immodule \
 --with-qt4 \
-   --with-qt4-immodule
+   --with-qt4-immodule \
+--enable-kde-applet
+
 make %{?_smp_mflags}
 
 %install
@@ -314,7 +330,7 @@
 %{_libdir}/bonobo/servers/*
 %endif
 
-%files qt -f uim-chardict-qt.lang
+%files qt3 -f uim-chardict-qt.lang
 %defattr(-, root, root)
 %{_bindir}/uim-*-qt
 %{_prefix}/lib/uim/uim-*-qt
@@ -326,4 +342,10 @@
 %{_prefix}/lib/uim/uim-*-qt4
 %{_libdir}/qt4/plugins/inputmethods/*.so
 
+%files kde3
+%defattr (-, root, root, -)
+%doc AUTHORS COPYING ChangeLog* NEWS README
+/opt/kde3/%_lib/kde3/uim_panelapplet.so
+/opt/kde3/share/apps/kicker/applets/uimapplet.desktop
+
 %changelog

++ baselibs.conf ++
--- /var/tmp/diff_new_pack.8lJDXh/_old  2011-10-13 19:44:06.0 +0200
+++ /var/tmp/diff_new_pack.8lJDXh/_new  2011-10-13 19:44:06.0 +0200
@@ -23,7 +23,9 @@
   postun prefix%{_bindir}/gtk-query-immodules-3.0 --update-cache
   postun %endif
   supplements packageand(uim:gtk3-targettype)
-uim-qt
+uim-qt3
   supplements packageand(uim:qt3-targettype)
+  obsoletes uim-qt-targettype
+  provides uim-qt-targettype = version
 uim-qt4
   supplements packageand(uim:libqt4-targettype)

++ uim-fix-crash-in-firefox.diff ++
---
 gtk/compose.c  |1 +
 gtk/uim-cand-win-gtk.c |2 +-
 gtk/uim-cand-win-tbl-gtk.c |2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

--- a/gtk/compose.c
+++ b/gtk/compose.c
@@ -767,6 +767,7 @@
 im_uim_release_compose_tree()
 {
 FreeComposeTree(g_tree);
+g_tree = NULL;
 }
 
 static int
--- a/gtk/uim-cand-win-gtk.c
+++ b/gtk/uim-cand-win-gtk.c
@@ -107,7 +107,7 @@
 GType
 uim_cand_win_gtk_register_type(GTypeModule *module)
 {
-  if (!cand_win_type)
+  //if (!cand_win_type)
 cand_win_type = g_type_module_register_type(module,
GTK_TYPE_WINDOW,
UIMCandWinGtk,
--- a/gtk/uim-cand-win-tbl-gtk.c
+++ b/gtk/uim-cand-win-tbl-gtk.c
@@ -136,7 +136,7 @@
 GType
 uim_cand_win_tbl_gtk_register_type(GTypeModule *module)
 {
-  if (!cand_win_tbl_type)
+  //if (!cand_win_tbl_type)
 cand_win_tbl_type = 

commit yast2-theme for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package yast2-theme for openSUSE:Factory
checked in at Thu Oct 13 19:44:24 CEST 2011.




--- openSUSE:Factory/yast2-theme/yast2-theme.changes2011-10-07 
16:09:04.0 +0200
+++ /mounts/work_src_done/STABLE/yast2-theme/yast2-theme.changes
2011-10-13 17:14:38.0 +0200
@@ -1,0 +2,12 @@
+Thu Oct 13 15:12:40 UTC 2011 - co...@suse.com
+
+- add a symlink for the wizard (split into qt-branding)
+- 2.21.16
+
+---
+Mon Oct 10 16:57:16 CEST 2011 - tgoettlic...@suse.de
+
+- renamed icons
+- 2.21.15
+
+---

calling whatdependson for head-i586


Old:

  yast2-theme-2.21.14.tar.bz2

New:

  yast2-theme-2.21.16.tar.bz2



Other differences:
--
++ yast2-theme.spec ++
--- /var/tmp/diff_new_pack.q0sdJC/_old  2011-10-13 19:44:18.0 +0200
+++ /var/tmp/diff_new_pack.q0sdJC/_new  2011-10-13 19:44:18.0 +0200
@@ -19,17 +19,17 @@
 
 
 Name:   yast2-theme
-Version:2.21.14
+Version:2.21.16
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source0:yast2-theme-2.21.14.tar.bz2
+Source0:yast2-theme-2.21.16.tar.bz2
 
 Prefix: /usr
 
 Group:  System/YaST
 License:GPL-2.0+
-BuildRequires:  fdupes hicolor-icon-theme pkg-config update-desktop-files 
yast2-devtools
+BuildRequires:  fdupes hicolor-icon-theme pkg-config update-desktop-files 
yast2-devtools yast2-qt-branding-openSUSE
 BuildArch:  noarch
 Summary:YaST2 - Theme
 
@@ -38,9 +38,6 @@
 
 %package openSUSE
 Summary:YaST2 - Theme (openSUSE)
-Version:2.21.14
-
-Group:  System/YaST
 Provides:   yast2_theme = %{version}
 Provides:   yast2-theme-UnitedLinux
 Provides:   yast2-theme-openSUSE-any
@@ -49,18 +46,12 @@
 
 %package openSUSE-Crystal
 Summary:YaST2 - Theme (openSUSE)
-Version:2.21.14
-
-Group:  System/YaST
 Provides:   yast2_theme = %{version}
 Provides:   yast2-theme-openSUSE-any
 PreReq: /bin/ln yast2-theme-openSUSE
 
 %package openSUSE-Oxygen
 Summary:YaST2 - Theme (openSUSE)
-Version:2.21.14
-
-Group:  System/YaST
 Provides:   yast2_theme = %{version}
 Provides:   yast2-theme-openSUSE-any
 PreReq: /bin/ln yast2-theme-openSUSE
@@ -68,9 +59,6 @@
 
 %package SLE
 Summary:YaST2 - SLE Theme
-Version:2.21.14
-
-Group:  System/YaST
 Provides:   yast2_theme = %{version}
 Provides:   yast2-theme-NLD = 0.4.5
 Obsoletes:  yast2-theme-NLD = 0.4.5
@@ -91,7 +79,7 @@
 Family.
 
 %prep
-%setup -n yast2-theme-2.21.14
+%setup -n yast2-theme-2.21.16
 
 %build
 %{prefix}/bin/y2tool y2autoconf
@@ -144,6 +132,8 @@
 files=$(find . -type f)
 for subtheme in Crystal Oxygen ; do
   cd $RPM_BUILD_ROOT//usr/share/YaST2/theme/openSUSE-$subtheme
+  # this needs to be hardcoded
+  ln -s /usr/share/YaST2/theme/openSUSE/wizard wizard
   for file in $files; do
 mkdir -p $(dirname $file) || true
 if ! test -f $file; then

++ yast2-theme-2.21.14.tar.bz2 - yast2-theme-2.21.16.tar.bz2 ++
openSUSE:Factory/yast2-theme/yast2-theme-2.21.14.tar.bz2 
/mounts/work_src_done/STABLE/yast2-theme/yast2-theme-2.21.16.tar.bz2 differ: 
char 11, line 1

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit zypper for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package zypper for openSUSE:Factory
checked in at Thu Oct 13 19:44:34 CEST 2011.




--- openSUSE:Factory/zypper/zypper.changes  2011-09-23 12:53:46.0 
+0200
+++ /mounts/work_src_done/STABLE/zypper/zypper.changes  2011-10-13 
01:39:34.0 +0200
@@ -1,0 +2,35 @@
+Thu Oct 13 01:13:56 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---
+Sun Oct  9 01:13:28 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---
+Thu Oct  6 01:14:20 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---
+Thu Sep 29 01:13:35 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---
+Sun Sep 18 01:14:48 CEST 2011 - m...@suse.de
+
+- Update sle-zypper-po.tar.bz2
+
+---
+Sun Sep 18 01:13:15 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---
+Thu Sep 15 01:13:38 CEST 2011 - m...@suse.de
+
+- Update zypper-po.tar.bz2
+
+---

calling whatdependson for head-i586




Other differences:
--
++ zypper.spec ++
--- /var/tmp/diff_new_pack.D1qCFV/_old  2011-10-13 19:44:29.0 +0200
+++ /var/tmp/diff_new_pack.D1qCFV/_new  2011-10-13 19:44:29.0 +0200
@@ -24,7 +24,7 @@
 BuildRequires:  gettext-devel = 0.15
 BuildRequires:  readline-devel = 5.1
 BuildRequires:  augeas-devel = 0.5.0
-BuildRequires:  gcc-c++ = 4.1
+BuildRequires:  gcc-c++ = 4.5
 BuildRequires:  cmake = 2.4.6
 Requires:   procps
 %if 0%{?suse_version}
@@ -37,7 +37,7 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Command line software manager using libzypp
 Version:1.6.16
-Release:1
+Release:0
 Source: %{name}-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc
 Url:http://en.opensuse.org/Zypper
@@ -158,4 +158,5 @@
 %defattr(-,root,root)
 %{_sbindir}/zypper-log
 %doc %{_mandir}/man8/zypper-log.8*
+
 %changelog

++ zypper-1.6.16.tar.bz2 ++
openSUSE:Factory/zypper/zypper-1.6.16.tar.bz2 
/mounts/work_src_done/STABLE/zypper/zypper-1.6.16.tar.bz2 differ: char 11, line 
1

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit seahorse for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package seahorse for openSUSE:Factory
checked in at Thu Oct 13 19:57:38 CEST 2011.




--- openSUSE:Factory/seahorse/seahorse.changes  2011-10-02 11:15:05.0 
+0200
+++ /mounts/work_src_done/STABLE/seahorse/seahorse.changes  2011-10-13 
19:11:00.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 13 17:10:48 UTC 2011 - vu...@opensuse.org
+
+- Add seahorse-fix-crash-on-keyserver-add.patch: fix crash when
+  adding a keyserver. Fix bnc#723908.
+
+---

calling whatdependson for head-i586


New:

  seahorse-fix-crash-on-keyserver-add.patch



Other differences:
--
++ seahorse.spec ++
--- /var/tmp/diff_new_pack.5IqqQZ/_old  2011-10-13 19:57:31.0 +0200
+++ /var/tmp/diff_new_pack.5IqqQZ/_new  2011-10-13 19:57:31.0 +0200
@@ -26,6 +26,8 @@
 Summary:GNOME interface for gnupg
 Url:http://projects.gnome.org/seahorse/
 Source: 
http://download.gnome.org/sources/seahorse/3.2/%{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM seahorse-fix-crash-on-keyserver-add.patch bgo#661683 
bnc#723908 vu...@opensuse.org -- Fix crash when adding a keyserver
+Patch0: seahorse-fix-crash-on-keyserver-add.patch
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gpg2
@@ -55,6 +57,7 @@
 %prep
 %setup -q
 translation-update-upstream
+%patch0 -p1
 
 %build
 %configure \

++ seahorse-fix-crash-on-keyserver-add.patch ++
commit bf10531f540db1941fb3418c01b01b45d7d196e9
Author: Vincent Untz vu...@gnome.org
Date:   Thu Oct 13 19:09:04 2011 +0200

Fix crash when adding a non-LDAP keyserver

https://bugzilla.gnome.org/show_bug.cgi?id=661683

diff --git a/libseahorse/seahorse-prefs.c b/libseahorse/seahorse-prefs.c
index 93f6c2f..8afbc7a 100644
--- a/libseahorse/seahorse-prefs.c
+++ b/libseahorse/seahorse-prefs.c
@@ -233,20 +233,21 @@ calculate_keyserver_uri (SeahorseWidget *swidget)
 const gchar *host = NULL;
 const gchar *port = NULL;
 GtkWidget *widget;
-GList *types;
+gchar **types;
 gint active;
 gchar *uri;
+guint i;
 
 /* Figure out the scheme */
 widget = GTK_WIDGET (seahorse_widget_get_widget (swidget, 
keyserver-type));
 g_return_val_if_fail (widget != NULL, NULL);
 
active = gtk_combo_box_get_active (GTK_COMBO_BOX (widget));
-   if (active = 0) {
-   types = g_object_get_data (G_OBJECT (swidget), 
keyserver-types);
-   scheme = (const gchar*)g_list_nth_data (types, active);
-   if (scheme  !scheme[0])
-   scheme = NULL;
+   types = g_object_get_data (G_OBJECT (swidget), keyserver-types);
+   if (active = 0  types) {
+   for (i = 0; types[i] != NULL  i  active; i++);
+   if (i == active  types[active]  types[active][0])
+   scheme = types[active];
}
 
 /* The host */
continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit anjuta for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package anjuta for openSUSE:Factory
checked in at Thu Oct 13 12:16:59 CEST 2011.




--- openSUSE:Factory/anjuta/anjuta.changes  2011-10-02 09:47:30.0 
+0200
+++ anjuta/anjuta.changes   2011-10-05 15:10:57.0 +0200
@@ -1,0 +2,11 @@
+Wed Oct  5 13:08:58 UTC 2011 - vu...@opensuse.org
+
+- Apply shared library packaging policy (bnc#690233):
+  + Create libanjuta-3-0 subpackage.
+  + Change anjuta Requires in devel subpackage to libanjuta-3-0.
+  + Move calls to /sbin/ldconfig from %post/%postun of main
+subpackage to those of the libanjuta-3-0 subpackage.
++ This became more important as gtkpod now uses this library and we
+  don't want to have gtkpod depend on the whole anjuta application.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ anjuta.spec ++
--- /var/tmp/diff_new_pack.d0ACg9/_old  2011-10-13 12:16:56.0 +0200
+++ /var/tmp/diff_new_pack.d0ACg9/_new  2011-10-13 12:16:56.0 +0200
@@ -83,6 +83,20 @@
 profiler, a class generator, a powerful source editor, source browsing,
 and more.
 
+%package -n libanjuta-3-0
+License:GPLv2+
+Summary:Libraries for developing Anjuta plugins
+Group:  System/Libraries
+
+%description -n libanjuta-3-0
+Anjuta is a versatile Integrated Development Environment (IDE) for the
+GNOME desktop. It features a number of advanced programming facilities
+includes project management, application wizards, an interactive
+debugger, an integrated Glade UI designer, integrated Devhelp API help,
+an integrated Valgrind memory profiler, an integrated gprof performance
+profiler, a class generator, a powerful source editor, source browsing,
+and more.
+
 %package -n glade-catalog-anjuta
 License:GPLv2+
 Summary:Versatile Integrated Development Environment for GNOME -- 
Catalog for Glade
@@ -103,12 +117,11 @@
 This package provides a catalog for Glade, to allow the use the Anjuta
 widgets in Glade.
 
-
 %package devel
 License:GPLv2+
-Summary:Versatile Integrated Development Environment for GNOME -- 
Development Files
+Summary:Libraries for developing Anjuta plugins -- Development Files
 Group:  Development/Tools/IDE
-Requires:   %{name} = %{version}
+Requires:   libanjuta-3-0 = %{version}
 Provides:   %{name}-doc = %{version}
 Obsoletes:  %{name}-doc  %{version}
 
@@ -150,7 +163,6 @@
 %fdupes %{buildroot}
 
 %post
-/sbin/ldconfig
 %glib2_gsettings_schema_post
 %desktop_database_post
 %icon_theme_cache_post
@@ -158,13 +170,18 @@
 %mime_database_post
 
 %postun
-/sbin/ldconfig
 %glib2_gsettings_schema_postun
 %desktop_database_postun
 %icon_theme_cache_postun
 %icon_theme_cache_postun gnome
 %mime_database_postun
 
+%post -n libanjuta-3-0
+/sbin/ldconfig
+
+%postun -n libanjuta-3-0
+/sbin/ldconfig
+
 %files
 %defattr(-,root,root)
 %doc AUTHORS COPYING ChangeLog FUTURE NEWS README doc/ScintillaDoc.html TODO
@@ -180,9 +197,6 @@
 %{_bindir}/anjuta-launcher
 %{_bindir}/anjuta-tags
 %{_libdir}/anjuta/
-%{_libdir}/libanjuta-3.so.*
-%{_libdir}/girepository-1.0/Anjuta-3.0.typelib
-%{_libdir}/girepository-1.0/IAnjuta-3.0.typelib
 %{_datadir}/anjuta/
 %{_datadir}/applications/*.desktop
 %{_datadir}/mime/packages/*.xml
@@ -197,6 +211,12 @@
 %{_datadir}/icons/hicolor/scalable/apps/*.svg
 %doc %{_mandir}/man?/*.*
 
+%files -n libanjuta-3-0
+%defattr(-, root, root)
+%{_libdir}/libanjuta-3.so.*
+%{_libdir}/girepository-1.0/Anjuta-3.0.typelib
+%{_libdir}/girepository-1.0/IAnjuta-3.0.typelib
+
 %files -n glade-catalog-anjuta
 %defattr(-, root, root)
 %{_libdir}/glade/modules/libgladeanjuta.so
@@ -206,8 +226,8 @@
 %defattr(-, root, root)
 %doc %{_datadir}/gtk-doc/html/libanjuta/
 %{_includedir}/libanjuta-3.0/
-%{_libdir}/*.so
-%{_libdir}/pkgconfig/*.pc
+%{_libdir}/libanjuta-3.so
+%{_libdir}/pkgconfig/libanjuta-3.0.pc
 %{_datadir}/gir-1.0/*.gir
 
 %files lang -f %name.lang

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit arpwatch-ethercodes for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package arpwatch-ethercodes for 
openSUSE:Factory
checked in at Thu Oct 13 12:17:06 CEST 2011.




--- openSUSE:Factory/arpwatch-ethercodes/arpwatch-ethercodes.changes
2011-10-12 16:11:06.0 +0200
+++ arpwatch-ethercodes/arpwatch-ethercodes.changes 2011-10-13 
07:40:05.0 +0200
@@ -2 +2 @@
-Wed Oct 12 06:40:04 CEST 2011 - autobu...@suse.de
+Thu Oct 13 07:40:05 CEST 2011 - autobu...@suse.de
@@ -4 +4 @@
-- automated update on 2011-10-12
+- automated update on 2011-10-13

calling whatdependson for head-i586




Other differences:
--
++ arpwatch-ethercodes.spec ++
--- /var/tmp/diff_new_pack.UztmRL/_old  2011-10-13 12:17:03.0 +0200
+++ /var/tmp/diff_new_pack.UztmRL/_new  2011-10-13 12:17:03.0 +0200
@@ -23,7 +23,7 @@
 License:BSD3c
 Group:  Productivity/Networking/Diagnostic
 Summary:Ethercodes Data for arpwatch
-Version:2011.10.12
+Version:2011.10.13
 Release:1
 Source0:http://standards.ieee.org/regauth/oui/oui.txt
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ oui.txt ++
--- /var/tmp/diff_new_pack.UztmRL/_old  2011-10-13 12:17:03.0 +0200
+++ /var/tmp/diff_new_pack.UztmRL/_new  2011-10-13 12:17:03.0 +0200
@@ -90458,6 +90458,12 @@
Glasgow  G44 4EF
UNITED KINGDOM
 
+88-C3-6E   (hex)   Beijing Ereneben lnformation Technology Limited
+88C36E (base 16)   Beijing Ereneben lnformation Technology Limited
+   Room 14F,Building F,Honglong Central 
Plaza,NO,3001,Heping Road,LuoHu 
+   ShenZhen GuangDong 518110
+   CHINA
+
 88-C6-63   (hex)   Apple Inc
 88C663 (base 16)   Apple Inc
1 Infinite Loop
@@ -91701,6 +91707,12 @@
Irvine California 92612
UNITED STATES
 
+98-FE-03   (hex)   Ericsson - North America
+98FE03 (base 16)   Ericsson - North America
+   6300 Legacy Drive
+   Plano TX 75024
+   UNITED STATES
+
 9C-18-74   (hex)   Nokia Danmark A/S
 9C1874 (base 16)   Nokia Danmark A/S
Frederikskaj
@@ -92084,6 +92096,12 @@
SCANDICCI FI 50018
ITALY
 
+A0-5A-A4   (hex)   Grand Products Nevada, Inc.
+A05AA4 (base 16)   Grand Products Nevada, Inc.
+   751 Pilot Rd.
+   Las Vegas Nevada 89119
+   UNITED STATES
+
 A0-5D-C1   (hex)   TMCT Co., LTD.
 A05DC1 (base 16)   TMCT Co., LTD.
5F-561, #19-11 SanChong Rd.
@@ -97912,6 +97930,12 @@
ANKARA  06370
TURKEY
 
+F0-EE-BB   (hex)   VIPAR GmbH
+F0EEBB (base 16)   VIPAR GmbH
+   Lichtenbergstrasse 8
+   Garching bei Muenchen Bavaria 85748
+   GERMANY
+
 F0-F0-02   (hex)   Hon Hai Precision Ind. Co.,Ltd. 
 F0F002 (base 16)   Hon Hai Precision Ind. Co.,Ltd. 
 NO.1925,Nanle Road ,Songjiang Export 
Processing Zone 

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit avahi for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package avahi for openSUSE:Factory
checked in at Thu Oct 13 12:17:25 CEST 2011.




avahi-mono.changes: same change
avahi-qt4.changes: same change
--- openSUSE:Factory/avahi/avahi.changes2011-10-04 18:06:53.0 
+0200
+++ avahi/avahi.changes 2011-10-10 11:03:46.0 +0200
@@ -1,0 +2,5 @@
+Mon Oct 10 08:44:41 UTC 2011 - fcro...@suse.com
+
+- Use systemd macros for 12.1
+
+---

calling whatdependson for head-i586




Other differences:
--
++ avahi-glib2.spec ++
--- /var/tmp/diff_new_pack.rZsdPT/_old  2011-10-13 12:17:22.0 +0200
+++ /var/tmp/diff_new_pack.rZsdPT/_new  2011-10-13 12:17:22.0 +0200
@@ -85,9 +85,13 @@
 %else
 PreReq: sysconfig
 %endif
+%{?systemd_requires}
 Recommends: %{_name}-lang
 BuildRequires:  dbus-1-devel doxygen graphviz python-gdbm zlib-devel
 BuildRequires:  libtool
+%if %suse_version = 1210
+BuildRequires:  systemd
+%endif
 # For python bindings and utilities:
 #BuildRequires:  dbus-1-python
 #Requires:   dbus-1
@@ -863,21 +867,33 @@
 %pre
 %{_sbindir}/groupadd -r avahi 2 /dev/null || :
 %{_sbindir}/useradd -r -o -s /bin/false -c User for Avahi -d 
%{_localstatedir}/run/avahi-daemon -g avahi avahi 2 /dev/null || :
+%if %suse_version = 1210
+%service_add_pre avahi-daemon.service avahi-dnsconfd.service
+%endif
 
 %post
 /sbin/ldconfig
 %{fillup_and_insserv -f -y avahi-daemon}
 %{fillup_and_insserv -f avahi-dnsconfd}
+%if %suse_version = 1210
+%service_add_post avahi-daemon.service avahi-dnsconfd.service
+%endif
 
 %preun
 %{stop_on_removal avahi-daemon}
 %{stop_on_removal avahi-dnsconfd}
+%if %suse_version = 1210
+%service_del_preun avahi-daemon.service avahi-dnsconfd.service
+%endif
 
 %postun
 /sbin/ldconfig
 %{restart_on_update avahi-daemon}
 %{restart_on_update avahi-dnsconfd}
 %insserv_cleanup
+%if %suse_version = 1210
+%service_del_postun avahi-daemon.service avahi-dnsconfd.service
+%endif
 
 %post -n libavahi-client3 -p /sbin/ldconfig
 

++ avahi-mono.spec ++
--- /var/tmp/diff_new_pack.rZsdPT/_old  2011-10-13 12:17:22.0 +0200
+++ /var/tmp/diff_new_pack.rZsdPT/_new  2011-10-13 12:17:22.0 +0200
@@ -85,9 +85,13 @@
 %else
 PreReq: sysconfig
 %endif
+%{?systemd_requires}
 Recommends: %{_name}-lang
 BuildRequires:  dbus-1-devel doxygen graphviz python-gdbm zlib-devel
 BuildRequires:  libtool
+%if %suse_version = 1210
+BuildRequires:  systemd
+%endif
 # For python bindings and utilities:
 #BuildRequires:  dbus-1-python
 #Requires:   dbus-1
@@ -142,28 +146,6 @@
 Bonjour conformance test suite. In addition, it supports some nifty
 things, like correct mDNS reflection across LAN segments.
 
-This package provides Mono bindings for avahi. Avahi is an
-implementation of the DNS Service Discovery and MulticastDNS
-specifications for Zeroconf Computing. It uses D-BUS for communication
-between user applications and a system daemon. The daemon is used to
-coordinate application efforts in caching replies, necessary to
-minimize the traffic imposed on networks. The Avahi mDNS responder is
-now feature complete, implementing all MUSTs and the majority of the
-SHOULDs of the mDNS and DNS-SD RFCs. It passes all tests in the Apple
-Bonjour conformance test suite. In addition, it supports some nifty
-things, like correct mDNS reflection across LAN segments.
-
-This package provides Mono bindings for avahi. Avahi is an
-implementation of the DNS Service Discovery and MulticastDNS
-specifications for Zeroconf Computing. It uses D-BUS for communication
-between user applications and a system daemon. The daemon is used to
-coordinate application efforts in caching replies, necessary to
-minimize the traffic imposed on networks. The Avahi mDNS responder is
-now feature complete, implementing all MUSTs and the majority of the
-SHOULDs of the mDNS and DNS-SD RFCs. It passes all tests in the Apple
-Bonjour conformance test suite. In addition, it supports some nifty
-things, like correct mDNS reflection across LAN segments.
-
 %if %build_core
 
 %package -n libavahi-client3
@@ -708,28 +690,6 @@
 Bonjour conformance test suite. In addition, it supports some nifty
 things, like correct mDNS reflection across LAN segments.
 
-This package provides Mono bindings for avahi. Avahi is an
-implementation of the DNS Service Discovery and MulticastDNS
-specifications for Zeroconf Computing. It uses D-BUS for communication
-between user applications and a system daemon. The daemon is used to
-coordinate application efforts in caching replies, necessary to
-minimize the traffic imposed on networks. The Avahi mDNS responder is
-now feature complete, implementing all MUSTs and the majority of the
-SHOULDs of the mDNS and DNS-SD RFCs. It passes all tests in the Apple
-Bonjour conformance test suite. In addition, it 

commit branding-basedonopensuse for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package branding-basedonopensuse for 
openSUSE:Factory
checked in at Thu Oct 13 12:17:52 CEST 2011.




--- openSUSE:Factory/branding-basedonopensuse/branding-basedonopensuse.changes  
2011-10-05 17:35:48.0 +0200
+++ branding-basedonopensuse/branding-basedonopensuse.changes   2011-10-12 
09:45:33.0 +0200
@@ -1,0 +2,5 @@
+Wed Oct 12 07:45:12 UTC 2011 - co...@suse.com
+
+- fix build
+
+---

calling whatdependson for head-i586




Other differences:
--
++ branding-basedonopensuse.spec ++
--- /var/tmp/diff_new_pack.B2Kgsg/_old  2011-10-13 12:17:48.0 +0200
+++ /var/tmp/diff_new_pack.B2Kgsg/_new  2011-10-13 12:17:48.0 +0200
@@ -38,6 +38,7 @@
 BuildRequires:  gtk3-branding-openSUSE
 BuildRequires:  hicolor-icon-theme-branding-openSUSE
 BuildRequires:  install-initrd-branding-openSUSE
+BuildRequires:  kdebase3-SuSE-branding-openSUSE
 BuildRequires:  kdebase4-runtime-branding-openSUSE
 BuildRequires:  kdebase4-workspace-branding-openSUSE
 BuildRequires:  kdelibs4-branding-openSUSE
@@ -61,6 +62,7 @@
 BuildRequires:  xfce4-panel-branding-openSUSE
 BuildRequires:  xfce4-session-branding-openSUSE
 BuildRequires:  xfce4-settings-branding-openSUSE
+BuildRequires:  xfce4-splash-branding-openSUSE
 BuildRequires:  xfdesktop-branding-openSUSE
 BuildRequires:  xfwm4-branding-openSUSE
 BuildRequires:  yast2-branding-openSUSE
@@ -138,6 +140,7 @@
 packages=$packages gtk3-branding-openSUSE
 packages=$packages hicolor-icon-theme-branding-openSUSE
 packages=$packages install-initrd-branding-openSUSE
+packages=$packages kdebase3-SuSE-branding-openSUSE
 packages=$packages kdebase4-runtime-branding-openSUSE
 packages=$packages kdebase4-workspace-branding-openSUSE
 packages=$packages kdelibs4-branding-openSUSE
@@ -161,6 +164,7 @@
 packages=$packages xfce4-panel-branding-openSUSE
 packages=$packages xfce4-session-branding-openSUSE
 packages=$packages xfce4-settings-branding-openSUSE
+packages=$packages xfce4-splash-branding-openSUSE
 packages=$packages xfdesktop-branding-openSUSE
 packages=$packages xfwm4-branding-openSUSE
 packages=$packages yast2-branding-openSUSE
@@ -238,7 +242,7 @@
 install -m 644 %{SOURCE3} 
$RPM_BUILD_ROOT/usr/share/wallpapers/openSUSEdefault/contents/images/1920x1200.jpg
 install -m 644 %{SOURCE3} 
$RPM_BUILD_ROOT/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse/1920x1200/background.jpg
 install -m 644 %{SOURCE3} 
$RPM_BUILD_ROOT/usr/share/kde4/apps/kdm/themes/SUSE/background-1920x1200.jpg
-convert -geometry 400x250 %{SOURCE2} 
$RPM_BUILD_ROOT/usr/share/wallpapers/openSUSEdefault/contents/screenshot.jpg
+convert -geometry 400x250 %{SOURCE2} 
$RPM_BUILD_ROOT/usr/share/wallpapers/openSUSEdefault/screenshot.jpg
 
 install -m 644 %{SOURCE4} 
$RPM_BUILD_ROOT/usr/share/pixmaps/xfce4-splash-openSUSE.png
 
@@ -454,6 +458,18 @@
 
 %files -f files.install-initrd-branding-openSUSE -n 
install-initrd-branding-basedonopensuse
 
+%package -n kdebase3-SuSE-branding-basedonopensuse
+Summary:Provides kdebase3-SuSE branding
+Provides:   kdebase3-SuSE-branding
+Requires:   branding-basedonopensuse
+Conflicts:  otherproviders(kdebase3-SuSE-branding)
+Supplements:packageand(kdebase3-SuSE:branding-basedonopensuse)
+
+%description -n kdebase3-SuSE-branding-basedonopensuse
+Debranded copy of openSUSE branding for kdebase3-SuSE
+
+%files -f files.kdebase3-SuSE-branding-openSUSE -n 
kdebase3-SuSE-branding-basedonopensuse
+
 %package -n kdebase4-runtime-branding-basedonopensuse
 Summary:Provides kdebase4-runtime branding
 Provides:   kdebase4-runtime-branding
@@ -730,6 +746,17 @@
 
 %files -f files.xfce4-settings-branding-openSUSE -n 
xfce4-settings-branding-basedonopensuse
 
+%package -n xfce4-splash-branding-basedonopensuse
+Summary:Provides xfce4-splash branding
+Provides:   xfce4-splash-branding
+Requires:   branding-basedonopensuse
+Conflicts:  otherproviders(xfce4-splash-branding)
+
+%description -n xfce4-splash-branding-basedonopensuse
+Debranded copy of openSUSE branding for xfce4-splash
+
+%files -f files.xfce4-splash-branding-openSUSE -n 
xfce4-splash-branding-basedonopensuse
+
 %package -n xfdesktop-branding-basedonopensuse
 Summary:Provides xfdesktop branding
 Provides:   xfdesktop-branding













continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit courier-authlib for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package courier-authlib for openSUSE:Factory
checked in at Thu Oct 13 12:18:04 CEST 2011.




--- openSUSE:Factory/courier-authlib/courier-authlib.changes2011-09-23 
01:54:08.0 +0200
+++ courier-authlib/courier-authlib.changes 2011-09-22 01:10:22.0 
+0200
@@ -1,0 +2,14 @@
+Wed Sep 21 23:08:05 UTC 2011 - ch...@computersalat.de
+
+- change --with-authdaemonvar to /var/run/{name}
+- rework init script
+  * create PID DIR
+- some spec cleanup
+
+---
+Sat Sep 17 23:54:20 UTC 2011 - jeng...@medozas.de
+
+- Remove redundant tags/sections from specfile
+- Use _smp_mflags for parallel build
+
+---

calling whatdependson for head-i586




Other differences:
--
++ courier-authlib.spec ++
--- /var/tmp/diff_new_pack.z6Nfn2/_old  2011-10-13 12:18:01.0 +0200
+++ /var/tmp/diff_new_pack.z6Nfn2/_new  2011-10-13 12:18:01.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package courier-authlib (Version 0.63.0)
+# spec file for package courier-authlib
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   courier-authlib
@@ -30,9 +29,13 @@
 Source2:rpmlintrc
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: coreutils
-BuildRequires:  expect gcc-c++ gdbm-devel
+BuildRequires:  expect
+BuildRequires:  gcc-c++
+BuildRequires:  gdbm-devel
 BuildRequires:  mysql-devel
-BuildRequires:  openldap2-devel pam-devel postgresql-devel
+BuildRequires:  openldap2-devel
+BuildRequires:  pam-devel
+BuildRequires:  postgresql-devel
 BuildRequires:  procps
 Requires:   expect
 
@@ -42,7 +45,6 @@
 
 %package devel
 Summary:Development libraries for the Courier authentication library
-License:GPLv2+
 Group:  Development/Libraries/Other
 Requires:   %{name} = %{version}
 
@@ -53,10 +55,8 @@
 they are built and installed this package can be removed.  Files in
 this package are not needed at runtime.
 
-
 %package userdb
 Summary:Userdb support for the Courier authentication library
-License:GPLv2+
 Group:  Productivity/Networking/Email/Servers
 
 %description userdb
@@ -66,7 +66,6 @@
 
 %package ldap
 Summary:LDAP support for the Courier authentication library
-License:GPLv2+
 Group:  Productivity/Networking/Email/Servers
 
 %description ldap
@@ -76,7 +75,6 @@
 
 %package mysql
 Summary:MySQL support for the Courier authentication library
-License:GPLv2+
 Group:  Productivity/Networking/Email/Servers
 
 %description mysql
@@ -86,7 +84,6 @@
 
 %package pgsql
 Summary:PostgreSQL support for the Courier authentication library
-License:GPLv2+
 Group:  Productivity/Networking/Email/Servers
 
 %description pgsql
@@ -96,7 +93,6 @@
 
 %package pipe
 Summary:Pipe support for the Courier authentication library
-License:GPLv2+
 Group:  Productivity/Networking/Email/Servers
 
 %description pipe
@@ -116,25 +112,25 @@
--with-piddir=/var/run \
--disable-root-check \
--enable-unicode \
-   --with-authdaemonvar=%{_localstatedir}/run/authdaemon.courier-imap \
+   --with-authdaemonvar=%{_localstatedir}/run/%{name} \
--host=%{_host} --build=%{_build} --target=%{_target_platform}
-%{__make} %{?jobs:-j%jobs}
+%{__make} %{?_smp_mflags}
 
 %install
-%{__make} install DESTDIR=$RPM_BUILD_ROOT
-mv $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.so* $RPM_BUILD_ROOT%{_libdir}
-%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{a,la}
-%{__install} -m 755 sysconftool $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
-%{__install} -m 755 authmigrate $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
-%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/init.d
-%{__install} -m 755 %{S:1} 
$RPM_BUILD_ROOT%{_sysconfdir}/init.d/courier-authdaemon
+%{__make} install DESTDIR=%{buildroot}
+mv %{buildroot}%{_libdir}/%{name}/lib*.so* %{buildroot}%{_libdir}
+%{__rm} -f %{buildroot}%{_libdir}/%{name}/*.{a,la}
+%{__install} -m 755 sysconftool %{buildroot}%{_prefix}/lib/%{name}
+%{__install} -m 755 authmigrate %{buildroot}%{_prefix}/lib/%{name}
+%{__mkdir_p} %{buildroot}%{_sysconfdir}/init.d
+%{__install} -m 755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/courier-authdaemon
 %{__ln_s} -f ../../%{_sysconfdir}/init.d/courier-authdaemon \
-  $RPM_BUILD_ROOT%{_sbindir}/rccourier-authdaemon
+  %{buildroot}%{_sbindir}/rccourier-authdaemon
 
 %preun
 

commit courier-imap for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package courier-imap for openSUSE:Factory
checked in at Thu Oct 13 12:18:13 CEST 2011.




--- openSUSE:Factory/courier-imap/courier-imap.changes  2011-09-23 
01:54:09.0 +0200
+++ courier-imap/courier-imap.changes   2011-09-22 01:13:57.0 +0200
@@ -1,0 +2,5 @@
+Wed Sep 21 23:11:38 UTC 2011 - ch...@computersalat.de
+
+- change --with-authdaemonvar to /var/run/courier-authlib
+
+---

calling whatdependson for head-i586




Other differences:
--
++ courier-imap.spec ++
--- /var/tmp/diff_new_pack.y40LoP/_old  2011-10-13 12:18:08.0 +0200
+++ /var/tmp/diff_new_pack.y40LoP/_new  2011-10-13 12:18:08.0 +0200
@@ -92,7 +92,7 @@
--disable-static \
--disable-root-check \
--enable-unicode \
-   --with-authdaemonvar=%{_localstatedir}/run/authdaemon.%{name} \
+   --with-authdaemonvar=%{_localstatedir}/run/courier-authlib \
--with-certdb=%{_sysconfdir}/ssl/certs \
--with-certsdir=%{_sysconfdir}/ssl/private \
--enable-workarounds-for-imap-client-bugs

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit epiphany-extensions for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package epiphany-extensions for 
openSUSE:Factory
checked in at Thu Oct 13 12:18:36 CEST 2011.




--- openSUSE:Factory/epiphany-extensions/epiphany-extensions.changes
2011-10-06 16:01:54.0 +0200
+++ epiphany-extensions/epiphany-extensions.changes 2011-10-11 
08:46:40.0 +0200
@@ -1,0 +2,10 @@
+Sat Oct  8 22:04:05 CEST 2011 - zai...@opensuse.org
+
+- Update to version 3.2.0:
+  + Update soup-fly to not use deprecated GtkHBox and GtkVBox.
+  + Prevent a crash in the adblock extension.
+  + Updated translations.
+- Drop epiphany-extensions-ephy-3.2.patch and
+  epiphany-extensions-gtk-box.patch: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  epiphany-extensions-3.0.0.tar.bz2
  epiphany-extensions-ephy-3.2.patch
  epiphany-extensions-gtk-box.patch

New:

  epiphany-extensions-3.2.0.tar.bz2



Other differences:
--
++ epiphany-extensions.spec ++
--- /var/tmp/diff_new_pack.3HgueA/_old  2011-10-13 12:18:32.0 +0200
+++ /var/tmp/diff_new_pack.3HgueA/_new  2011-10-13 12:18:32.0 +0200
@@ -18,17 +18,13 @@
 
 
 Name:   epiphany-extensions
-Version:3.0.0
-Release:2
+Version:3.2.0
+Release:1
 License:GPLv2+ ; LGPLv2.1+
 Summary:Extensions Collection for Epiphany
 Url:http://www.gnome.org/projects/epiphany/
 Group:  Productivity/Networking/Web/Browsers
-Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.20/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAMM epiphany-extensions-gtk-box.patch bgo#654138 
vu...@opensuse.org -- Do not use deprecated api
-Patch0: epiphany-extensions-gtk-box.patch
-# PATCH-FIX-UPSTREAM epiphany-extensions-ephy-3.2.patch vu...@opensuse.org -- 
Build with epiphany 3.2; don't pach configure.ac since next version will get 
fixed anyway
-Patch1: epiphany-extensions-ephy-3.2.patch
+Source: 
http://download.gnome.org/sources/epiphany-extensions/3.2/%{name}-%{version}.tar.bz2
 %define api_version %(pkg-config --variable extensionsdir 
%{_libdir}/pkgconfig/epiphany-*.pc | sed 
s,^%{_libdir}/epiphany/,,;s,/extensions$,,)
 BuildRequires:  dbus-1-glib-devel
 BuildRequires:  epiphany
@@ -56,8 +52,6 @@
 %prep
 %setup -q
 translation-update-upstream
-%patch0 -p1
-%patch1 -p1
 
 %build
 %configure \

++ epiphany-extensions-3.0.0.tar.bz2 - epiphany-extensions-3.2.0.tar.bz2 
++
 25956 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit evolution for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package evolution for openSUSE:Factory
checked in at Thu Oct 13 12:18:49 CEST 2011.




--- openSUSE:Factory/evolution/evolution.changes2011-10-07 
00:46:44.0 +0200
+++ evolution/evolution.changes 2011-10-12 14:15:48.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 09:49:37 UTC 2011 - vu...@opensuse.org
+
+- Add evolution-fix-cannot-upgrade-random.patch: fix Cannot
+  upgrade from version random on initial startup.
+
+---

calling whatdependson for head-i586


New:

  evolution-fix-cannot-upgrade-random.patch



Other differences:
--
++ evolution.spec ++
--- /var/tmp/diff_new_pack.hsJz5J/_old  2011-10-13 12:18:43.0 +0200
+++ /var/tmp/diff_new_pack.hsJz5J/_new  2011-10-13 12:18:43.0 +0200
@@ -77,6 +77,8 @@
 # FIXME: check with upstream/meego if we want to enable clutter for express 
mode
 Summary:The Integrated GNOME Mail, Calendar, and Address Book Suite
 Source0:
http://download.gnome.org/sources/evolution/3.2/%{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM evolution-fix-cannot-upgrade-random.patch 
vu...@opensuse.org -- Properly initialize memory to avoid weird Cannot upgrade 
from version random dialog
+Patch0: evolution-fix-cannot-upgrade-random.patch
 # PATCH-FIX-OPENSUSE evolution-custom-openldap-includes.patch m...@novell.com 
-- look for ldap includes in %{_libdir}/evoldap/include
 Patch15:evolution-custom-openldap-includes.patch
 # PATCH-FIX-UPSTREAM bnc-435722-book-uri-long.patch bnc#435722 
abhar...@suse.de -- Book URI: Spills Into Second Column.
@@ -171,6 +173,7 @@
 %prep
 %setup -q
 translation-update-upstream
+%patch0 -p1
 %if %USE_EVOLDAP
 %patch15 -p1
 %endif

++ evolution-fix-cannot-upgrade-random.patch ++
commit 5645064bb35802aa9e9167cac5223fddb8852859
Author: Vincent Untz vu...@gnome.org
Date:   Wed Oct 12 11:46:54 2011 +0200

Correctly initialize the variables when checking version update

Else, we end up with non-initialized memory and Cannot upgrade from
version random data.

https://bugzilla.gnome.org/show_bug.cgi?id=661542

diff --git a/shell/e-shell-migrate.c b/shell/e-shell-migrate.c
index 89f94b0..dd75a40 100644
--- a/shell/e-shell-migrate.c
+++ b/shell/e-shell-migrate.c
@@ -739,6 +739,10 @@ shell_migrate_get_version (EShell *shell,
const gchar *key;
gchar *string;
 
+   *major = 0;
+   *minor = 0;
+   *micro = 0;
+
key = GCONF_VERSION_KEY;
client = e_shell_get_gconf_client (shell);
string = gconf_client_get_string (client, key, NULL);
@@ -747,12 +751,6 @@ shell_migrate_get_version (EShell *shell,
/* Since 1.4.0 we've kept the version key in GConf. */
sscanf (string, %d.%d.%d, major, minor, micro);
g_free (string);
-
-   } else {
-   /* Otherwise, assume it's a new installation. */
-   *major = 0;
-   *minor = 0;
-   *micro = 0;
}
 }
 
continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit farsight2 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package farsight2 for openSUSE:Factory
checked in at Thu Oct 13 12:18:58 CEST 2011.




--- openSUSE:Factory/farsight2/farsight2.changes2011-10-02 
10:01:04.0 +0200
+++ farsight2/farsight2.changes 2011-10-12 14:34:34.0 +0200
@@ -1,0 +2,11 @@
+Wed Oct 12 12:33:21 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.0.31:
+  + Restore Theora functionality that got broken
+  + Merged experimental TCP-Friendly Rate Control (TFRC) module,
+disabled by default
+  + Support for requesting keyframes on packet loss
+  + Disables regular keyframes if keyframe requests are supported
+to ensure smoother streaming
+
+---

calling whatdependson for head-i586


Old:

  farsight2-0.0.30.tar.gz

New:

  farsight2-0.0.31.tar.gz



Other differences:
--
++ farsight2.spec ++
--- /var/tmp/diff_new_pack.1C58tj/_old  2011-10-13 12:18:54.0 +0200
+++ /var/tmp/diff_new_pack.1C58tj/_new  2011-10-13 12:18:54.0 +0200
@@ -32,7 +32,7 @@
 BuildRequires:  python-gobject2-devel
 BuildRequires:  python-gstreamer-0_10-devel
 BuildRequires:  python-xml
-Version:0.0.30
+Version:0.0.31
 Release:1
 License:LGPLv2.1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ farsight2-0.0.30.tar.gz - farsight2-0.0.31.tar.gz ++
 8084 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit frei0r-plugins for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package frei0r-plugins for openSUSE:Factory
checked in at Thu Oct 13 12:19:09 CEST 2011.




--- openSUSE:Factory/frei0r-plugins/frei0r-plugins.changes  2011-10-07 
00:46:54.0 +0200
+++ frei0r-plugins/frei0r-plugins.changes   2011-10-05 17:58:49.0 
+0200
@@ -1,0 +2,9 @@
+Wed Oct  5 15:49:12 UTC 2011 - dims...@opensuse.org
+
+- Add pkgconfig(gavl) BuildRequires to enable the remaining
+  filters: rgbparade, scale0tilt, vectorscope.
+- Add frei0r-plugins-compiler-warnings.patch: Fix compiler warning
+  on undefined operation. Patch taken from upstream git, commit
+  id 8f8090.
+
+---

calling whatdependson for head-i586


New:

  frei0r-plugins-compiler-warnings.patch



Other differences:
--
++ frei0r-plugins.spec ++
--- /var/tmp/diff_new_pack.w4MN2I/_old  2011-10-13 12:19:02.0 +0200
+++ /var/tmp/diff_new_pack.w4MN2I/_new  2011-10-13 12:19:02.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package
+# spec file for package frei0r-plugins
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,10 +16,10 @@
 #
 
 
+
 Name:   frei0r-plugins
 Version:1.3
 Release:1
-# FIXME: uncomment pkgconfig(gavl) BuildRequires once gavl is in Factory
 License:GPL-2+
 Summary:Collection of video sources and filters plugins
 Url:http://www.piksel.org/frei0r
@@ -27,12 +27,12 @@
 Source: http://www.piksel.no/frei0r/releases/%{name}-%{version}.tar.gz
 # PATCH-FIX-UPSTREAM frei0r-missing-return.patch vu...@opensuse.org -- Add 
missing return value, sent upstream by mail on 2011-09-28
 Patch0: frei0r-missing-return.patch
+# PATCH-FIX-UPSTREAM frei0r-plugins-compiler-warnings.patch 
dims...@opensuse.org -- Fix compiler warning on underfined operation. Taken 
from git.
+Patch1: frei0r-plugins-compiler-warnings.patch
 BuildRequires:  gcc-c++
 # For the automatic pkgconfig() Provides
 BuildRequires:  pkg-config
-# GAVL not yet to exist in Factory - Offers those plugins:
-# Filters: rgbparade, scale0tilt, vectorscope
-#BuildRequires:  pkgconfig(gavl) = 0.2.3
+BuildRequires:  pkgconfig(gavl) = 0.2.3
 BuildRequires:  pkgconfig(opencv) = 1.0.0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -55,6 +55,7 @@
 %prep
 %setup -q -n frei0r-%{version}
 %patch0 -p1
+%patch1 -p1
 
 %build
 %configure

++ frei0r-plugins-compiler-warnings.patch ++
From 8f809085bf1ca0f3d4a7b5bade3afe2367c3e9b2 Mon Sep 17 00:00:00 2001
From: Dan Dennedy d...@dennedy.org
Date: Thu, 29  Sep  2011  02:24:56  +
Subject: Fix compile warning on undefined operation.

---
diff --git a/src/filter/curves/curves.c b/src/filter/curves/curves.c
index 76ce144..021accc 100644
--- a/src/filter/curves/curves.c
+++ b/src/filter/curves/curves.c
@@ -875,9 +875,12 @@ void f0r_update(f0r_instance_t instance, double time,
for(int j = 0; j  scale; j++) {
  if (j % cellSize  lineWidth) { //point doesn't aly on the 
grid
int offset = ((maxYvalue - i + graphYOffset) * stride + 
j + graphXOffset) * 4;
-   dst[offset] = (dst[offset++]  1) + 0x7F;
-   dst[offset] = (dst[offset++]  1) + 0x7F;
-   dst[offset] = (dst[offset++]  1) + 0x7F;
+   dst[offset] = (dst[offset]  1) + 0x7F;
+   offset++;
+   dst[offset] = (dst[offset]  1) + 0x7F;
+   offset++;
+   dst[offset] = (dst[offset]  1) + 0x7F;
+   offset++;
  }
}
}
diff --git a/src/filter/three_point_balance/three_point_balance.c 
b/src/filter/three_point_balance/three_point_balance.c
index f847e31..c578a8c 100644
--- a/src/filter/three_point_balance/three_point_balance.c
+++ b/src/filter/three_point_balance/three_point_balance.c
@@ -263,15 +263,22 @@ void f0r_update(f0r_instance_t instance, double time,
for(int i = 0; i  inst-height; i++) {
  int offset = (i * inst-width + j) * 4;
  if (copyPixel) {
-   dst[offset] = src[offset++];
-   dst[offset] = src[offset++];
-   dst[offset] = src[offset++];
+   dst[offset] = src[offset];
+   offset++;
+   dst[offset] = src[offset];
+   offset++;
+   dst[offset] = src[offset];
+   offset++;
  } else {
-   dst[offset] = mapRed[src[offset++]];
-   dst[offset] = mapGreen[src[offset++]];
- 

commit gfxboot for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gfxboot for openSUSE:Factory
checked in at Thu Oct 13 12:20:13 CEST 2011.




--- openSUSE:Factory/gfxboot/gfxboot.changes2011-09-23 01:59:37.0 
+0200
+++ gfxboot/gfxboot.changes 2011-10-13 09:28:42.0 +0200
@@ -1,0 +2,10 @@
+Thu Oct 13 09:28:31 CEST 2011 - snw...@suse.de
+
+- fix isohybrid detection
+
+---
+Thu Oct 13 08:23:18 CEST 2011 - snw...@suse.de
+
+- don't set init boot option (bnc #723678)
+
+---

calling whatdependson for head-i586


Old:

  gfxboot-4.4.5.tar.bz2

New:

  gfxboot-4.4.7.tar.bz2



Other differences:
--
++ gfxboot.spec ++
--- /var/tmp/diff_new_pack.o76rZ8/_old  2011-10-13 12:20:09.0 +0200
+++ /var/tmp/diff_new_pack.o76rZ8/_new  2011-10-13 12:20:09.0 +0200
@@ -18,19 +18,19 @@
 
 
 Name:   gfxboot
-Version:4.4.5
+Version:4.4.7
 Release:1
 License:GPLv2+
 Summary:Graphical Boot Logo for GRUB, LILO and SYSLINUX
 Url:http://en.opensuse.org/SDB:Gfxboot
 Group:  System/Boot
-Source: %{name}-%{version}.tar.bz2
-Source6:examples.tar.bz2
+Source: gfxboot-4.4.7.tar.bz2
 Source1:KDE.tar.bz2
 Source2:openSUSE.tar.bz2
 Source3:SLED.tar.bz2
 Source4:SLES.tar.bz2
 Source5:upstream.tar.bz2
+Source6:examples.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  freetype2-devel
 BuildRequires:  fribidi
@@ -118,7 +118,7 @@
 KDE theme for gfxboot (bootloader graphics).
 
 %prep
-%setup -q
+%setup
 %setup -T -D -a 1
 %setup -T -D -a 2
 %setup -T -D -a 3

++ KDE.tar.bz2 ++

++ SLED.tar.bz2 ++

++ SLES.tar.bz2 ++

++ examples.tar.bz2 ++

++ gfxboot-4.4.5.tar.bz2 - gfxboot-4.4.7.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gfxboot-4.4.5/VERSION new/gfxboot-4.4.7/VERSION
--- old/gfxboot-4.4.5/VERSION   2011-09-02 16:37:53.0 +0200
+++ new/gfxboot-4.4.7/VERSION   2011-10-13 09:28:26.0 +0200
@@ -1 +1 @@
-4.4.5
+4.4.7
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gfxboot-4.4.5/changelog new/gfxboot-4.4.7/changelog
--- old/gfxboot-4.4.5/changelog 2011-09-02 16:37:54.0 +0200
+++ new/gfxboot-4.4.7/changelog 2011-10-13 09:28:27.0 +0200
@@ -1,4 +1,10 @@
-2011-09-02:HEAD
+2011-10-13:HEAD
+   - fix isohybrid detection
+
+2011-10-13:4.4.6
+   - don't set init boot option (bnc #723678)
+
+2011-09-02:4.4.5
- make systemd default
 
 2011-09-02:4.4.4

++ openSUSE.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/themes/openSUSE/src/dia_install.inc 
new/themes/openSUSE/src/dia_install.inc
--- old/themes/openSUSE/src/dia_install.inc 2011-07-07 16:33:35.0 
+0200
+++ new/themes/openSUSE/src/dia_install.inc 2011-10-13 09:23:26.0 
+0200
@@ -25,7 +25,7 @@
 /install.default .inst_cdrom def
 
 % isohybrid image booted as disk
-sectorsize 0x800 eq bootdrive 0x80 eq and {
+sectorsize 0x200 eq bootdrive 0x80 eq or {
   /install.default .inst_hd def
 } if
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/themes/openSUSE/src/dia_otheropts.inc 
new/themes/openSUSE/src/dia_otheropts.inc
--- old/themes/openSUSE/src/dia_otheropts.inc   2011-09-02 16:25:26.0 
+0200
+++ new/themes/openSUSE/src/dia_otheropts.inc   2011-10-13 08:20:06.0 
+0200
@@ -12,17 +12,20 @@
 
 config.init /sbin/init eq { /config.init  def } if
 config.init /bin/systemd eq { /otheropts.default 1 def } if
-config.init /bin/sh eq { /otheropts.default 2 def } if
+config.init /sbin/sysvinit eq { /otheropts.default 2 def } if
+config.init /bin/sh eq { /otheropts.default 3 def } if
 
 /otheropts.xtra
   config.init  ne
   config.init /bin/systemd ne and
+  config.init /sbin/sysvinit ne and
   config.init /bin/sh ne and
 def
 
 /otheropts.options [
   
   init=/bin/systemd
+  init=/sbin/sysvinit
   init=/bin/sh
   otheropts.xtra {
 100 string dup config.init init=%s rot sprintf
@@ -43,8 +46,9 @@
 
   xmenu .xm_current otheropts.default put
   xmenu .xm_list [
-System V
+Default
 Systemd
+System V
 Shell
 otheropts.xtra { config.init } if
   ] put
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/themes/openSUSE/src/gfxboot.cfg 
new/themes/openSUSE/src/gfxboot.cfg
--- old/themes/openSUSE/src/gfxboot.cfg 2011-09-02 16:37:15.0 +0200
+++ new/themes/openSUSE/src/gfxboot.cfg 2011-10-13 08:17:33.0 +0200
@@ -195,8 +195,8 @@
 addopt.lang=0
 ; add 'keytable' option with 

commit gimp for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gimp for openSUSE:Factory
checked in at Thu Oct 13 12:20:31 CEST 2011.




--- openSUSE:Factory/gimp/gimp.changes  2011-10-07 16:07:22.0 +0200
+++ gimp/gimp.changes   2011-10-12 17:26:18.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 15:26:00 UTC 2011 - vu...@opensuse.org
+
+- Add a warning comment about changing the content of the branding
+  package, to make our life easier in branding-openSUSE.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gimp.spec ++
--- /var/tmp/diff_new_pack.m1lVUH/_old  2011-10-13 12:20:22.0 +0200
+++ /var/tmp/diff_new_pack.m1lVUH/_new  2011-10-13 12:20:22.0 +0200
@@ -152,9 +152,11 @@
 # It is technically compatible with 2.4, but upstream branding has version 
specific image:
 Conflicts:  %{name}  2.6.0
 BuildArch:  noarch
+## WARNING WARNING WARNING: see warning in %files section
 #BRAND: /usr/share/gimp/2.0/images/gimp-splash.png is a splash screen in
 #BRAND: GIMP, original size is 300x400. Bottom part displays just
 #BRAND: starting text and progress bar.
+## WARNING WARNING WARNING: see warning in %files section
 
 %description branding-upstream
 The GIMP (GNU Image Manipulation Program) is a powerful image
@@ -409,6 +411,10 @@
 
 %files branding-upstream
 %defattr(-,root,root)
+## WARNING WARNING WARNING: if we change the branding package to contain other
+# files than the splash, and this means the branding package should have a real
+# strict dependency on the gimp version, then branding-openSUSE should be
+# changed. Right now it only has an unversioned Requires for the gimp.
 %{_datadir}/gimp/2.0/images/gimp-splash.png
 
 %files plugins-python -f plugins-python.list

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gitg for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gitg for openSUSE:Factory
checked in at Thu Oct 13 12:20:47 CEST 2011.




--- openSUSE:Factory/gitg/gitg.changes  2011-09-23 01:59:57.0 +0200
+++ gitg/gitg.changes   2011-10-05 15:32:56.0 +0200
@@ -1,0 +2,8 @@
+Wed Oct  5 13:27:56 UTC 2011 - vu...@opensuse.org
+
+- Build and package the glade catalog (bnc#689575):
+  + Add pkgconfig(gladeui-2.0) BuildRequires.
+  + Pass --enable-glade-catalog to configure.
+  + Create glade-catalog-gitg subpackage.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gitg.spec ++
--- /var/tmp/diff_new_pack.9DN4D7/_old  2011-10-13 12:20:41.0 +0200
+++ /var/tmp/diff_new_pack.9DN4D7/_new  2011-10-13 12:20:41.0 +0200
@@ -29,6 +29,7 @@
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(gladeui-2.0) = 3.2
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gsettings-desktop-schemas)
 BuildRequires:  pkgconfig(gtk+-3.0)
@@ -53,6 +54,22 @@
 convenient tool to visualize git history and actions that benefit from a
 graphical presentation.
 
+%package -n glade-catalog-gitg
+License:GPLv2+
+Summary:Git repository viewer -- Catalog for Glade
+Group:  Development/Tools/GUI Builders
+Requires:   libgitg-1_0-0 = %{version}
+Requires:   glade
+Supplements:packageand(glade:%{name}-devel)
+
+%description -n glade-catalog-gitg
+gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
+convenient tool to visualize git history and actions that benefit from a
+graphical presentation.
+
+This package provides a catalog for Glade, to allow the use the gitg
+widgets in Glade.
+
 %package -n libgitg-devel
 License:GPLv2+
 Summary:Git repository viewer -- Development Files
@@ -70,7 +87,8 @@
 translation-update-upstream
 
 %build
-%configure --disable-static
+%configure --disable-static \
+--enable-glade-catalog
 make %{?jobs:-j%jobs}
 
 %install
@@ -117,6 +135,10 @@
 %defattr(-,root,root)
 %{_libdir}/libgitg-1.0.so.*
 
+%files -n glade-catalog-gitg
+%defattr(-,root,root)
+%{_datadir}/glade/catalogs/gitg-glade.xml
+
 %files -n libgitg-devel
 %defattr(-,root,root)
 %{_includedir}/libgitg-1.0/

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glade for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package glade for openSUSE:Factory
checked in at Thu Oct 13 12:21:04 CEST 2011.




--- openSUSE:Factory/glade/glade.changes2011-10-03 20:01:38.0 
+0200
+++ glade/glade.changes 2011-10-12 14:41:03.0 +0200
@@ -1,0 +2,24 @@
+Wed Oct 12 12:34:56 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.10.2:
+  + Optimized loading time by not updating progressbar on every
+loaded object.
+  + Update placeholders when a grid child's width or height child
+properties change.
+  + Ensure 'related-action' and 'use-action-appearance' are
+serialized in the right order.
+  + Correctly detect the required devhelp version.
+  + Make documentation parallel installable (bgo#646997).
+  + Renamed catalog and module environment variables.
+  + Properly escape special characters while serializing property
+values (bgo#654609).
+  + Fixed size groups widget selection (bgo#647984).
+  + Avoid crashing if glade-previewer is not installed
+(bgo#650899).
+  + Fixed loading correct application icon (bgo#648487).
+  + Fixed variable set but not used warnings.
+  + Other bugs fixed: bgo#651673, bgo#657164, bgo#660607,
+bgo#660872, bgo#660874.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  glade-3.10.0.tar.bz2

New:

  glade-3.10.2.tar.bz2



Other differences:
--
++ glade.spec ++
--- /var/tmp/diff_new_pack.MDDQVx/_old  2011-10-13 12:20:57.0 +0200
+++ /var/tmp/diff_new_pack.MDDQVx/_new  2011-10-13 12:20:57.0 +0200
@@ -19,13 +19,13 @@
 
 
 Name:   glade
-Version:3.10.0
+Version:3.10.2
 Release:1
 Summary:User Interface Builder for GTK+
 License:GPLv2+
 Group:  Development/Tools/GUI Builders
 Url:http://glade.gnome.org/
-Source: 
http://ftp.gnome.org/pub/GNOME/sources/glade/3.10/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/glade/3.10/%{name}-%{version}.tar.bz2
 # PATCH-FIX-UPSTREAM glade-pygobject-3.0.patch vu...@opensuse.org -- Port to 
pygobject 3.0
 Patch0: glade-pygobject-3.0.patch
 BuildRequires:  fdupes
@@ -142,7 +142,7 @@
 %{_libdir}/pkgconfig/gladeui-2.0.pc
 %{_libdir}/libgladeui*.so
 %{_datadir}/gir-1.0/*.gir
-%doc %{_datadir}/gtk-doc/html/gladeui/
+%doc %{_datadir}/gtk-doc/html/gladeui-2/
 
 %files lang -f %{name}.lang
 

++ glade-3.10.0.tar.bz2 - glade-3.10.2.tar.bz2 ++
 136459 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glade3 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package glade3 for openSUSE:Factory
checked in at Thu Oct 13 12:21:15 CEST 2011.




--- openSUSE:Factory/glade3/glade3.changes  2011-09-23 02:00:00.0 
+0200
+++ glade3/glade3.changes   2011-10-12 15:44:45.0 +0200
@@ -1,0 +2,16 @@
+Tue Oct 11 17:23:20 UTC 2011 - zai...@opensuse.org
+
+- Update to version 3.8.1:
+  + Correctly detect the required devhelp version.
+  + Sort objects in output by property reference, ensures a
+GtkTreeModelFilter gets serialized after its 'child-model'
+(bgo#657164).
+  + Fixed crashers when performing Remove Parent (bgo#657338).
+  + Ensure 'use-action-appearance' is serialized before
+'related-action' (bgo#658497).
+  + Properly escape special characters while serializing property
+values (bgo#654609).
+  + Fix GladeProject to notify row-has-child-toggled
+(bgo#651673).
+
+---

calling whatdependson for head-i586


Old:

  glade3-3.8.0.tar.bz2

New:

  glade3-3.8.1.tar.bz2



Other differences:
--
++ glade3.spec ++
--- /var/tmp/diff_new_pack.AHBvgk/_old  2011-10-13 12:21:11.0 +0200
+++ /var/tmp/diff_new_pack.AHBvgk/_new  2011-10-13 12:21:11.0 +0200
@@ -19,13 +19,13 @@
 
 
 Name:   glade3
-Version:3.8.0
+Version:3.8.1
 Release:1
 Summary:User Interface Builder for GTK+ 2
 License:GPLv2+
 Group:  Development/Tools/GUI Builders
 Url:http://glade.gnome.org/
-Source: 
http://ftp.gnome.org/pub/GNOME/sources/glade3/3.1/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/glade3/3.8/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gtk-doc

++ glade3-3.8.0.tar.bz2 - glade3-3.8.1.tar.bz2 ++
 34272 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glib2-branding-openSUSE for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package glib2-branding-openSUSE for 
openSUSE:Factory
checked in at Thu Oct 13 12:21:22 CEST 2011.




--- openSUSE:Factory/glib2-branding-openSUSE/glib2-branding-openSUSE.changes
2011-10-07 10:29:57.0 +0200
+++ glib2-branding-openSUSE/glib2-branding-openSUSE.changes 2011-10-12 
18:35:42.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 16:29:41 UTC 2011 - g...@opensuse.org
+
+- Adapt Xfce default applications, mousepad was replaced by
+  leafpad, xarchiver and parole are no longer installed by default.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ glib2-branding-openSUSE-gnome_defaults.conf ++
--- /var/tmp/diff_new_pack.PODUlp/_old  2011-10-13 12:21:19.0 +0200
+++ /var/tmp/diff_new_pack.PODUlp/_new  2011-10-13 12:21:19.0 +0200
@@ -84,10 +84,8 @@
 application/vnd.oasis.opendocument.presentation=impress.desktop
 
 # XFCE default applications
-mousepad.desktop
+leafpad.desktop
 ristretto.desktop
-xarchiver.desktop
-parole.desktop
 
 # LXDE default applications
 beaver.desktop

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-bluetooth for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-bluetooth for openSUSE:Factory
checked in at Thu Oct 13 12:21:36 CEST 2011.




--- openSUSE:Factory/gnome-bluetooth/gnome-bluetooth.changes2011-10-02 
10:05:01.0 +0200
+++ gnome-bluetooth/gnome-bluetooth.changes 2011-10-11 10:07:10.0 
+0200
@@ -1,0 +2,7 @@
+Tue Oct 11 08:06:14 UTC 2011 - vu...@opensuse.org
+
+- Add gnome-bluetooth-fix-crash.patch: fix various crashes in
+  libgnome-bluetooth, that help a bit getting bluetooth working in
+  GNOME. Part of bnc#722722.
+
+---

calling whatdependson for head-i586


New:

  gnome-bluetooth-fix-crash.patch



Other differences:
--
++ gnome-bluetooth.spec ++
--- /var/tmp/diff_new_pack.nqTct3/_old  2011-10-13 12:21:32.0 +0200
+++ /var/tmp/diff_new_pack.nqTct3/_new  2011-10-13 12:21:32.0 +0200
@@ -28,6 +28,8 @@
 Source1:61-gnome-bluetooth-rfkill.rules
 # PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
 Patch0: lxde-support.patch
+# PATCH-FIX-UPSTREAM gnome-bluetooth-fix-crash.patch bgo#654172 bnc#722722 
vu...@opensuse.org -- Fix various crashes in libgnome-bluetooth due to leaking 
objects
+Patch1: gnome-bluetooth-fix-crash.patch
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gobject-introspection-devel
@@ -112,6 +114,7 @@
 %setup -q
 translation-update-upstream
 %patch0 -p1
+%patch1 -p1
 
 %if 0%{?BUILD_FROM_VCS}
 [ -x ./autogen.sh ]  NOCONFIGURE=1 ./autogen.sh

++ gnome-bluetooth-fix-crash.patch ++
From 00e1b334b3014ce9ed72b5d3391313467d6fe181 Mon Sep 17 00:00:00 2001
From: Vincent Untz vu...@gnome.org
Date: Fri, 7 Oct 2011 15:46:51 +0200
Subject: [PATCH 1/2] lib: Disconnect signals from adapters and devices on
 finalize

This avoids some crashes.

https://bugzilla.gnome.org/show_bug.cgi?id=661118

https://bugzilla.gnome.org/show_bug.cgi?id=654172
---
 lib/bluetooth-client.c |   33 +
 1 files changed, 33 insertions(+), 0 deletions(-)

diff --git a/lib/bluetooth-client.c b/lib/bluetooth-client.c
index 86680c3..d7af201 100644
--- a/lib/bluetooth-client.c
+++ b/lib/bluetooth-client.c
@@ -1021,6 +1021,37 @@ bluetooth_client_set_property (GObject*object,
}
 }
 
+static gboolean
+disconnect_from_proxy_helper (GtkTreeModel *model,
+ GtkTreePath  *path,
+ GtkTreeIter  *iter,
+ gpointer  data)
+{
+   BluetoothClient *client = data;
+   DBusGProxy *proxy;
+
+   gtk_tree_model_get(model, iter,
+  BLUETOOTH_COLUMN_PROXY, proxy, -1);
+
+   /* adapters */
+   g_signal_handlers_disconnect_by_func(proxy,
+   adapter_changed, client);
+   g_signal_handlers_disconnect_by_func(proxy,
+   device_created, client);
+   g_signal_handlers_disconnect_by_func(proxy,
+   device_removed, client);
+   g_signal_handlers_disconnect_by_func(proxy,
+   device_found, client);
+
+   /* devices */
+   g_signal_handlers_disconnect_by_func(proxy,
+   device_changed, client);
+
+   g_object_unref(proxy);
+
+   return FALSE;
+}
+
 static void bluetooth_client_finalize(GObject *client)
 {
BluetoothClientPrivate *priv = BLUETOOTH_CLIENT_GET_PRIVATE(client);
@@ -1041,6 +1072,8 @@ static void bluetooth_client_finalize(GObject *client)
default_adapter_changed, client);
g_object_unref(priv-manager);
 
+   gtk_tree_model_foreach (GTK_TREE_MODEL(priv-store), 
disconnect_from_proxy_helper, client);
+
g_object_unref(priv-store);
 
if (priv-default_adapter)
-- 
1.7.7


From 63b442bb8a81776887350bad516943ddd61852b8 Mon Sep 17 00:00:00 2001
From: Vincent Untz vu...@gnome.org
Date: Tue, 11 Oct 2011 09:46:52 +0200
Subject: [PATCH 2/2] lib: Do not leak proxies for detectable interfaces of
 devices

This avoids signals that will cause crashes.

https://bugzilla.gnome.org/show_bug.cgi?id=654172
---
 lib/bluetooth-client.c |   14 ++
 1 files changed, 14 insertions(+), 0 deletions(-)

diff --git a/lib/bluetooth-client.c b/lib/bluetooth-client.c
index d7af201..e2f66c7 100644
--- a/lib/bluetooth-client.c
+++ b/lib/bluetooth-client.c
@@ -103,6 +103,7 @@ struct _BluetoothClientPrivate {
DBusGProxy *manager;
GtkTreeStore *store;
GtkTreeRowReference *default_adapter;
+   GSList *horrible_workaround_for_leaked_ifaces;
 };
 
 enum {
@@ -266,6 +267,7 @@ device_services_changed (DBusGProxy *iface, const char 
*property,
 static GHashTable *
 device_list_nodes (DBusGProxy *device, BluetoothClient *client, gboolean 

commit gnome-menus for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-menus for openSUSE:Factory
checked in at Thu Oct 13 12:21:47 CEST 2011.




--- openSUSE:Factory/gnome-menus/gnome-menus.changes2011-10-07 
17:07:10.0 +0200
+++ gnome-menus/gnome-menus.changes 2011-10-12 21:55:58.0 +0200
@@ -1,0 +2,7 @@
+Wed Oct 12 19:55:29 UTC 2011 - vu...@opensuse.org
+
+- Drop gnome-menus-x-suse-unimportant.patch: we moved to not using
+  X-SuSE-Unimportant=true, but NoDisplay=true. So no need to rebase
+  this patch anymore.
+
+---

calling whatdependson for head-i586


Old:

  gnome-menus-x-suse-unimportant.patch



Other differences:
--
++ gnome-menus.spec ++
--- /var/tmp/diff_new_pack.JgrzT0/_old  2011-10-13 12:21:43.0 +0200
+++ /var/tmp/diff_new_pack.JgrzT0/_new  2011-10-13 12:21:43.0 +0200
@@ -28,8 +28,6 @@
 Source99:   baselibs.conf
 # PATCH-FIX-UPSTREAM gnome-menus-other-end.patch vu...@opensuse.org -- Taken 
from git, put Other at the end
 Patch0: gnome-menus-other-end.patch
-# PATCH-NEEDS-REBASE
-Patch3: gnome-menus-x-suse-unimportant.patch
 BuildRequires:  fdupes
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
@@ -123,8 +121,6 @@
 %setup -q
 translation-update-upstream
 %patch0 -p1
-# NEEDS REBASE
-#patch3
 
 %if 0%{?BUILD_FROM_VCS}
 [ -x ./autogen.sh ]  NOCONFIGURE=1 ./autogen.sh

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-panel for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-panel for openSUSE:Factory
checked in at Thu Oct 13 12:21:59 CEST 2011.




--- openSUSE:Factory/gnome-panel/gnome-panel.changes2011-10-02 
10:07:09.0 +0200
+++ gnome-panel/gnome-panel.changes 2011-10-11 18:36:16.0 +0200
@@ -1,0 +2,7 @@
+Tue Oct 11 15:34:27 UTC 2011 - vu...@opensuse.org
+
+- Add gnome-panel-improved-default-layout-handling.patch: improve
+  the default layout handling. This enables us to add a launcher
+  for the installer easily in the live session (bnc#702671).
+
+---

calling whatdependson for head-i586


New:

  gnome-panel-improved-default-layout-handling.patch



Other differences:
--
++ gnome-panel.spec ++
--- /var/tmp/diff_new_pack.c4qIuJ/_old  2011-10-13 12:21:54.0 +0200
+++ /var/tmp/diff_new_pack.c4qIuJ/_new  2011-10-13 12:21:54.0 +0200
@@ -27,6 +27,8 @@
 Group:  System/GUI/GNOME
 Source: 
http://download.gnome.org/sources/gnome-panel/3.2/%{name}-%{version}.tar.bz2
 Source99:   baselibs.conf
+# PATCH-FEATURE-UPSTREAM gnome-panel-improved-default-layout-handling.patch 
vu...@opensuse.org -- Improve default layout handling, so that we can load it 
from the user dir
+Patch0: gnome-panel-improved-default-layout-handling.patch
 # PATCH-FIX-UPSTREAM gnome-panel-recent-check-exists.patch -- Show an error 
when clicking on a recent item that doesn't exist anymore
 Patch25:gnome-panel-recent-check-exists.patch
 # PATCH-FIX-UPSTREAM gnome-panel-beagle-search.patch bgo336726 -- Use nautilus 
search instead of gnome-search-tool
@@ -193,6 +195,7 @@
 %setup -q
 translation-update-upstream
 gnome-patch-translation-prepare
+%patch0 -p1
 %patch25 -p0
 %patch34
 %patch40

++ gnome-panel-improved-default-layout-handling.patch ++
From 317d4a21dd28081a93e955a2e4a94f192231f7c8 Mon Sep 17 00:00:00 2001
From: Vincent Untz vu...@gnome.org
Date: Tue, 11 Oct 2011 16:35:11 +0200
Subject: [PATCH 1/5] panel: Add helper API to write directly to dconf

This will be used for initial setup of panel, for GSettings keys
applying to a specific path, while we don't really have the schema yet.
---
 gnome-panel/libpanel-util/panel-dconf.c |   16 
 gnome-panel/libpanel-util/panel-dconf.h |4 
 2 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/gnome-panel/libpanel-util/panel-dconf.c 
b/gnome-panel/libpanel-util/panel-dconf.c
index 63a1c48..6d09dd6 100644
--- a/gnome-panel/libpanel-util/panel-dconf.c
+++ b/gnome-panel/libpanel-util/panel-dconf.c
@@ -36,6 +36,22 @@ panel_dconf_client_get (void)
 }
 
 gboolean
+panel_dconf_write_sync (const gchar  *key,
+GVariant *value,
+GError  **error)
+{
+gboolean ret;
+DConfClient *client = panel_dconf_client_get ();
+
+ret = dconf_client_write (client, key, value,
+  NULL, NULL, error);
+
+g_object_unref (client);
+
+return ret;
+}
+
+gboolean
 panel_dconf_recursive_reset (const gchar  *dir,
  GError  **error)
 {
diff --git a/gnome-panel/libpanel-util/panel-dconf.h 
b/gnome-panel/libpanel-util/panel-dconf.h
index 0cf8b35..e4ef1e4 100644
--- a/gnome-panel/libpanel-util/panel-dconf.h
+++ b/gnome-panel/libpanel-util/panel-dconf.h
@@ -29,6 +29,10 @@
 
 G_BEGIN_DECLS
 
+gboolean panel_dconf_write_sync (const gchar  *key,
+ GVariant *value,
+ GError  **error);
+
 gboolean panel_dconf_recursive_reset (const gchar  *dir,
   GError **error);
 
-- 
1.7.7


From 8fecde1a4067f9177aea611c9b73f543096d7b6e Mon Sep 17 00:00:00 2001
From: Vincent Untz vu...@gnome.org
Date: Tue, 11 Oct 2011 16:36:15 +0200
Subject: [PATCH 2/5] panel: Support instance configuration of objects in
 default layout

It's now possible to change some settings of the objects in the default
layout. For instance, for a launcher, we would add this to the group of
the launcher in the default layout file to set the .desktop file being
used:

@instance-config/location=foo.desktop

Syntax is:
 - @instance-config/ prefix
 - value of the key is a GVariant-parsable string
---
 gnome-panel/panel-layout.c |   98 
 1 files changed, 98 insertions(+), 0 deletions(-)

diff --git a/gnome-panel/panel-layout.c b/gnome-panel/panel-layout.c
index d52a6a0..4045c4c 100644
--- a/gnome-panel/panel-layout.c
+++ b/gnome-panel/panel-layout.c
@@ -48,6 +48,7 @@ static GSettings *layout_settings = NULL;
 
 #define PANEL_LAYOUT_ERROR panel_layout_error_quark ()
 #define PANEL_LAYOUT_OBJECT_GCONF_PATH_TEMPLATE /apps/panel3-applets/%s
+#define PANEL_LAYOUT_INSTANCE_CONFIG_SUBPATH 

commit gnome-schedule for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-schedule for openSUSE:Factory
checked in at Thu Oct 13 12:22:07 CEST 2011.




--- openSUSE:Factory/gnome-schedule/gnome-schedule.changes  2011-09-28 
15:27:39.0 +0200
+++ gnome-schedule/gnome-schedule.changes   2011-10-11 09:19:13.0 
+0200
@@ -1,0 +2,5 @@
+Tue Oct 11 07:18:56 UTC 2011 - vu...@opensuse.org
+
+- Add missing calls to %desktop_database_post(un) in %post/%postun.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gnome-schedule.spec ++
--- /var/tmp/diff_new_pack.nUt8Nl/_old  2011-10-13 12:22:03.0 +0200
+++ /var/tmp/diff_new_pack.nUt8Nl/_new  2011-10-13 12:22:03.0 +0200
@@ -1,6 +1,7 @@
 #
-# spec file for package
+# spec file for package gnome-schedule
 #
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
 #
 # All modifications and additions to the file contributed by third parties
@@ -16,6 +17,7 @@
 #
 
 
+
 Name:   gnome-schedule
 Version:2.1.5
 Release:1
@@ -71,6 +73,12 @@
 %find_lang %{name} %{?no_lang_C}
 %fdupes %{buildroot}%{_datadir}/%{name}
 
+%post
+%desktop_database_post
+
+%postun
+%desktop_database_postun
+
 %files
 %defattr(-,root,root)
 %doc AUTHORS ChangeLog COPYING NEWS README

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-session for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gnome-session for openSUSE:Factory
checked in at Thu Oct 13 12:22:15 CEST 2011.




--- openSUSE:Factory/gnome-session/gnome-session.changes2011-10-02 
10:07:33.0 +0200
+++ gnome-session/gnome-session.changes 2011-10-11 18:44:58.0 +0200
@@ -1,0 +2,20 @@
+Tue Oct 11 16:40:32 UTC 2011 - vu...@opensuse.org
+
+- Update /usr/bin/gnome script to have an installer launcher on the
+  panel in fallback mode. We simply copy the panel default layout
+  for the live user, and append the definition of the launcher.
+  Fix bnc#702671.
+
+---
+Mon Oct 10 12:19:53 UTC 2011 - dims...@opensuse.org
+
+- Provide a gnome2-look-and-feel package that allows the user
+  to switch to GNOME 2 look and feel (GNOME Fallback mode) during
+  login or as his preferred default session:
+  + Simply copy the gnome.desktop X session definition to
+gnome2-look-and-feel.desktop, and start the fallback mode from
+there.
+  + This is meant to ease the transition of some users constantly
+requiring the old look and feel.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gnome-session.spec ++
--- /var/tmp/diff_new_pack.EBTIQJ/_old  2011-10-13 12:22:12.0 +0200
+++ /var/tmp/diff_new_pack.EBTIQJ/_new  2011-10-13 12:22:12.0 +0200
@@ -101,6 +101,15 @@
 This package contains the definition of the fallback GNOME session,
 which is used when the graphics are not hardware-accelerated.
 
+%package -n gnome2-look-and-feel
+Summary:GNOME Desktop with the GNOME 2 Look and Feel
+Group:  System/GUI/GNOME
+Requires:   %{name}-fallback-session
+
+%description -n gnome2-look-and-feel
+This package contains the definition to choose in the display manager
+a GNOME 3 session that looks and feels like GNOME 2.
+
 %package core
 License:GPLv2+
 Summary:Session Manager for GNOME -- Minimal Version
@@ -149,9 +158,13 @@
 install -m755 %SOURCE1 %{buildroot}%{_bindir}/gnome
 install -d -m755 %{buildroot}%{_datadir}/xsessions
 install -m644 %SOURCE2 %{buildroot}%{_datadir}/xsessions/gnome.desktop
+# Install a session file for gnome 2 look-and-feel (fallback mode)
+install -m644 %{S:2} 
%{buildroot}%{_datadir}/xsessions/gnome2-look-and-feel.desktop
+sed -i s/^Exec=.*/Exec=gnome --session gnome-fallback/ 
%{buildroot}%{_datadir}/xsessions/gnome2-look-and-feel.desktop
 install -m644 %{S:7} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
 %suse_update_desktop_file session-properties X-SuSE-ControlCenter-Personal
 %suse_update_desktop_file %{buildroot}%{_datadir}/xsessions/gnome.desktop
+%suse_update_desktop_file -N GNOME 2 Look and Feel 
%{buildroot}%{_datadir}/xsessions/gnome2-look-and-feel.desktop
 %find_lang %{name}-3.0 %{?no_lang_C}
 %fdupes %{buildroot}
 
@@ -193,6 +206,10 @@
 %defattr (-, root, root)
 %{_datadir}/gnome-session/sessions/gnome-fallback.session
 
+%files -n gnome2-look-and-feel
+%defattr(-, root, root)
+%{_datadir}/xsessions/gnome2-look-and-feel.desktop
+
 %files core
 %defattr (-, root, root)
 %doc AUTHORS COPYING ChangeLog NEWS README

++ gnome ++
--- /var/tmp/diff_new_pack.EBTIQJ/_old  2011-10-13 12:22:13.0 +0200
+++ /var/tmp/diff_new_pack.EBTIQJ/_new  2011-10-13 12:22:13.0 +0200
@@ -59,7 +59,23 @@
 fi
   fi
 
-  # FIXME: we need to add a launcher for gnome-panel (fallback mode)
+  # Add live installer to the top panel in fallback mode
+  if test -f /usr/share/gnome-panel/panel-default-layout.layout -a ! -f 
${XDG_CONFIG_HOME}/gnome-panel/panel-default-layout.layout; then
+FIRST_TOPLEVEL=`grep --max-count=1  \[Toplevel 
/usr/share/gnome-panel/panel-default-layout.layout | sed s:\[Toplevel *::g;s: 
*]::g`
+if test ! -z ${FIRST_TOPLEVEL}; then
+  mkdir -p -m 0700 ${XDG_CONFIG_HOME}
+  mkdir -p ${XDG_CONFIG_HOME}/gnome-panel
+  cp /usr/share/gnome-panel/panel-default-layout.layout 
${XDG_CONFIG_HOME}/gnome-panel/panel-default-layout.layout
+  cat  ${XDG_CONFIG_HOME}/gnome-panel/panel-default-layout.layout  
EOF
+[Object live-installer-launcher]
+object-iid=PanelInternalFactory::Launcher
+toplevel-id=top-panel
+pack-type=start
+pack-index=-1
+@instance-config/location=file:///usr/share/applications/YaST2/live-installer.desktop
+EOF
+fi
+  fi
 
   ## Other tweaks
 


continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit goocanvas for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package goocanvas for openSUSE:Factory
checked in at Thu Oct 13 12:22:24 CEST 2011.




--- openSUSE:Factory/goocanvas/goocanvas.changes2011-09-23 
02:01:39.0 +0200
+++ goocanvas/goocanvas.changes 2011-10-11 08:52:45.0 +0200
@@ -1,0 +2,15 @@
+Mon Oct 10 00:50:47 CEST 2011 - zai...@opensuse.org
+
+- Update to version 2.0.1:
+  + Added GObject introspection support, though a few issues
+remain.
+  + Fixed bounds calculation of text items in tables, when height
+is set.
+  + Fixed layout of center/right-aligned text in tables.
+  + Improved handling of image pixbuf sizes when using units other
+than pixels.
+  + Added GdkRGBA variants of all color properties.
+- Add gobject-introspection-devel BuildRequires to build
+  introspection data.
+
+---

calling whatdependson for head-i586


Old:

  goocanvas-2.0.0.tar.bz2

New:

  goocanvas-2.0.1.tar.bz2



Other differences:
--
++ goocanvas.spec ++
--- /var/tmp/diff_new_pack.8RZgVE/_old  2011-10-13 12:22:20.0 +0200
+++ /var/tmp/diff_new_pack.8RZgVE/_new  2011-10-13 12:22:20.0 +0200
@@ -18,13 +18,14 @@
 
 
 Name:   goocanvas
-Version:2.0.0
-Release:3
+Version:2.0.1
+Release:1
 License:LGPLv2.0
 Summary:A cairo-based canvas widget for GTK+
 Url:http://sourceforge.net/projects/goocanvas
 Group:  Development/Libraries/GNOME
-Source0:%{name}-%{version}.tar.bz2
+Source0:
http://download.gnome.org/sources/goocanvas/2.0/%{name}-%{version}.tar.bz2
+BuildRequires:  gobject-introspection-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  pkgconfig(cairo)
 BuildRequires:  pkgconfig(gtk+-3.0)
@@ -87,12 +88,14 @@
 %defattr(-, root, root)
 %doc AUTHORS NEWS README TODO
 %{_libdir}/*.so.*
+%{_libdir}/girepository-1.0/GooCanvas-2.0.typelib
 
 %files devel
 %defattr(-, root, root)
 %{_includedir}/%{name}-2.0/
 %{_libdir}/pkgconfig/*.pc
 %{_libdir}/*.so
+%{_datadir}/gir-1.0/GooCanvas-2.0.gir
 %doc %{_datadir}/gtk-doc/html/goocanvas2/
 
 %files lang -f goocanvas2.lang

++ goocanvas-2.0.0.tar.bz2 - goocanvas-2.0.1.tar.bz2 ++
 26291 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtkspell3 for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package gtkspell3 for openSUSE:Factory
checked in at Thu Oct 13 12:22:32 CEST 2011.




--- openSUSE:Factory/gtkspell3/gtkspell3.changes2011-09-28 
15:27:58.0 +0200
+++ gtkspell3/gtkspell3.changes 2011-10-11 09:25:02.0 +0200
@@ -1,0 +2,6 @@
+Tue Oct 11 07:24:43 UTC 2011 - vu...@opensuse.org
+
+- Pass %{?no_lang_C} to %find_lang to avoid packaging any potential
+  english documentation in lang subpackage.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gtkspell3.spec ++
--- /var/tmp/diff_new_pack.kwgqfc/_old  2011-10-13 12:22:29.0 +0200
+++ /var/tmp/diff_new_pack.kwgqfc/_new  2011-10-13 12:22:29.0 +0200
@@ -78,7 +78,7 @@
 %install
 %make_install
 find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
-%find_lang %{name}
+%find_lang %{name} %{?no_lang_C}
 
 %post -n libgtkspell-3-0 -p /sbin/ldconfig
 

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit jhbuild for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package jhbuild for openSUSE:Factory
checked in at Thu Oct 13 12:23:10 CEST 2011.




--- openSUSE:Factory/jhbuild/jhbuild.changes2011-10-02 10:13:04.0 
+0200
+++ jhbuild/jhbuild.changes 2011-10-12 15:22:04.0 +0200
@@ -1,0 +2,10 @@
+Sat Oct  8 23:48:56 CEST 2011 - zai...@opensuse.org
+
+- Update to version 3.2.1:
+  + Bugs fixed:
+- bgo#653050, jhbuild make command.
+- bgo#648990, bgo#654701, bgo#655164, bgo#655417, bgo#660455,
+  bgo#660527, bgo#660853, bgo#660939, bgo#660995, bgo#661010.
+  + Updated translations.
+  
+---

calling whatdependson for head-i586


Old:

  jhbuild-3.2.0.tar.bz2

New:

  jhbuild-3.2.1.tar.bz2



Other differences:
--
++ jhbuild.spec ++
--- /var/tmp/diff_new_pack.tpBKFp/_old  2011-10-13 12:23:03.0 +0200
+++ /var/tmp/diff_new_pack.tpBKFp/_new  2011-10-13 12:23:03.0 +0200
@@ -20,7 +20,7 @@
 Name:   jhbuild
 License:GPLv2+
 Group:  Development/Tools/Building
-Version:3.2.0
+Version:3.2.1
 Release:1
 Summary:Tool to build GNOME
 Url:http://live.gnome.org/Jhbuild

++ jhbuild-3.2.0.tar.bz2 - jhbuild-3.2.1.tar.bz2 ++
 29753 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kdebase4-workspace for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package kdebase4-workspace for 
openSUSE:Factory
checked in at Thu Oct 13 12:23:42 CEST 2011.




--- openSUSE:Factory/kdebase4-workspace/kdebase4-workspace.changes  
2011-10-13 00:06:33.0 +0200
+++ kdebase4-workspace/kdebase4-workspace.changes   2011-10-13 
06:13:44.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 13 04:13:19 UTC 2011 - co...@suse.com
+
+- fix branding requires for kwin and kdm
+
+---

calling whatdependson for head-i586




Other differences:
--
++ kdebase4-workspace.spec ++
--- /var/tmp/diff_new_pack.oepUbH/_old  2011-10-13 12:23:24.0 +0200
+++ /var/tmp/diff_new_pack.oepUbH/_new  2011-10-13 12:23:24.0 +0200
@@ -341,7 +341,7 @@
 Requires:   %{name}-branding = 11.4
 %endif
 %if %suse_version  1140
-Requires:   %{name}-branding = 12.1
+Requires:   %{name}-branding = %{version}
 %endif
 
 Provides:   kdebase3:/opt/kde3/bin/kwin
@@ -391,7 +391,7 @@
 Requires:   kdm-branding = 11.4
 %endif
 %if %suse_version  1140
-Requires:   kdm-branding = 12.1
+Requires:   kdm-branding = 4.7
 %endif
 Requires:   ConsoleKit-x11 xorg-x11-server
 Requires:   kde4-kgreeter-plugins = %version



continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgnomeprint for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package libgnomeprint for openSUSE:Factory
checked in at Thu Oct 13 12:24:03 CEST 2011.




--- openSUSE:Factory/libgnomeprint/libgnomeprint.changes2011-09-23 
02:08:23.0 +0200
+++ libgnomeprint/libgnomeprint.changes 2011-10-12 17:16:13.0 +0200
@@ -1,0 +2,6 @@
+Wed Oct 12 15:10:26 UTC 2011 - vu...@opensuse.org
+
+- Add libgnomeprint-missing-include.patch: add missing include to
+  fix build.
+
+---

calling whatdependson for head-i586


New:

  libgnomeprint-missing-include.patch



Other differences:
--
++ libgnomeprint.spec ++
--- /var/tmp/diff_new_pack.mSK6Lw/_old  2011-10-13 12:23:56.0 +0200
+++ /var/tmp/diff_new_pack.mSK6Lw/_new  2011-10-13 12:23:56.0 +0200
@@ -50,22 +50,14 @@
 Patch:  libgnomeprint-suseconfig.dif
 Patch1: libgnomeprint.patch
 Patch3: libgnomeprint-pdf-invalid-path-176712.patch
+# PATCH-FIX-UPSTREAM libgnomeprint-missing-include.patch bgo#653388 
vu...@opensuse.org -- Add missing include to fix build
+Patch4: libgnomeprint-missing-include.patch
 Recommends: %{name}-lang
 
 %description
 This package contains the GNOME 2.x printing library, which provides a
 simple and clean API for GNOME programs that have to print documents.
 
-
-
-Authors:
-
-Lauris Kaplinski lau...@ximian.com
-Chema Celorio ch...@celorio.com
-Chris Lahey cla...@ximian.com
-Raph Levien r...@acm.org
-Miguel de Icaza mig...@gnu.org
-
 %package devel
 License:GPLv2+ ; LGPLv2.1+
 Summary:Include files and libraries mandatory for development with 
libgnomeprint
@@ -81,16 +73,6 @@
 This package contains all necessary include files and libraries needed
 to compile and link applications that use libgnomeprint.
 
-
-
-Authors:
-
-Lauris Kaplinski lau...@ximian.com
-Chema Celorio ch...@celorio.com
-Chris Lahey cla...@ximian.com
-Raph Levien r...@acm.org
-Miguel de Icaza mig...@gnu.org
-
 %package doc
 License:GPLv2+ ; LGPLv2.1+
 Summary:Documentation for libgnomeprint
@@ -104,16 +86,6 @@
 which provide a simple and clean API for GNOME programs that have to
 print documents.
 
-
-
-Authors:
-
-Lauris Kaplinski lau...@ximian.com
-Chema Celorio ch...@celorio.com
-Chris Lahey cla...@ximian.com
-Raph Levien r...@acm.org
-Miguel de Icaza mig...@gnu.org
-
 %lang_package
 %prep
 %setup -q
@@ -122,6 +94,7 @@
 %patch -p1
 %patch1 
 %patch3
+%patch4 -p1
 
 %build
 autoreconf -f -i

++ libgnomeprint-missing-include.patch ++
commit 9b82b7e75b83395e7c5692085e1934202cf7f65f
Author: Jeremy Huddleston jerem...@freedesktop.org
Date:   Wed Oct 12 17:08:59 2011 +0200

Add missing include

https://bugzilla.gnome.org/show_bug.cgi?id=653388

diff --git a/libgnomeprint/modules/cups/gnome-print-cups-transport.c 
b/libgnomeprint/modules/cups/gnome-print-cups-transport.c
index aeb7111..85de91b 100644
--- a/libgnomeprint/modules/cups/gnome-print-cups-transport.c
+++ b/libgnomeprint/modules/cups/gnome-print-cups-transport.c
@@ -34,6 +34,7 @@
 #include sys/types.h
 #include sys/stat.h
 #include fcntl.h
+#include stdio.h
 #include unistd.h
 #include locale.h
 
continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit linuxrc for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package linuxrc for openSUSE:Factory
checked in at Thu Oct 13 12:24:32 CEST 2011.




--- openSUSE:Factory/linuxrc/linuxrc.changes2011-09-23 02:11:54.0 
+0200
+++ linuxrc/linuxrc.changes 2011-10-13 08:31:26.0 +0200
@@ -1,0 +2,6 @@
+Thu Oct 13 08:30:33 CEST 2011 - snw...@suse.de
+
+- Handle symlinks in /sys/block directory.
+- print segfault backtrace even without trace option
+
+---

calling whatdependson for head-i586


Old:

  linuxrc-3.5.11.tar.bz2

New:

  linuxrc-3.5.12.tar.bz2



Other differences:
--
++ linuxrc.spec ++
--- /var/tmp/diff_new_pack.4dkuDB/_old  2011-10-13 12:24:28.0 +0200
+++ /var/tmp/diff_new_pack.4dkuDB/_new  2011-10-13 12:24:28.0 +0200
@@ -24,9 +24,9 @@
 Group:  System/Boot
 AutoReqProv:on
 Summary:SUSE Installation Program
-Version:3.5.11
+Version:3.5.12
 Release:1
-Source: linuxrc-3.5.11.tar.bz2
+Source: linuxrc-3.5.12.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ linuxrc-3.5.11.tar.bz2 - linuxrc-3.5.12.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-3.5.11/VERSION new/linuxrc-3.5.12/VERSION
--- old/linuxrc-3.5.11/VERSION  2011-08-09 11:34:16.0 +0200
+++ new/linuxrc-3.5.12/VERSION  2011-10-13 08:30:30.0 +0200
@@ -1 +1 @@
-3.5.11
+3.5.12
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-3.5.11/changelog new/linuxrc-3.5.12/changelog
--- old/linuxrc-3.5.11/changelog2011-08-09 11:34:17.0 +0200
+++ new/linuxrc-3.5.12/changelog2011-10-13 08:30:32.0 +0200
@@ -1,4 +1,8 @@
-2011-08-09:HEAD
+2011-09-13:HEAD
+   - Handle symlinks in /sys/block directory.
+   - print segfault backtrace even without trace option
+
+2011-08-09:3.5.11
- print backtrace when we get a segfault
 
 2011-02-24:3.5.10
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-3.5.11/linuxrc.c new/linuxrc-3.5.12/linuxrc.c
--- old/linuxrc-3.5.11/linuxrc.c2011-08-09 11:33:41.0 +0200
+++ new/linuxrc-3.5.12/linuxrc.c2011-09-13 15:38:51.0 +0200
@@ -646,6 +646,7 @@
   ip = scp.sc_fpc_eir;
 #endif
 
+  config.error_trace = 1;
   util_error_trace(***  signal 11 ***\n);
 
   fprintf(stderr, Linuxrc segfault at 0x%08PRIx64. :-((\n, ip);
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linuxrc-3.5.11/scsi_rename.c 
new/linuxrc-3.5.12/scsi_rename.c
--- old/linuxrc-3.5.11/scsi_rename.c2011-08-09 10:57:09.0 +0200
+++ new/linuxrc-3.5.12/scsi_rename.c2011-09-13 15:38:51.0 +0200
@@ -63,7 +63,7 @@
 
   scsi_list = calloc(MAX_SCSI_DEVS + 1, sizeof *scsi_list);
 
-  sf_class = reverse_str_list(read_dir(/sys/block, 'd'));
+  sf_class = reverse_str_list(read_dir(/sys/block, 'D'));
 
   if(!sf_class) {
 if(config.debug) fprintf(stderr, no block devices\n);

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mx for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package mx for openSUSE:Factory
checked in at Thu Oct 13 12:24:51 CEST 2011.




--- openSUSE:Factory/mx/mx.changes  2011-10-04 17:00:33.0 +0200
+++ mx/mx.changes   2011-10-12 14:25:17.0 +0200
@@ -1,0 +2,16 @@
+Wed Oct 12 12:23:14 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.4.0:
+  + Add new testing applications for widgets and containers
+  + Prevent the cursor from being stuck as an I beam after
+selecting text in MxEntry
+  + Add state and clamp-to-center properties for
+MxKineticScrollView
+  + Add tooltips for MxEntry icons
+  + Allow highlight icons for MxEntry icons
+  + Fix a painting issue with MxScrollBar and clipped redraws
+  + Add show-tooltip property to MxLabel to show a tooltip when
+the text does not fit in the current allocated size.
+  + Bugs fixed: bco##2682, bco#2685.
+
+---

calling whatdependson for head-i586


Old:

  mx-1.3.2.tar.xz

New:

  mx-1.4.0.tar.xz



Other differences:
--
++ mx.spec ++
--- /var/tmp/diff_new_pack.CG1DSk/_old  2011-10-13 12:24:44.0 +0200
+++ /var/tmp/diff_new_pack.CG1DSk/_new  2011-10-13 12:24:44.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   mx
-Version:1.3.2
+Version:1.4.0
 Release:1
 License:LGPLv2.1
 Summary:Clutter-based Toolkit
 Url:http://www.clutter-project.org/
 Group:  System/Libraries
-Source0:
http://source.clutter-project.org/sources/mx/1.3/%{name}-%{version}.tar.xz
+Source0:
http://source.clutter-project.org/sources/mx/1.4/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  intltool
 # Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pinpoint for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package pinpoint for openSUSE:Factory
checked in at Thu Oct 13 12:25:12 CEST 2011.




--- openSUSE:Factory/pinpoint/pinpoint.changes  2011-09-23 12:41:11.0 
+0200
+++ pinpoint/pinpoint.changes   2011-10-12 18:09:20.0 +0200
@@ -1,0 +2,6 @@
+Sun Sep 11 01:51:24 UTC 2011 - gre...@suse.de
+
+- Add pinpoint-speakerview.patch: brings the code to latest git.
+  This adds the speaker view feature (and various bug fixes).
+
+---

calling whatdependson for head-i586


New:

  pinpoint-speakerview.patch



Other differences:
--
++ pinpoint.spec ++
--- /var/tmp/diff_new_pack.MdaKHl/_old  2011-10-13 12:25:01.0 +0200
+++ /var/tmp/diff_new_pack.MdaKHl/_new  2011-10-13 12:25:01.0 +0200
@@ -25,6 +25,8 @@
 Url:http://live.gnome.org/Pinpoint
 Group:  Productivity/Publishing/Presentation
 Source: 
http://ftp.gnome.org/pub/GNOME/sources/pinpoint/0.1/%{name}-%{version}.tar.bz2
+# PATCH-FEATURE-UPSTREAM pinpoint-speakerview.patch -- Taken from git, add the 
speaker view feature
+Patch1: pinpoint-speakerview.patch
 BuildRequires:  pkgconfig(cairo-pdf)
 BuildRequires:  pkgconfig(clutter-1.0)
 BuildRequires:  pkgconfig(clutter-gst-1.0)
@@ -41,6 +43,7 @@
 
 %prep
 %setup -q
+%patch1 -p1
 
 %build
 %configure

++ pinpoint-speakerview.patch ++
 3607 lines (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rsh for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package rsh for openSUSE:Factory
checked in at Thu Oct 13 12:25:50 CEST 2011.




--- openSUSE:Factory/rsh/rsh.changes2011-09-23 12:44:44.0 +0200
+++ rsh/rsh.changes 2011-10-12 17:13:47.0 +0200
@@ -1,0 +2,5 @@
+Wed Oct 12 17:12:07 CEST 2011 - ti...@suse.de
+
+- Fix invalid memory free in rshd with pam (bnc#723593)
+
+---

calling whatdependson for head-i586




Other differences:
--
++ rsh.spec ++
--- /var/tmp/diff_new_pack.7EeOyj/_old  2011-10-13 12:25:46.0 +0200
+++ /var/tmp/diff_new_pack.7EeOyj/_new  2011-10-13 12:25:46.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package rsh (Version 0.17)
+# spec file for package rsh
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -87,7 +87,7 @@
 %patch
 %patch1
 %patch2
-%patch3
+%patch3 -p1
 %patch4
 %patch5
 %patch6

++ netkit-rsh-0.17-pam-env.diff ++
--- /var/tmp/diff_new_pack.7EeOyj/_old  2011-10-13 12:25:46.0 +0200
+++ /var/tmp/diff_new_pack.7EeOyj/_new  2011-10-13 12:25:46.0 +0200
@@ -1,5 +1,9 @@
 rshd/rshd.c
-+++ rshd/rshd.c
+---
+ rshd/rshd.c |   12 
+ 1 file changed, 12 insertions(+)
+
+--- a/rshd/rshd.c
 b/rshd/rshd.c
 @@ -504,6 +504,18 @@
exit(1);
}
@@ -9,12 +13,12 @@
 +const char *const *penv=
 +  (const char *const *)pam_getenvlist(pamh);
 +
-+if(penv!=NULL)
-+  while(*penv!=NULL) {
-+putenv(*penv);
-+penv++;
-+  }
-+pam_misc_drop_env(penv);
++if(penv!=NULL) {
++  const char *const *p;
++  for (p = penv; *p; p++)
++putenv(*p);
++  pam_misc_drop_env(penv);
++}
 +  }
  
strncat(homedir, pwd-pw_dir, sizeof(homedir)-6);

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rygel for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package rygel for openSUSE:Factory
checked in at Thu Oct 13 12:26:11 CEST 2011.




--- openSUSE:Factory/rygel/rygel.changes2011-10-02 11:14:03.0 
+0200
+++ rygel/rygel.changes 2011-10-11 08:49:33.0 +0200
@@ -1,0 +2,16 @@
+Sat Oct  8 22:36:47 CEST 2011 - zai...@opensuse.org
+
+- Update to version 0.12.4:
+  + Fix an assertion when one of the preconditions failed during
+HTTP Post.
+  + Limit the length of the filename generated in CreateObject to
+avoid problems on FAT.
+  + Use SoupURI to validate and properly escape the URI given
+during CreateObject. This could cause huge CPU consumption
+if the URI was really long (1k).
+  + Do not crash if ImportResource is cancelled.
+  + Fix DBUS  thumbnailer regression introduced in 0.12.3
+(bgo#660892).
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  rygel-0.12.3.tar.bz2

New:

  rygel-0.12.4.tar.bz2



Other differences:
--
++ rygel.spec ++
--- /var/tmp/diff_new_pack.Hnjos4/_old  2011-10-13 12:25:59.0 +0200
+++ /var/tmp/diff_new_pack.Hnjos4/_new  2011-10-13 12:25:59.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   rygel
-Version:0.12.3
+Version:0.12.4
 Release:1
 License:LGPL v2 or later
 Summary:Home Media Solution for GNOME based on UPnP/DLNA

++ rygel-0.12.3.tar.bz2 - rygel-0.12.4.tar.bz2 ++
 10938 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit system-config-printer for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package system-config-printer for 
openSUSE:Factory
checked in at Thu Oct 13 12:26:23 CEST 2011.




--- openSUSE:Factory/system-config-printer/system-config-printer.changes
2011-09-23 12:47:17.0 +0200
+++ system-config-printer/system-config-printer.changes 2011-10-06 
09:09:36.0 +0200
@@ -1,0 +2,23 @@
+Thu Oct  6 07:07:17 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.3.7:
+  + Show private job attributes for my jobs (rh#742279).
+  + Enable Test Page button when application/postscript is
+supported.
+  + Some preferreddrivers.xml fixes (lp#855412).
+  + Handle errors saving troubleshoot.txt (lp#789602).
+  + Removed some stale code.
+  + Make connections list more easily accessible (lp#842092).
+  + Improved handling of remote CUPS queues via DNS-SD, and IPP
+devices.
+  + Better display of CUPS servers from Find Network Printer.
+  + Fixed SMB method for printer finder.
+  + Don't handle tooltips during mainloop recursion (rh#664044,
+rh#739734).
+  + Fixed bold print of tab labels on option conflicts.
+  + Preserve installable options on driver change.
+  + Update printer properties dialog correctly when PPD changed.
+  + Fixed typo triggered by private job attributes (lp#827573).
+  + Marked some translatable strings that weren't (rh#734313).
+
+---

calling whatdependson for head-i586


Old:

  system-config-printer-1.3.6.tar.xz

New:

  system-config-printer-1.3.7.tar.xz



Other differences:
--
++ system-config-printer.spec ++
--- /var/tmp/diff_new_pack.8bAHtX/_old  2011-10-13 12:26:19.0 +0200
+++ /var/tmp/diff_new_pack.8bAHtX/_new  2011-10-13 12:26:19.0 +0200
@@ -21,8 +21,8 @@
 Name:   system-config-printer
 License:GPLv2+
 Group:  Hardware/Printing
-Version:1.3.6
-Release:2
+Version:1.3.7
+Release:1
 Summary:A printer administration tool
 Url:http://cyberelk.net/tim/software/system-config-printer/
 Source0:
http://cyberelk.net/tim/data/system-config-printer/1.3/%{name}-%{version}.tar.xz

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit telepathy-mission-control for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package telepathy-mission-control for 
openSUSE:Factory
checked in at Thu Oct 13 12:27:01 CEST 2011.




--- 
openSUSE:Factory/telepathy-mission-control/telepathy-mission-control.changes
2011-09-23 12:47:37.0 +0200
+++ telepathy-mission-control/telepathy-mission-control.changes 2011-10-05 
09:49:57.0 +0200
@@ -1,0 +2,26 @@
+Wed Oct  5 07:39:25 UTC 2011 - vu...@opensuse.org
+
+- Update to version 5.9.3:
+  + Enhancements:
+- Mission Control can now use either Network Manager or ConnMan
+  (or neither; the choice is controlled by a configure flag) to
+  monitor the network connection going up and down, and bring
+  IM accounts on and offline accordingly (whether due to
+  ConnectAutomatically being True, or RequestedConnection being
+  non-offline). (fdo#38978)
+- Mission Control now listens for notifications from upower
+  that the machine is about to suspend, and tears down active
+  connections. This should help avoid the user appearing to be
+  online for a few minutes after they suspend their machine,
+  until the server notices that they've gone. (fdo#28370)
+  + Fixes:
+- The regression tests now work with D-Bus ≥ 1.5.6. (fdo#41090)
+- An obscure assertion failure in the client bus name
+  monitoring code is fixed, we hope! (fdo#39767)
+- MC no longer crashes when recovering from a client crashing
+  if that client was an Observer or Approver which had claimed
+  the channel.
+- Add pkgconfig(libnm-glib) and pkgconfig(upower-glib)
+  BuildRequires for the new features.
+
+---

calling whatdependson for head-i586


Old:

  telepathy-mission-control-5.9.2.tar.gz

New:

  telepathy-mission-control-5.9.3.tar.gz



Other differences:
--
++ telepathy-mission-control.spec ++
--- /var/tmp/diff_new_pack.fPpg3w/_old  2011-10-13 12:26:53.0 +0200
+++ /var/tmp/diff_new_pack.fPpg3w/_new  2011-10-13 12:26:53.0 +0200
@@ -19,7 +19,7 @@
 Url:http://mission-control.sourceforge.net/
 
 Name:   telepathy-mission-control
-Version:5.9.2
+Version:5.9.3
 Release:1
 License:LGPLv2.1
 Summary:Telepathy Mission Control instant messaging connection manager
@@ -33,6 +33,8 @@
 BuildRequires:  libxslt-devel
 BuildRequires:  python-xml
 BuildRequires:  telepathy-glib-devel = 0.13.13
+BuildRequires:  pkgconfig(libnm-glib) = 0.7.0
+BuildRequires:  pkgconfig(upower-glib)
 Requires:   dbus-1-glib = 0.73
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 

++ telepathy-mission-control-5.9.2.tar.gz - 
telepathy-mission-control-5.9.3.tar.gz ++
 6871 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit telepathy-salut for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package telepathy-salut for openSUSE:Factory
checked in at Thu Oct 13 12:27:25 CEST 2011.




--- openSUSE:Factory/telepathy-salut/telepathy-salut.changes2011-09-23 
12:47:37.0 +0200
+++ telepathy-salut/telepathy-salut.changes 2011-10-06 09:07:00.0 
+0200
@@ -1,0 +2,15 @@
+Thu Oct  6 07:04:03 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.5.2:
+  + Enhancements:
+- fdo#40035: the ContactInfo Connection interface has been
+  implemented, so extra information about contacts, like first
+  and last names, are now exposed in a nice way and can be
+  shown in clients.
+  + Fixes:
+- Ensure OLPC tests are included in releases.
+- Fix send_ll_pep_event public utility function to construct
+  PEP messages correctly.
+- Remove python-xmldiff BuildRequires: this is not needed anymore.
+
+---

calling whatdependson for head-i586


Old:

  telepathy-salut-0.5.1.tar.gz

New:

  telepathy-salut-0.5.2.tar.gz



Other differences:
--
++ telepathy-salut.spec ++
--- /var/tmp/diff_new_pack.iVlAsV/_old  2011-10-13 12:27:15.0 +0200
+++ /var/tmp/diff_new_pack.iVlAsV/_new  2011-10-13 12:27:15.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   telepathy-salut
-Version:0.5.1
-Release:2
+Version:0.5.2
+Release:1
 License:GPLv2+
 Summary:Link-local XMPP connection manager for Telepathy
 Url:http://telepathy.freedesktop.org/wiki/
@@ -32,7 +32,6 @@
 BuildRequires:  libxml2-devel
 BuildRequires:  libxslt
 BuildRequires:  python-xml
-BuildRequires:  python-xmldiff
 BuildRequires:  telepathy-glib-devel
 BuildRequires:  pkgconfig(gnutls)
 BuildRequires:  pkgconfig(sqlite3)

++ telepathy-salut-0.5.1.tar.gz - telepathy-salut-0.5.2.tar.gz ++
 7823 lines of diff (skipped)

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tracker for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package tracker for openSUSE:Factory
checked in at Thu Oct 13 12:27:49 CEST 2011.




--- openSUSE:Factory/tracker/tracker.changes2011-10-07 10:32:30.0 
+0200
+++ tracker/tracker.changes 2011-10-10 10:34:34.0 +0200
@@ -1,0 +2,29 @@
+Mon Oct 10 08:12:21 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.12.4:
+  + libtracker-common:
+- Fixed missing include directive for utils tests
+- Disable configure.ac checks for ioprio_set()
+  + libtracker-data: Set journal_size_limit to 10 MB
+  + tracker-extract: Fixed critical when FD list is missing
+  + tracker-extract-oasis: Ignore empty values and invalid dates
+  + tracker-extract-gstreamer: Fixed division by zero
+  + tracker-extract-gif: Fixed file descriptor leak in error case
+  + tracker-extract-pdf: Fixed file descriptor leak in error cases
+  + tracker-miner-fs: Fixed theme icon URIs for application indexing
+  + firefox, thunderbird: Don't operate with tracker 0.10
+libraries, only 0.12
+  + functional-tests updates.
+  + Bugs fixed: bgo#647575, bgo#660350, bgo#659995, bgo#660589,
+bgo#660601, bgo#660123, bgo#657183, nokia#257478, nokia#284711,
+nokia#217566, nokia#285251.
+  + Updated translations.
+- Drop tracker-firefox-no-tracker-0.10.patch: fixed upstream.
+- Do not rebuild gtk-doc documentation:
+  + The tarball now correctly installs the documentation without a
+rebuild, except the ontology one. This is a good enough
+trade-off (as building requires some dependencies).
+  + Remove dia and gtk-doc BuildRequires.
+  + Stop passing --enable-gtk-doc to configure.
+
+---

calling whatdependson for head-i586


Old:

  tracker-0.12.3.tar.bz2
  tracker-firefox-no-tracker-0.10.patch

New:

  tracker-0.12.4.tar.bz2



Other differences:
--
++ tracker.spec ++
--- /var/tmp/diff_new_pack.MAS2mY/_old  2011-10-13 12:27:36.0 +0200
+++ /var/tmp/diff_new_pack.MAS2mY/_new  2011-10-13 12:27:36.0 +0200
@@ -23,8 +23,9 @@
 %define thunderbird_appid  \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
 
 Name:   tracker
-Version:0.12.3
+Version:0.12.4
 Release:1
+# FIXME: missing pkgconfig(libcue) BuildRequires: we don't have this 
packaged...
 License:GPLv2+
 Summary:Powerful object database, tag/metadata database, search tool 
and indexer
 Url:http://projects.gnome.org/tracker/
@@ -32,16 +33,12 @@
 Source0:
http://download.gnome.org/sources/tracker/0.12/%{name}-%{version}.tar.bz2
 Source1:README.SUSE.flickr
 Source2:README.SUSE.rss
-# PATCH-FIX-UPSTREAM tracker-firefox-no-tracker-0.10.patch bgo#660123 
vu...@opensuse.org -- Don't try to use tracker 0.10 libraries from Firefox 
extension
-Patch0: tracker-firefox-no-tracker-0.10.patch
 # PATCH-FIX-OPENSUSE tracker-removeable-media-off.patch bgo622288 
badshah...@gmail.com -- Disable indexing on removable media by default. This is 
only needed for 11.4 and earlier, as 12.1 and later have proper default values 
in GSettings.
 Patch1: tracker-removeable-media-off.patch
 # It's a bit annoying to require those for the build, see bgo#655618.
 BuildRequires:  MozillaFirefox
 BuildRequires:  MozillaThunderbird
 BuildRequires:  NetworkManager-devel = 0.8
-# Needed for the gtk-doc
-BuildRequires:  dia
 BuildRequires:  enca-devel
 %if 0%{?build_evo}
 BuildRequires:  evolution-data-server-devel
@@ -55,7 +52,6 @@
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  graphviz
 BuildRequires:  gstreamer-0_10-plugins-base-devel = 0.10.31
-BuildRequires:  gtk-doc
 BuildRequires:  gtk3-devel
 BuildRequires:  intltool
 BuildRequires:  libexempi-devel
@@ -357,7 +353,6 @@
 %prep
 %setup -q
 translation-update-upstream
-%patch0 -p1
 %if 0%{?suse_version} = 1140
 %patch1 -p1
 %endif
@@ -372,7 +367,6 @@
  --enable-tracker-search-bar \
  --enable-tracker-preferences \
  --disable-functional-tests \
- --enable-gtk-doc \
  
--with-firefox-plugin-dir=%{_datadir}/mozilla/extensions/%{firefox_appid} \
  
--with-thunderbird-plugin-dir=%{_datadir}/mozilla/extensions/%{thunderbird_appid}
 %__make %{?_smp_mflags} V=1
@@ -594,7 +588,6 @@
 %{_datadir}/gtk-doc/html/libtracker-miner/
 %{_datadir}/gtk-doc/html/libtracker-extract/
 %{_datadir}/gtk-doc/html/libtracker-sparql
-%{_datadir}/gtk-doc/html/ontology/
 %dir %{_datadir}/vala
 %dir %{_datadir}/vala/vapi
 %{_datadir}/vala/vapi/*.deps

++ tracker-0.12.3.tar.bz2 - tracker-0.12.4.tar.bz2 ++
openSUSE:Factory/tracker/tracker-0.12.3.tar.bz2 tracker/tracker-0.12.4.tar.bz2 
differ: char 11, line 1

continue with q...



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: 

commit yast2-fcoe-client for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package yast2-fcoe-client for 
openSUSE:Factory
checked in at Thu Oct 13 12:28:05 CEST 2011.




--- openSUSE:Factory/yast2-fcoe-client/yast2-fcoe-client.changes
2011-10-11 17:07:41.0 +0200
+++ yast2-fcoe-client/yast2-fcoe-client.changes 2011-10-13 11:12:57.0 
+0200
@@ -1,0 +2,6 @@
+Thu Oct 13 10:57:26 CEST 2011 - g...@suse.de
+
+- Set default values after removing interface
+- V 2.21.10 
+
+---

calling whatdependson for head-i586


Old:

  yast2-fcoe-client-2.21.9.tar.bz2

New:

  yast2-fcoe-client-2.21.10.tar.bz2



Other differences:
--
++ yast2-fcoe-client.spec ++
--- /var/tmp/diff_new_pack.dXY0kj/_old  2011-10-13 12:27:57.0 +0200
+++ /var/tmp/diff_new_pack.dXY0kj/_new  2011-10-13 12:27:57.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   yast2-fcoe-client
-Version:2.21.9
+Version:2.21.10
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-fcoe-client-2.21.9.tar.bz2 - yast2-fcoe-client-2.21.10.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-fcoe-client-2.21.9/VERSION 
new/yast2-fcoe-client-2.21.10/VERSION
--- old/yast2-fcoe-client-2.21.9/VERSION2011-10-11 13:09:06.0 
+0200
+++ new/yast2-fcoe-client-2.21.10/VERSION   2011-10-13 10:58:13.0 
+0200
@@ -1 +1 @@
-2.21.9
+2.21.10
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-fcoe-client-2.21.9/configure 
new/yast2-fcoe-client-2.21.10/configure
--- old/yast2-fcoe-client-2.21.9/configure  2011-10-11 13:10:08.0 
+0200
+++ new/yast2-fcoe-client-2.21.10/configure 2011-10-13 10:58:20.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for yast2-fcoe-client 2.21.9.
+# Generated by GNU Autoconf 2.68 for yast2-fcoe-client 2.21.10.
 #
 # Report bugs to http://bugs.opensuse.org/.
 #
@@ -559,8 +559,8 @@
 # Identity of this package.
 PACKAGE_NAME='yast2-fcoe-client'
 PACKAGE_TARNAME='yast2-fcoe-client'
-PACKAGE_VERSION='2.21.9'
-PACKAGE_STRING='yast2-fcoe-client 2.21.9'
+PACKAGE_VERSION='2.21.10'
+PACKAGE_STRING='yast2-fcoe-client 2.21.10'
 PACKAGE_BUGREPORT='http://bugs.opensuse.org/'
 PACKAGE_URL=''
 
@@ -1229,7 +1229,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures yast2-fcoe-client 2.21.9 to adapt to many kinds of 
systems.
+\`configure' configures yast2-fcoe-client 2.21.10 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1301,7 +1301,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of yast2-fcoe-client 2.21.9:;;
+ short | recursive ) echo Configuration of yast2-fcoe-client 2.21.10:;;
esac
   cat \_ACEOF
 
@@ -1381,7 +1381,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-yast2-fcoe-client configure 2.21.9
+yast2-fcoe-client configure 2.21.10
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1398,7 +1398,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by yast2-fcoe-client $as_me 2.21.9, which was
+It was created by yast2-fcoe-client $as_me 2.21.10, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -2328,7 +2328,7 @@
 
 # Define the identity of the package.
  PACKAGE='yast2-fcoe-client'
- VERSION='2.21.9'
+ VERSION='2.21.10'
 
 
 cat confdefs.h _ACEOF
@@ -2450,7 +2450,7 @@
 
 
 
-VERSION=2.21.9
+VERSION=2.21.10
 RPMNAME=yast2-fcoe-client
 MAINTAINER=Gabriele Mohr g...@suse.de
 
@@ -3380,7 +3380,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by yast2-fcoe-client $as_me 2.21.9, which was
+This file was extended by yast2-fcoe-client $as_me 2.21.10, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -3433,7 +3433,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo $ac_configure_args | sed 's/^ //; 
s/[\\\`\$]//g'`
 ac_cs_version=\\
-yast2-fcoe-client config.status 2.21.9
+yast2-fcoe-client config.status 2.21.10
 configured by $0, generated by GNU Autoconf 2.68,
   with options \\\$ac_cs_config\\
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-fcoe-client-2.21.9/configure.in 
new/yast2-fcoe-client-2.21.10/configure.in
--- 

commit yast2-snapper for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package yast2-snapper for openSUSE:Factory
checked in at Thu Oct 13 12:28:34 CEST 2011.




--- openSUSE:Factory/yast2-snapper/yast2-snapper.changes2011-10-11 
17:08:37.0 +0200
+++ yast2-snapper/yast2-snapper.changes 2011-10-13 10:44:23.0 +0200
@@ -1,0 +2,14 @@
+Thu Oct 13 10:40:50 CEST 2011 - jsuch...@suse.cz
+
+- colorize the diff output (bnc#723660)
+- 2.21.15 
+
+---
+Wed Oct 12 16:40:44 CEST 2011 - jsuch...@suse.cz
+
+- more optimalization in C++ code
+- use fixed font for showing the diff (bnc#723621)
+- escape HTML tags in diff output
+- 2.21.14
+
+---

calling whatdependson for head-i586


Old:

  yast2-snapper-2.21.13.tar.bz2

New:

  yast2-snapper-2.21.15.tar.bz2



Other differences:
--
++ yast2-snapper.spec ++
--- /var/tmp/diff_new_pack.P4gd5j/_old  2011-10-13 12:28:14.0 +0200
+++ /var/tmp/diff_new_pack.P4gd5j/_new  2011-10-13 12:28:14.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   yast2-snapper
-Version:2.21.13
+Version:2.21.15
 Release:0
 Group:  System/YaST
 

++ yast2-snapper-2.21.13.tar.bz2 - yast2-snapper-2.21.15.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-snapper-2.21.13/VERSION 
new/yast2-snapper-2.21.15/VERSION
--- old/yast2-snapper-2.21.13/VERSION   2011-10-10 12:45:23.0 +0200
+++ new/yast2-snapper-2.21.15/VERSION   2011-10-13 10:41:07.0 +0200
@@ -1 +1 @@
-2.21.13
+2.21.15
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-snapper-2.21.13/agent-snapper/src/SnapperAgent.cc 
new/yast2-snapper-2.21.15/agent-snapper/src/SnapperAgent.cc
--- old/yast2-snapper-2.21.13/agent-snapper/src/SnapperAgent.cc 2011-10-10 
12:43:23.0 +0200
+++ new/yast2-snapper-2.21.15/agent-snapper/src/SnapperAgent.cc 2011-10-12 
16:05:09.0 +0200
@@ -18,11 +18,11 @@
 /*
  * search the map for value of given key; both key and value have to be strings
  */
-string SnapperAgent::getValue (const YCPMap map, const string key, const 
string deflt)
+string SnapperAgent::getValue (const YCPMap map, const YCPString key, const 
string deflt)
 {
-if (!map-value(YCPString(key)).isNull()
-map-value(YCPString(key))-isString())
-   return map-value(YCPString(key))-asString()-value();
+YCPValue val = map-value(key);
+if (!val.isNull()  val-isString())
+   return val-asString()-value();
 else
return deflt;
 }
@@ -33,15 +33,15 @@
  * @param key key we are looking for
  * @param deflt the default value to be returned if key is not found
  */
-int SnapperAgent::getIntValue (const YCPMap map, const string key, const int 
deflt)
+int SnapperAgent::getIntValue (const YCPMap map, const YCPString key, const 
int deflt)
 {
-if (!map-value(YCPString(key)).isNull()  
map-value(YCPString(key))-isInteger()) {
-   return map-value(YCPString(key))-asInteger()-value(); 
+YCPValue val = map-value(key);
+
+if (!val.isNull()  val-isInteger()) {
+   return val-asInteger()-value();
 }
-else if (!map-value(YCPString(key)).isNull() 
-map-value(YCPString(key))-isString()) {
-   YCPInteger i (map-value(YCPString(key))-asString()-value().c_str());
-   return i-value();
+else if (!val.isNull()  val-isString()) {
+   return YCPInteger (val-asString()-value().c_str())-value ();
 }
 return deflt;
 }
@@ -50,10 +50,11 @@
  * Search the map for value of given key;
  * key is string and value is YCPList
  */
-YCPList SnapperAgent::getListValue (const YCPMap map, const string key)
+YCPList SnapperAgent::getListValue (const YCPMap map, const YCPString key)
 {
-if (!map-value(YCPString(key)).isNull()  
map-value(YCPString(key))-isList())
-   return map-value(YCPString(key))-asList();
+YCPValue val = map-value(key);
+if (!val.isNull()  val-isList())
+   return val-asList();
 else
return YCPList();
 }
@@ -155,7 +156,7 @@
 * Read (.snapper.path, $[ num : num]) - returns the path to 
directory with given snapshot
 */
if (PC(0) == path) {
-   unsigned int num= getIntValue (argmap, num, 0);
+   unsigned int num= getIntValue (argmap, YCPString (num), 0);
const Snapshots snapshots = sh-getSnapshots();
Snapshots::const_iterator snap = snapshots.find(num);
if (snap == snapshots.end())
@@ -203,8 +204,8 @@
return retlist;
}
 
-   unsigned int num1   = getIntValue (argmap, from, 0);
-   unsigned int num2   = getIntValue (argmap, to, 0);
+   unsigned int num1   = getIntValue (argmap, YCPString (from), 0);
+ 

commit lensfun for openSUSE:Factory

2011-10-13 Thread h_root

Hello community,

here is the log from the commit of package lensfun for openSUSE:Factory
checked in at Thu Oct 13 12:37:36 CEST 2011.




--- openSUSE:Factory/lensfun/lensfun.changes2011-09-23 02:07:41.0 
+0200
+++ lensfun/lensfun.changes 2011-10-07 14:39:33.0 +0200
@@ -1,0 +2,6 @@
+Fri Oct  7 14:38:37 UTC 2011 - toddrme2...@gmail.com
+
+- Added provides for obsoletes (fix for RPMLINT warning)
+- Cleaned up spec file formatting
+
+---

calling whatdependson for head-i586




Other differences:
--
++ lensfun.spec ++
--- /var/tmp/diff_new_pack.2dzsu4/_old  2011-10-13 12:36:28.0 +0200
+++ /var/tmp/diff_new_pack.2dzsu4/_new  2011-10-13 12:36:28.0 +0200
@@ -15,14 +15,14 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   lensfun
-Summary:A photographic lens database and a library for accessing it
 Version:0.2.5
 Release:19
+License:LGPLv3
+Summary:A photographic lens database and a library for accessing it
+%define sonum   0
 Url:http://lensfun.berlios.de/
+Group:  System/Libraries
 Source0:http://download.berlios.de/lensfun/lensfun-%{version}.tar.bz2
 # This patch got created via
 # svn diff svn://svn.berlios.de/lensfun/tags/0.2.5/data 
svn://svn.berlios.de/lensfun/trunk/data  lens_database_update.diff
@@ -31,9 +31,12 @@
 Patch2: lensfun-fixcrash.patch
 # PATCH-FIX-UPSTREAM lensfun-0.2.5-cpuid.patch fcro...@suse.com -- fix crash 
on cpu detection (from svn)
 Patch3: lensfun-0.2.5-cpuid.patch
-License:LGPLv3
-Group:  System/Libraries
-BuildRequires:  doxygen gcc-c++ glib2-devel libpng-devel python zlib
+BuildRequires:  doxygen
+BuildRequires:  gcc-c++
+BuildRequires:  libpng-devel
+BuildRequires:  python
+BuildRequires:  zlib
+BuildRequires:  pkgconfig(glib-2.0)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -55,12 +58,10 @@
 
 %package data
 License:LGPLv3
-Summary:Library files for lensfun/lensfun-devel
+Summary:Data files for %{name}/%{name}-devel
 Group:  System/Libraries
+Requires:   lib%{name}%{sonum} = %{version}
 BuildArch:  noarch
-Requires:   liblensfun0 = %{version}-%{release}
-Provides:   %{name} = %{version}
-Obsoletes:  %{name}  %{version}
 
 %description data
 The goal of the lensfun library is to provide a open source database
@@ -79,39 +80,40 @@
 transversal (also known as lateral) chromatic aberrations, vignetting
 and colour contribution index of the lens.
 
-%package -n liblensfun0
+%package -n lib%{name}%{sonum}
 License:LGPLv3
-Summary:Library files for lensfun/lensfun-devel
+Summary:Library files for %{name}/%{name}-devel
 Group:  System/Libraries
 Requires:   %{name}-data
-Obsoletes:  lensfun = 0.2.5
+Provides:   %{name} = %{version}
+Obsoletes:  %{name}  %{version}
 
-%description -n liblensfun0
-Library files needed by the use the lensfun library/database.
+%description -n lib%{name}%{sonum}
+Library files needed by the use the %{name} library/database.
 
 %package doc
 License:LGPLv3
-Summary:Documentation for lensunf
+Summary:Documentation for %{name}
 Group:  System/Libraries
 Requires:   %{name}-data
 
 %description doc
-Documentation and manual files for the lensfun library/database.
+Documentation and manual files for the %{name} library/database.
 
 %package devel
 License:LGPLv3
-Summary:Header and library definition files for lensfun
+Summary:Header and library definition files for %{name}
 Group:  Development/Libraries/C and C++
-Requires:   liblensfun0  = %{version}
 Requires:   %{name}-data = %{version}
+Requires:   lib%{name}%{sonum} = %{version}
 Recommends: %{name}-doc  = %{version}
 
 %description devel
 Header and library definition files for developing applications
-that use the lensfun library/database.
+that use the %{name} library/database.
 
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q
 %patch2 -p1
 %patch3 -p1
 cd data
@@ -123,50 +125,48 @@
 %ifarch ppc ppc64
--vectorization= \
 %endif
-   --cflags=${CFLAGS:-$RPM_OPT_FLAGS} \
-   --cxxflags=${CXXFLAGS:-$RPM_OPT_FLAGS} \
+   --cflags=${CFLAGS:-%{optflags}} \
+   --cxxflags=${CXXFLAGS:-%{optflags}} \
--prefix=%{_prefix} \
--bindir=%{_bindir} \
--sysconfdir=%{_sysconfdir} \
-   --datadir=%{_datadir}/lensfun \
+   --datadir=%{_datadir}/%{name} \
--libdir=%{_libdir} \
--includedir=%{_includedir} \
--libexecdir=%{_libexecdir}
 # set GCC.LDFLAGS to avoid stripping and useless -debuginfo
-make AUTODEP=0 GCC.LDFLAGS.release= V=1 %{?_smp_mflags} lensfun manual
+make